2013-09-12  a625f1e                  [RELEASE] Release of TYPO3 6.1.5 (TYPO3 Release Team)
2013-09-12  e8b1bd7  #51929          [BUGFIX] Fix SQL error for sys_file (Markus Klein)
2013-09-11  7fbe83c  #51923          [TASK] Move StorageRepositoryTest tests to AbstractRepositoryTest (Anja Leichsenring)
2013-09-11  34c6bf1  #51924          [BUGFIX] Empty __call() function hides implementation errors (Anja Leichsenring)
2013-09-11  322bbef  #51562          [BUGFIX] Move forgotten getEnvironmentMode() (Anja Leichsenring)
2013-09-11  26af3da  #51519          [TASK] FAL ResourceStorage must not access sys_file table directly (Steffen Ritter)
2013-09-11  1e336ae  #50795          [BUGFIX] Follow-Up: Missing signals on adding file (Stefan Neufeind)
2013-09-11  cc7bde6  #51562          [TASK] Remove sys_file.deleted flag and it's usage (Ernesto Baschny)
2013-09-11  e368805  #50795          [BUGFIX] Missing signals on adding file (Andreas Wolf)
2013-09-10  45226b9  #49386          [BUGFIX] Follow-up: Fix fileinfo property mapping in ResourceStorage (Stefan Neufeind)
2013-09-09  2137136  #49386          [BUGFIX] Fix fileinfo property mapping in ResourceStorage::setFileContents (Thomas Maroschik)
2013-09-09  6dbd9d2  #51018          [BUGFIX] excludeFromUpdates flag ignored (Francois Suter)
2013-09-09  9061584  #48467          [BUGFIX] mounts of same storage had same subfolder count in Filelist (Simon Schick)
2013-09-09  f553c86  #50723          [BUGFIX] Extbase scheduler task serialization (arjenhoekema)
2013-09-09  e589698  #51743          [TASK] Replace double quotes in exceptions (Wouter Wolters)
2013-09-09  d17a532  #51744          [TASK] Cleanup (Wouter Wolters)
2013-09-09  041869b  #47414          [BUGFIX] Filename not displayed in selector (file_reference) (Martin Borer)
2013-09-09  a7d7584  #51871          [BUGFIX] Ignore userTSConfig if not set in getModTSconfig() (Helmut Hummel)
2013-09-09  392f519  #51682          [BUGFIX] Disable caching for ADMCMD_view parameter (Philipp Kitzberger)
2013-09-09  ac65ad3  #51761          [BUGFIX] Do not add trailing slashes to files (Helmut Hummel)
2013-09-09  714d34e  #51808          [BUGFIX] Enable ProcessedFiles to do file exists (Helmut Hummel)
2013-09-08  c791223  #51758          [BUGFIX] Fix viewObjectNamePattern regression in Extbase (Alexander Schnitzler)
2013-09-08  046967d  #45498          [FEATURE] Find best-matching local storage instead of default-storage (Stefan Neufeind)
2013-09-06  4a80aa5  #51747          [BUGFIX] Recreate processig folder without permission checks (Helmut Hummel)
2013-09-06  f1b5e15  #51733          [BUGFIX] Do not register storage factory slot during install (Helmut Hummel)
2013-09-06  1ce9f90  #51305,#51767   [FEATURE] Render icon with button view helper (Francois Suter)
2013-09-04  3ba578d  #51745          [TASK] Remove conflict code (Wouter Wolters)
2013-09-04  b482c8d                  [TASK] Set TYPO3 version to 6.1.5-dev (TYPO3 Release Team)


2013-09-04  734f851                  [RELEASE] Release of TYPO3 6.1.4 (TYPO3 Release Team)
2013-09-04  91c3c4c  #50886          [SECURITY] Prohibit accessing storage 0 from backend UI (Steffen Ritter)
2013-09-04  6592233  #50883          [SECURITY] Identifiers may refer to resources outside the storage (Steffen Ritter)
2013-09-04  481c05c  #51495          [SECURITY] Deny arbitrary code execution possibility for editors (Helmut Hummel)
2013-09-04  dbc76c7  #51327          [SECURITY] Refactor and fix FAL user permission handling (Helmut Hummel)
2013-09-04  ae6e108  #51326          [SECURITY] Add possibility to en-/disable file permission checks (Helmut Hummel)
2013-09-04  c524c0d  #51079          [SECURITY] Check permissions in all actions of ResourceStorage (Steffen Ritter)
2013-09-03  c9e9c4f                  [TASK] CGL Cleanup of ResourceStorage (Helmut Hummel)
2013-09-03  3dc1381  #49842          [BUGFIX] Storage is offline but is still used (Frans Saris)
2013-09-01  a979e78  #31998          [BUGFIX] Faulty check for missing SMTP port (Tomita Militaru)
2013-08-31  55dffd7  #50424          [BUGFIX] Backend Layout Grid Wizard not fully visible in Mac Firefox 22 (Roland Schenke)
2013-08-30  746d133  #51585          [BUGIFX] Missing argument in EM List view VH (Francois Suter)
2013-08-29  e084d3e  #51328          [BUGFIX] Only log file/directory actions which were done (Helmut Hummel)
2013-08-29  727abe7  #51544          [BUGFIX] Sprite manager cache improvement (Christian Kuhn)
2013-08-29  084c838  #50707          [BUGFIX] TCA 'group' selectedListStyle with 'width' breaking layout (Ernesto Baschny)
2013-08-29  14c9573  #51460          [BUGFIX] Database integrity check fatal error (Stefan Fürst)
2013-08-29  440ca58  #51474          [BUGFIX] Cast autoload and classAliasMap to Array (Michel Georgy)
2013-08-29  182e5cd  #51509          [BUGFIX] Add missing API method FileInterface::getNameWithoutExtension (Ernesto Baschny)
2013-08-28  e21e5ff  #36244          [BUGFIX] Exclude empty passwords from password hashing check (Nicole Cordes)
2013-08-27  544d446  #51190          [BUGFIX] utf8/multibyte character breaks menu filelist (Peter Niederlag)
2013-08-27  266e98a  #50234          [TASK] Make the extension titles link to the configuration (Nicole Cordes)
2013-08-27  d778598  #51304          [BUGFIX] Hide translations in categories selector (Francois Suter)
2013-08-27  af3fefb  #50870          [BUGFIX] Tests in Localization\Parser\LocallangXmlParserTest fail (Nicole Cordes)
2013-08-27  4701354  #50760          [BUGFIX] Escape title tag of image links (Alexander Stehlik)
2013-08-27  01d1f32  #25327,#37026   [BUGFIX] Page tree filtering broken in IE7 & IE8 (Aske Ertmann)
2013-08-25  65f6aa0  #51209          [BUGFIX] Ignore permission checks for processed files (Helmut Hummel)
2013-08-22  9a44dec                  Revert "[BUGFIX] Check for incompatible SQL modes" (Stefan Neufeind)
2013-08-22  e3659b1  #51249          [BUGFIX] Missing "Interface" in Backend-Annotation (Stefan Froemken)
2013-08-22  e727d5f  #20052,#18866,  [BUGFIX] Check for incompatible SQL modes (Sascha Egerer)
2013-08-20  eaad8a3  #37892          [BUGFIX] No version overlay should be done for sys_language (Lienhart Woitok)
2013-08-20  91c09f1  #46989          [BUGFIX] Files with unclean path indexed multiple times (Stefan Neufeind)
2013-08-20  cf47f59  #51159          [BUGFIX] FlashMessageQueue PHP strict warning (Christian Kuhn)
2013-08-18  e40dce3  #50614          [TASK] FilesContentObject::stdWrapValue(): only execute stdWrap once (Stefan Neufeind)
2013-08-18  4abd277  #43428          [BUGFIX] Language-module icons need to display in correct size (Stefan Neufeind)
2013-08-17  87b18bf  #30636          [BUGFIX] TCA: subtypes_addlist not processed (Benjamin Mack)
2013-08-17  522abbc  #47844          [BUGFIX] Query parameters of external link may get altered (Stanislas Rolland)
2013-08-16  1339242  #51115          [TASK] Disable scheduler-tests if EXT:scheduler not loaded (Stefan Neufeind)
2013-08-16  3889f1a  #51004          [BUGFIX] Fix file permission methods in BackendUserAuthentication (Helmut Hummel)
2013-08-16  d34375a  #51007          [BUGFIX] Fix inconsistencies in getTSConfig in BackenuserAuth (Helmut Hummel)
2013-08-16  fbe1365                  Revert "[BUGFIX] Fix inconsistencies in getTSConfig in BackenuserAuth" (Helmut Hummel)
2013-08-16  c523db0                  Revert "[BUGFIX] Fix file permission methods in BackendUserAuthentication" (Helmut Hummel)
2013-08-15  c7d04fb  #51007          [BUGFIX] Fix inconsistencies in getTSConfig in BackenuserAuth (Helmut Hummel)
2013-08-15  01ac007  #51004          [BUGFIX] Fix file permission methods in BackendUserAuthentication (Helmut Hummel)
2013-08-14  3e379b4  #46094          [BUGFIX] Avoid usage of subheader in mailform (Francois Suter)
2013-08-14  528c0d4  #51064          [BUGFIX] storagePid is lost when persistence.recursive is set (Steffen Müller)
2013-08-12  76d3e55  #47806          [BUGFIX] Typing after abbr or acronym tag is difficult (Stanislas Rolland)
2013-08-12  be8cfc2  #51010          [BUGFIX] Allow reading files if storage is not browsable (Helmut Hummel)
2013-08-11  3152260  #51005          [BUGFIX] Take into account all file and folder permissions (Helmut Hummel)
2013-08-11  5b828c7  #50844          [BUGFIX] Failing tests in Resource\Driver\LocalDriverTest on Windows (Nicole Cordes)
2013-08-11  154576f  #51012          [BUGFIX] Missing \TYPO3\CMS\Core\Utility\ in ResourceFactory (Wouter Wolters)
2013-08-11  f9d9ab0  #51011          [TASK] Add signal in ResourceFactory for storage creation (Helmut Hummel)
2013-08-11  2c7c1e7  #50193          [BUGFIX] FAL: Image Processing doesn't respect GFX "thumbnails_png" (Benjamin Mack)
2013-08-11  c4c9d7b  #44910          [BUGFIX] LocalDriver: Recursive file listing is broken (Andreas Wolf)
2013-08-11  93e763b  #50502          [BUGFIX] rtehtmlarea acronym error with static_info_tables 6.0+ (Stanislas Rolland)
2013-08-10  fade298  #50287          [BUGFIX] Invalid allowed value for color space (Tomita Militaru)
2013-08-08  59ff957  #48523          [BUGFIX] Reports module tries to load not-installed extension (Wouter Wolters)
2013-08-08  6a2af77  #50868          [BUGFIX] number_format() expects parameter 1 to be double (Wouter Wolters)
2013-08-07  d7f01a2  #50568          [BUGFIX] Ignore case in file extension filter (Alexander Stehlik)
2013-08-07  032d7ac  #50872          [BUGFIX] Correctly set user storage permissions (Helmut Hummel)
2013-08-07  c3b2ee2  #50867          [TASK] Introduce AbstractHierarchicalFilesystemDriver (Steffen Ritter)
2013-08-07  903024c  #50843          [BUGFIX] Failing Resource\FactoryTest on Windows systems (Nicole Cordes)
2013-08-07  d65c360  #47106          [BUGFIX] Indexing of external files does not work in indexed_search (Wouter Wolters)
2013-08-07  8259edf  #50562          [BUGFIX] Callback in CrawlerHook of indexed_search sysext buggy (Marius Büscher)
2013-08-07  7263bcd  #50812          [BUGFIX] Backup singletons in unit tests prior to other setUp operations (Nicole Cordes)
2013-08-07  7b4c962  #50845          [BUGFIX] Test in Configuration\ConfigurationManagerTest fails in backend (Nicole Cordes)
2013-08-06  201d32d  #50628          [BUGFIX] Fix EmConfUtility::fixEmConf conflicts generation (Sascha Egerer)
2013-08-06  6fbce2c  #50125          [BUGFIX] Incorrect check for empty folder (Philipp Gampe)
2013-08-06  f4b5aa3  #15797          [BUGFIX] Use proper implementation of a wordwrap (Georg Ringer)
2013-08-06  cdf1b4e  #50615          [TASK] Use magic __CLASS__ in getInstance()-methods (Stefan Neufeind)
2013-08-06  0fb6f60  #50751          [BUGFIX] Fix empty href parameter (Anja Leichsenring)
2013-08-06  fd4d970  #50781          [BUGFIX] MySQLi: Allow persistent connections again (Stefan Neufeind)
2013-08-06  7e568f0  #50809          [BUGFIX] Fix failing test in StorageRepositoryTest (Anja Leichsenring)
2013-08-06  b991af6  #50803          [BUGFIX] Fatal error: "enableFields on non-object" in extension manager (Ernesto Baschny)
2013-08-04  7449365  #50466          [BUGFIX] MySQL: Use ENGINE (not TYPE) for storage-engine (Stefan Neufeind)
2013-08-03  3e62929  #49288          [BUGFIX] ControllerExtensionName can not be resolved in CLI mode (Achim Fritz)
2013-08-01  d002444  #43893          [BUGFIX] selected = 1 doesn't work in FormContentObject (Wouter Wolters)
2013-07-31  42e4d7c  #36031          [TASK] Provide information about import action in TCEmain to hooks (Stefan Galinski)
2013-07-31  aa979ba  #43631          [BUGFIX] RTE wizard can't "save document and view page" (Stanislas Rolland)
2013-07-30  1997c96                  [TASK] Set TYPO3 version to 6.1.4-dev (TYPO3 Release Team)


2013-07-30  dcbb5a4                  [RELEASE] Release of TYPO3 6.1.3 (TYPO3 Release Team)
2013-07-30  f0d86be  #47452          [SECURITY] fileDenyPattern ignored in file-list module (Jigal van Hemert)
2013-07-30  21c0688  #49209          [SECURITY] XSS in 3rd party library Flowplayer (Oliver Hader)
2013-07-30  954e683  #49210          [SECURITY] XSS in 3rd party library Audio Player (Oliver Hader)
2013-07-30  baeb746  #50525          [BUGFIX] Deleted flag is not updated during file indexing (Oliver Hader)
2013-07-30  625f85d  #49396          [BUGFIX] MailUtility breakLinesForEmail cuts text wrong and discard rest (Tim Lochmueller)
2013-07-29  92a7d30                  Revert "[BUGFIX] setRespectSysLanguage(FALSE) doesn't prevent language overlay" (Anja Leichsenring)
2013-07-29  33e4e8d                  Revert "[BUGFIX] sys_file record doesn't get flagged as delete" (Oliver Hader)
2013-07-29  cdeb346  #50041          [BUGFIX] Use correct url schema in MediaWizardProvider (Georg Ringer)
2013-07-28  69ff7a0  #11014          [BUGFIX] Workspace selector in top toolbar cannot scroll (Georg Ringer)
2013-07-28  efb08f7  #45834          [BUGFIX] Detection of curlProxyServer settings is incorrect (Dmitry Dulepov)
2013-07-28  c26b7fa  #50217          [BUGFIX] Class loader tries to load classes it cannot load (Andreas Wolf)
2013-07-28  7ec7df9  #50258          [TASK] Add tests for ContentObjectRenderer::getData() (Stefan Neufeind)
2013-07-27  6a213e1  #44118          [BUGFIX] Debug exception handler: set exit code on CLI (Christian Weiske)
2013-07-27  b0fe6a0  #50492          [TASK] Run phpLint and phpUnit in different travis builds (Christian Kuhn)
2013-07-27  120bdf0  #41165          [BUGFIX] Make BackendUtility::viewOnClick honor doc (Kasper Ligaard)
2013-07-26  5a1304f  #50480          [TASK] Remove empty .gitmodules file (Christian Kuhn)
2013-07-26  df6e02b  #50478          [BUGFIX] Failures in em unit tests due to phpunit update (Christian Kuhn)
2013-07-26  542243d  #50476          [BUGFIX] FAL wrong \RecursiveIteratorIterator usage (Christian Kuhn)
2013-07-26  f8db5aa  #50472          [BUGFIX] FAL does not copy subfolders cleanly (Christian Kuhn)
2013-07-26  c5ae685  #50458          [BUGFIX] Fix failing test (Anja Leichsenring)
2013-07-26  c3b6d0c  #49722          [BUGFIX] Uninstall extension with dependency throws Exception (Wouter Wolters)
2013-07-25  30a9555                  [BUGFIX] Test regression from patch for #47192 (Andreas Wolf)
2013-07-25  49fec42  #50447          [BUGFIX] Improve method annotation and type hinting in FAL (Christian Kuhn)
2013-07-25  719a4f3  #50411          [BUGFIX] rsaauth BackendFactory does not unset backend (Markus Klein)
2013-07-25  68376b5  #50442          [BUGFIX] require_once of vfsStream triggers travis fail (Christian Kuhn)
2013-07-25  c86204b  #50410          [TASK] Revise typo3/sysext/README.txt (Wouter Wolters)
2013-07-23  5851028                  [TASK] Set TYPO3 version to 6.1.3-dev (TYPO3 Release Team)


2013-07-23  1241060                  [RELEASE] Release of TYPO3 6.1.2 (TYPO3 Release Team)
2013-07-23  49493fc  #50318          [TASK] Make DiffUtility faster and much more scaleable. (Kasper Ligaard)
2013-07-22  c591c55  #16114          [BUGFIX] Two mailforms on a page cause error on field validation (Ernesto Baschny)
2013-07-20  9fc5525  #50210          [BUGFIX] Width of action column is wrong (Oliver Hader)
2013-07-19  58c9017  #47192          [BUGFIX] setRespectSysLanguage(FALSE) doesn't prevent language overlay (Stanislas Rolland)
2013-07-17  8463e56  #50114          [BUGFIX] Faulty layout if row details are too long (Oliver Hader)
2013-07-16  86fbee1  #49332          [TASK] Remove redundant try/catches in ResourceStorage of FAL (Claus Due)
2013-07-16  3a053b9  #45332          [BUGFIX] Category API does not consider multiple tables (Marc Wöhlken)
2013-07-16  3ec7774  #39197          [BUGFIX] Pagetree filtering crashes on draft moves (Bart Dubelaar)
2013-07-16  16a3be8  #49286          [BUGFIX] Skip link validation of RTE filelink (Visay Keo)
2013-07-16  6a6ab72  #50038          [TASK] Setting space before/after should use !important (Georg Ringer)
2013-07-16  c757453  #49712          [BUGFIX] Missing/Wrong copy buttons if deflangBinding is disabled (Stefan Galinski)
2013-07-16  bddb12d  #39434          [BUGFIX] Localconf upgrade wizard fails (Anja Leichsenring)
2013-07-16  d88c564  #46261          [BUGFIX] Indexing files does not store the language (Mario Rimann)
2013-07-15  bd01456  #42921          [BUGFIX] Fix PHP warning trigged in initFEuser (Markus Klein)
2013-07-15  9e349e2  #49300          [TASK] Fix usage of functions, which are deprecated in PHP 5.5 (Markus Klein)
2013-07-15  0034e70  #49872          [BUGFIX] requestUpdate sensitive to spaces (Wouter Wolters)
2013-07-14  1001b65  #48394          [BUGFIX] Exceptions if EXT:context_help is not installed (Dmitry Dulepov)
2013-07-14  714bfa2  #47354          [BUGFIX] Make DBgetDelete() update tstamp on delete by update (Stefan Neufeind)
2013-07-14  8994510  #49733          [BUGIFX] RTEmagic upgrade wizard: missing attributes (Francois Suter)
2013-07-11  974dc4d  #49918          [BUGFIX] Permissions backend module not accessible (Wouter Wolters)
2013-07-11  a470a14  #48219          [BUGFIX] File upload in RTE-Link-Editor throws 500 error (Philipp Gampe)
2013-07-11  d418763  #37710          [BUGFIX] Allow target attribute for more doctypes (Jigal van Hemert)
2013-07-11  9ab6d6f  #49706          [BUGFIX] Page title change directly updates title in content area (Max Roesch)
2013-07-11  d064e11  #47530          [TASK] Allow sys_category in rootpage (Stefan Froemken)
2013-07-10  02cae2c  #42789          [BUGFIX] requestUpdate sensitive to spaces (Francois Suter)
2013-07-09  2cad42f  #49645          [BUGFIX] Logging PHP errors to sys_log table does not work (Robert Vock)
2013-07-09  869b772  #49461,#44983   [BUGFIX] Cannot load css_styled_content TS using INCLUDE_TYPOSCRIPT (Ingo Renner)
2013-07-09  c522dfa  #49233          [BUGIFX] Missing update wizard for RTE file links (Francois Suter)
2013-07-08  6529687  #41344          [BUGFIX] False-Positives in SQL comparison (Mario Rimann)
2013-07-07  c7440c5  #49765          [BUGFIX] BasicFileUtility uses deprecation API in a wrong way (Markus Klein)
2013-07-07  d7b88cc                  Revert "[BUGFIX] Files with unclean path indexed multiple times" (Wouter Wolters)
2013-07-06  203d021                  [TASK] Travis: Speedup cloning of repos (Markus Klein)
2013-07-06  b48b926  #46989          [BUGFIX] Files with unclean path indexed multiple times (Stefan Neufeind)
2013-07-06  640e4d5  #48336          [BUGFIX] sys_file record doesn't get flagged as delete (Steffen Ritter)
2013-07-06  9f08183  #49746          [BUGFIX] Move functional test case to functional folder (Steffen Ritter)
2013-07-06  e1991ae  #48336          Revert "[BUGFIX] sys_file record doesn't get flagged as delete" (Christian Kuhn)
2013-07-06  22736da  #48645          [BUGFIX] CE:Image - backend preview of image order (Tim Spiekerkoetter)
2013-07-06  cd27bd3  #49727          [BUGFIX] Add advice to RTEmagic wizard (Francois Suter)
2013-07-06  2703951  #48336          [BUGFIX] sys_file record doesn't get flagged as delete (Frans Saris)
2013-07-06  ec186a0  #49738          [BUGFIX] Use database name property in admin_get_tables (Helmut Hummel)
2013-07-06  fa22587  #48984          [BUGFIX][Cache] Typo3DbBackend forgets tag entries in flushByTag (Christian Zenker)
2013-07-06  2f68b78  #44915          [BUGFIX] Don't show translated categories in parent tree (Markus Klein)
2013-07-06  a0cfa35  #47356          [BUGFIX] CSV rendering in CType table not properly done (Patrick Broens)
2013-07-06  0ddfb6a  #48127          [BUGFIX] StorageRepository::findByStorageType() uses wrong typeField (Philipp Gampe)
2013-07-05  2f9c373  #41434          [BUGFIX] Shared defaults for CE wizard using TCAdefaults (Jigal van Hemert)
2013-07-05  b9e3b9f  #47966          [BUGFIX] Enable table property for all user settings types (Philipp Gampe)
2013-07-05  7381ca2  #48117          [BUGFIX] Support mysql socket connection (Philipp Gampe)
2013-07-05  3697769  #49009          [BUGFIX] Exception on thumbnail generation in TCA (Stefan Galinski)
2013-07-05  a4c06f6  #47998          [BUGFIX] RTEmagic upgrade wizard fails and uses wrong directory (Stefan Galinski)
2013-07-05  70295f9  #41718          [BUGFIX] Improve jumpUrl download of large files (Till Busch)
2013-07-05  b95f032  #42768,#42771   [BUGFIX] Web->Page - Language view not usable (Stefan Galinski)
2013-07-04  5ba6299  #49670          [TASK] Remove Comment for deprecation of f:translate key (Ingo Pfennigstorf)
2013-07-04  efe42c2  #48224          [BUGFIX] Rootline utility must respect pageOverlayFields (Stefan Galinski)
2013-07-04  cf502a2  #49648          [BUGFIX] RTE: Importing google webfonts breaks style sheet parsing (Stanislas Rolland)
2013-07-02  f11254d  #49585          [BUGFIX] Invalid cache backend option "compression" for NullBackend (Xavier Perseguers)
2013-07-02  82d83d6  #49528          [BUGFIX] EM: Scheduler task does not persist to database (Alexander Opitz)
2013-07-02  2cc141d  #47403          [BUGFIX] Wrong top/bottom margin rendering in CSC (Patrick Broens)
2013-07-01  09f519f  #43112          [BUGFIX] Increase the width of the content element of type Plain HTML (Philipp Gampe)
2013-06-30  ae3220e  #49256          [BUGFIX] Do not show System Extensions Wizard when done (Helmut Hummel)
2013-06-30  274a201  #29220          [TASK] createEncryptionKey always returns key with 96 characters (Mario Rimann)
2013-06-30  294a779  #47726          [BUGFIX] EM: TimeSinceLastUpdateViewHelper fatals if never updated (Alexander Opitz)
2013-06-29  d0e26de  #49519          [TASK] Improve error message in NotFoundView to identify source (Claus Due)
2013-06-29  c8f5403  #48354          [BUGFIX] Wrong placement of image caption in text with image (Philipp Gampe)
2013-06-29  2b1d3f1  #49402          [BUGFIX] Fix localization of the BE user module (Wouter Wolters)
2013-06-29  77d5c63  #48213          [BUGFIX] compressJs returns wrong filenames (Philipp Gampe)
2013-06-29  c3808a6  #40855          [BUGFIX] stdWrap for special.value applied twice (Markus Klein)
2013-06-29  a3ce5d0  #49350          [TASK] Add support for "outdated" extensions (Jigal van Hemert)
2013-06-28  6733ebf  #47609          [BUGFIX] ActionController must use namespaced object view pattern (Alexander Schnitzler)
2013-06-28  2407c2a  #47832          [BUGFIX] Fix property mapping of checkbox arrays (Helmut Hummel)
2013-06-27  b0f312a  #49401          [BUGFIX] Fix localization of the language module (Wouter Wolters)
2013-06-26  caaddbd  #49404          [BUGFIX] Fix one language label in the extension manager (Krzysztof Adaczmyk)
2013-06-26  fea7b50  #45165          [BUGFIX] Wrong result on unequal globalVar condition (Marc Bastian Heinrichs)
2013-06-25  26c1b40  #49393          [BUGFIX] Fix spelling issue in Install Tool (Wouter Wolters)
2013-06-23  c323a71  #49354          [BUGFIX] Call to undefined method ElementConditionMatcher::setRecord() (Frans Saris)
2013-06-23  c340c48  #49338          [BUGFIX] Record history shows two back buttons in docheader (Wouter Wolters)
2013-06-23  0983c85  #34042          [BUGFIX] Invisible icon blocks mousefocus of non-required inputfields (Zbigniew Jacko)
2013-06-23  12dd2c1  #48220          [BUGFIX] Insert rows only once in exec_INSERTmultipleRows (Jigal van Hemert)
2013-06-22  51f6252  #49345          [BUGFIX] Fix two typos in one install tool language label (Anja Leichsenring)
2013-06-22  a1ec3d6  #49066          [TASK] Update URL to the exception collection (Piotr Molewski)
2013-06-21  c09fc1c  #49331          [BUGFIX] Flexform field is available but not passed to sub-function calls (Claus Due)
2013-06-21  f6230b4  #49327          [BUGFIX] Illegal string offset warning in AjaxLoginHandler (Markus Klein)
2013-06-21  6986e5e  #49318          [BUGFIX] Misleading label in beuser module (Markus Klein)
2013-06-20  95c2456  #48021          [BUGFIX] Nested FLUIDTEMPLATE doesn't work anymore (Stefan Galinski)
2013-06-20  bbaeb18  #26588          [BUGFIX] Fix JS error with Context Sensitive Help (Michel Nederlof)
2013-06-20  ceea6ef  #49296          [BUGFIX] Failing FAL unit test (Christian Kuhn)
2013-06-20  70d3d86  #49029          [BUGFIX] Correct permissions of new files (Michael Knabe)
2013-06-19  7371994  #48536          [TASK] Bring back int_from_ver (Anja Leichsenring)
2013-06-19  0760e9f  #48603          [BUGFIX] Filelist: Only show paste buttons if clipObj is set (Philipp Gampe)
2013-06-19  0a90d56  #49242          [BUGFIX] Raw search can't search inside the pages table (Stefan Galinski)
2013-06-17  d37cf59  #49091          [BUGFIX] Use correct path in belog modules (Georg Ringer)
2013-06-17  45ce0a8  #49110          [TASK] Cleanup ChangeLog (Michael Stucki)
2013-06-17  c9c1057  #49136          [BUGFIX] Fix reverse order handling of MediaProvider (Alexander Opitz)
2013-06-15  05c3b7b  #34156          [BUGFIX] Allow non-Admins to delete Records finally (dkd-egerer Sascha Egerer)
2013-06-15  71f0bd8  #47103          [BUGFIX] Illegal string offset 'translations' in DatabaseRecordList (Philipp Gampe)
2013-06-15  d5b2763  #48300          [BUGFIX] Fix template rootline for translated pages (Alexander Stehlik)
2013-06-13  e6369b0  #49100          [BUGFIX] Repair broken unit tests (Anja Leichsenring)
2013-06-13  042370f  #48381          [BUGFIX] Do not add category to empty table names (Alexander Opitz)
2013-06-13  3e99072  #48918          [BUGFIX] FileLogWriter ignores log file configuration (Steffen Müller)
2013-06-13  84c4ff2  #48571          [BUGFIX] findByUid should respect query settings of repository (Alexander Schnitzler)
2013-06-12  35e5607  #49051          [BUGFIX] Avoid double wrap in css_styled_content (Francois Suter)
2013-06-11  4efcdb4  #48996          [BUGFIX] Missing file extension class with "file links" type (Stefan Galinski)
2013-06-11  0316b1e  #49004          [BUGFIX] List Module - Reference count limited to 20 (Stefan Galinski)
2013-06-11  f552dac  #48997          [BUGFIX] Recycler ignores depth setting (Stefan Galinski)
2013-06-11  425983c  #48989          [BUGFIX] Bad English in system extensions: "screen shot" (Bernhard Kraft)
2013-06-08  0225981  #22913          [BUGFIX] Bad English in TCEforms: "Edit Pagecontent" and "fontface" (Dmitry Dulepov)
2013-06-04  f1f8af9  #48628          [BUGFIX] Enable CheckboxViewHelper binding to ArrayObject and Null (Alexander Schnitzler)
2013-06-04  ebdf565  #48750          [BUGFIX] FormFieldVH->getPropertyValue() must work without form object (Alexander Schnitzler)
2013-06-04  d82e8a2  #47826          [BUGFIX] Wrong position for beforeCallActionMethod (Stefan Froemken)
2013-06-02  73bcac5  #48685          [BUGFIX] changing FE user password updates tstamp (Jigal van Hemert)
2013-05-29  977ec04  #47126          [BUGFIX] Disable restricted users to handle page records in pagetree (Frank Frewer)
2013-05-27  068f82e                  [TASK] Merge submodule version into core (Thomas Maroschik)
2013-05-27  2e125c6                  [TASK] Merge submodule workspaces into core (Thomas Maroschik)
2013-05-27  5650b14                  [TASK] Merge submodule linkvalidator into core (Thomas Maroschik)
2013-05-27  2db9e53                  [TASK] Merge submodule fluid into core (Thomas Maroschik)
2013-05-27  914c78d                  [TASK] Merge submodule extbase into core (Thomas Maroschik)
2013-05-27  d42abeb                  [TASK] Merge submodule dbal into core (Thomas Maroschik)
2013-05-26  db7ba0d  #48332          [BUGFIX] uploading extname_1.0.3 (1).zip creates extension "extname (1)" (Philipp Gampe)
2013-05-26  0048030  #39527          [BUGFIX] Pass $field to BackendUtility::getFlexFormDS (Wouter Wolters)
2013-05-26  489bab7  #14955          [BUGFIX] Some TCAdefaults work only with "Page (inside)" (Wouter Wolters)
2013-05-25  9f09fad  #48390          [BUGFIX] Link to not-existing folder results in fatal error (Philipp Gampe)
2013-05-25  2e12f4c  #46785          [BUGFIX] Catch FolderDoesNotExist Exception on links/images (Alexander Opitz)
2013-05-24  2ec1a96                  [TASK] Set TYPO3 version to 6.1.2-dev (TYPO3 Release Team)
2013-04-30  ee04abd  #47703          [BUGFIX] Fix persisting of lazy object storages (Thomas Maroschik)
2013-04-29  f3e341a  #47715          [BUGFIX] Incomplete mocking in Bootstrap test (Christian Kuhn)
2013-04-29  dc8a915                  Revert "[FEATURE] Add filemount property to backend users" (Christian Kuhn)
2013-04-29  6fcc268                  Revert "[FEATURE] Add userGroups to backendUser model" (Christian Kuhn)
2013-04-29  a770fe4  #47664          [TASK] Reschedule the removal for the old property mapper (Marc Bastian Heinrichs)
2013-04-28  371cc22  #47665          [TASK] Reschedule the removal for the old property mapper (Marc Bastian Heinrichs)
2013-04-28  f37b056  #47657          [TASK] Add latest changes to ChangeLog.txt (Alexander Schnitzler)
2013-04-28  8fe4318  #47585,#47586   [BUGFIX] Don't respect sys_language in Backends getObjectByIdentifier (Marc Bastian Heinrichs)
2013-04-27  9746830  #47639          [TASK] Update sysext version numbers (Jigal van Hemert)
2013-04-27  e580a31  #47640          [TASK] Update sysext version numbers (Jigal van Hemert)
2013-04-27  4e25752  #47641          [TASK] Update sysext version numbers (Jigal van Hemert)
2013-04-27  8af4b66  #47641          [TASK] Update sysext version numbers (Jigal van Hemert)
2013-04-27  5912713  #47546          [BUGFIX] Fix persisting new objects (Stefan Froemken)
2013-04-27  b1ef98e  #47636          [BUGFIX] Fix failing unit tests (Anja Leichsenring)
2013-04-24  0ba17b7  #46954          [TASK] Remove deprecated code (Wouter Wolters)
2013-04-23  7b4695c  #47520          [TASK] Update changelog and version to 6.1.0 (Wouter Wolters)
2013-04-23  259d18d  #47514          [TASK] Update changelog and version to 6.1.0 (Alexander Schnitzler)
2013-04-23  a6882a9  #47216          [TASK] Cleanup Extbase for 6.1 release (Alexander Schnitzler)
2013-04-23  147c8f1  #47223          [BUGFIX] Backend support for native DateTime (Nico de Haen)
2013-04-23  3b6c44c  #47352          [BUGFIX] Scheduler throws fatal error while saving an Extbase Task (Alexander Schnitzler)
2013-04-21  2d11756  #47037          [TASK] Deprecate/rewrite old mail functions (Jigal van Hemert)
2013-04-18  c040066  #47251          [!!!][BUGFIX] Introduce explicit saving of modified domain objects (Thomas Maroschik)
2013-04-15  66bf7ca  #47196          [BUGFIX] Extbase must not use legacy flash message handling (Alexander Schnitzler)
2013-04-15  8ccaa84  #47214          [BUGFIX] Fluid must not use legacy flash message handling (Alexander Schnitzler)
2013-04-14  a5c75c4  #13621,#44110,  [BUGFIX] Persist an empty unmodified objectstorage (Marc Bastian Heinrichs)
2013-04-14  65f708c  #47212          [BUGFIX] Remove ObjectMapper part from TS-Template (Stefan Froemken)
2013-04-14  b8936da  #11374          [BUGFIX] Validation with invalid validator caused unrelated errors (Claus Due)
2013-04-14  079acb4  #47186          [BUGFIX] Don't use folders as templates, partials and layouts (Marc Bastian Heinrichs)
2013-04-14  8ecb544  #47195,#47197   [BUGFIX] Fix attaching objects to a existing objectstorage (Marc Bastian Heinrichs)
2013-04-14  d017071  #10250          [BUGFIX] Improve description of registerModule() (Georg Ringer)
2013-04-14  0c26abe  #47205          [TASK] Cleanup require and require_once (Stefan Neufeind)
2013-04-14  548ed18  #47200          [TASK] Add namespacing where missing (Stefan Neufeind)
2013-04-14  bd7bb9d  #47206          [TASK] Use __DIR__ instead of dirname(__FILE__) (Stefan Neufeind)
2013-04-14  e603c02  #36103          [BUGFIX] Mark objectstorage clean after saving (Marc Bastian Heinrichs)
2013-04-14  76a35b0                  [TASK] dbal works with lazy native mysql connection (Christian Kuhn)
2013-04-14  5568148  #47201          [TASK] Add namespaing to ConfigurationManagerInterface (Stefan Neufeind)
2013-04-13  d9653fa  #9843           [TASK] UriBuilder can handle multidim arrays in exludes params (Anja Leichsenring)
2013-04-13  487a52e  #40337          [TASK] Detect inject methods more strictly (tomas)
2013-04-13  93edb2e  #43959          [BUGFIX] Clearing label through TS doesn't work (Markus Klein)
2013-04-13  d001227  #47187          [TASK] Typo3DbBackend, getRowsFromResult(): Drop source-argument (Stefan Neufeind)
2013-04-13  16600ac  #39140          [BUGFIX] Call RequestHandlerResolver also for CLI requests (Alexander Schnitzler)
2013-04-13  d3394c2  #8066           [BUGFIX] Only throw tooDirty if uid part of cleanProperties (Balisky Christophe)
2013-04-13  01f9230  #47185          [TASK] Typo3DbBackend: Drop non-functional code (Stefan Neufeind)
2013-04-13  2cee5fa  #28149          [BUGFIX] getPlainValue for @lazy objects (Benjamin Bretz)
2013-04-13  8c3f329  #47182          [TASK] Backport Flow property mapper (Thomas Maroschik)
2013-04-13  c60a671  #46042          [BUGFIX] Localization ignores extensionName argument for TypoScript labels (Tymoteusz Motylewski)
2013-04-13  172a764  #47178          [TASK] Provide .gitignore and ignore code coverage report folder (Alexander Schnitzler)
2013-04-13  b05551e  #46035          [BUGFIX] Added handling for array in findOneByXXX result (Benjamin Bretz)
2013-04-13  2e3bea6  #13845          [BUGFIX] RequestBuilder must not call $request->setMethod with NULL (Alexander Schnitzler)
2013-04-13  55f1515  #47176          [TASK] Remove further t3lib mentions (Wouter Wolters)
2013-04-13  87e3952  #47174          [TASK] Fix typehints in docblocks of Mapper (Stefan Neufeind)
2013-04-12  8290da2  #28091          [TASK] Optimize persisting a dirty objectStorage (Marc Bastian Heinrichs)
2013-04-12  c4df59f  #46418          [BUGFIX] Prevent call of updateReferenceIndex on unknown object (Stefan Galinski)
2013-04-12  0f0622f  #47171          [TASK] Simplify propertyName-creation (Stefan Neufeind)
2013-04-12  0e67221  #47167          [BUGFIX] Prevent building empty IN () query by throwing exception (Benjamin Bretz)
2013-04-12  ae92842  #36053          [TASK] Add caching layer for getTargetPidByPlugin (Georg Ringer)
2013-04-12  d99d242  #46079          [BUGFIX] Redirect-method in abstractController does not work with SSL (Rony Khoury)
2013-04-12  b8f3855  #47164          [BUGFIX] Referenced file names in ext_localconf (Christian Kuhn)
2013-04-12  d0ca609  #6538           [BUGFIX] Translation of extbase-core (tomas)
2013-04-12  7e24661  #45715          [BUGFIX] RespectStoragePage does not respect rootLevel (Stefan Frömken)
2013-04-12  f876036  #47026          [TASK] Disable functional tests (Philipp Gampe)
2013-04-11  9ec4f0d  #47143          [BUGFIX] Wrong method call (Christian Kuhn)
2013-04-11  3355f39                  [TASK] Update t3lib mentions (Christian Kuhn)
2013-04-11  5015347                  [TASK] Update t3lib mentions (Christian Kuhn)
2013-04-11  da9a832                  [TASK] Update t3lib mentions (Christian Kuhn)
2013-04-11  3f23331                  [TASK] Update t3lib mentions (Christian Kuhn)
2013-04-11  6c31ff3                  [TASK] Update t3lib mentions (Christian Kuhn)
2013-04-09  03e4b06  #47034          [TASK] Adjust Comments to describe string comparison (Anja Leichsenring)
2013-04-09  bd31d4c  #34327          [BUGFIX] exec_INSERTmultipleRows doesn't check alternative handlers (Christian Kuhn)
2013-04-05  4274fcb                  [TASK] Remove deprecated code (Nicole Cordes)
2013-04-02  36264ca  #44214,#44215   [BUGFIX] Property Mapper chokes on already-converted objects (Marc Neuhaus)
2013-04-02  ff3cdc3  #46871          [CLEANUP] Drop incomplete tests (Anja Leichsenring)
2013-04-01  7efcfc4  #32473          [FEATURE] Allow workspace members to send item back to edit (Bart Dubelaar)
2013-04-01  4cbd51e  #46845          [BUGFIX] Fix namespace in FileMountRepositoryTest (Alexander Schnitzler)
2013-04-01  a6cc237  #46840          [TASK] Update copyright year to 2013 (Alexander Schnitzler)
2013-04-01  dd29e1a                  Revert "[TASK] Make current persistence replaceable" (Alexander Schnitzler)
2013-03-31  18e8d9c  #40369          [TASK] Remove compat layer for backend module (Nicole Cordes)
2013-03-30  e28ce93  #46193          [BUGFIX] Native DateTime values cannot be mapped from storage (Oliver Hader)
2013-03-30  f2eeb80                  Revert "[BUGFIX] Native DateTime values cannot be mapped from storage" (Oliver Hader)
2013-03-30  80afd63  #46193          [BUGFIX] Native DateTime values cannot be mapped from storage (Oliver Hader)
2013-03-30  ef31181  #46774          [BUGFIX] FlashMessageContainer uses static flashMessageQueue (Christian Kuhn)
2013-03-29  f272c2d  #46607          [TASK] Replace static calls to FlashMessageQueue to the new service (Wouter Wolters)
2013-03-27  5e48856  #46360          [TASK] Refactor code to match new structure (Wouter Wolters)
2013-03-26  0e0621f  #44222          [BUGFIX] Add needed setting to handle file_references correctly (Anja Leichsenring)
2013-03-26  69543ba  #43964          [BUGFIX] Add needed setting to handle file_references correctly (Anja Leichsenring)
2013-03-26  ba05055  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  4bbdf74  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  b7fcc1e  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  6a64a72  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  01a1bee  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  d09f980  #46699          [TASK] Remove not maintained md5 in ext_emconf (Christian Kuhn)
2013-03-26  318319e  #46635          [TASK] Table Mapping for File Model (Anja Leichsenring)
2013-03-26  cde5534  #46695          [BUGFIX] Incomplete mock reset in StandaloneViewTest (Christian Kuhn)
2013-03-26  6a28dc1  #46511          [BUGFIX] TypoScript configuration not available in backend (Oliver Hader)
2013-03-25  48ff7b5                  [!!!][FEATURE] Allow Fluid arrays only in ViewHelper arguments (Wouter Wolters)
2013-03-23  6490c5d  #46396          [FEATURE] Use EnvironmentService to detect TYPO3_MODE in several places (Alexander Schnitzler)
2013-03-21  2b0c185                  [TASK] Remove deprecated @see comment (Christian Kuhn)
2013-03-21  2bc05bc  #39137          [TASK] Remove deprecated code (Markus Klein)
2013-03-21  3f3469d  #46516          [TASK] Remove unreachable code (Christian Kuhn)
2013-03-21  0e0a47d  #39137          [TASK] Remove deprecated code (Markus Klein)
2013-03-21  66b53f5  #37081          [TASK] Remove reference to deprecated function (Markus Klein)
2013-03-20  6380607  #46478          [TASK] Rename methods in EnvironmentService (Alexander Schnitzler)
2013-03-18  8e3056f  #46365          [TASK] Update copyright year to 2013 (Wouter Wolters)
2013-03-18  b7ede88  #46133          [BUGFIX] Fix wrong parenthesis in Typo3DbBackend (Anja Leichsenring)
2013-03-18  bee0ebe  #40826          [BUGFIX] FormViewHelper creates inline styling (Wouter Wolters)
2013-03-18  47fc4fb  #46391          [FEATURE] Introduce methods to detect TYPO3_MODE properly (Alexander Schnitzler)
2013-03-18  b5d9c0f  #46363          [TASK] Update copyright year to 2013 (Wouter Wolters)
2013-03-18  62513ff  #46362          [TASK] Update copyright year to 2013 (Wouter Wolters)
2013-03-17  3bdc9b1  #46393          [BUGFIX] PHP 5.4 E_STRICT warning in HtmlViewHelper (Christian Kuhn)
2013-03-17  acd4001  #46354          [TASK] Streamline creation of column maps (Alexander Schnitzler)
2013-03-16  de73b4e  #36515          [BUGFIX] Report not shown in IE 7 and 8 when CheckLink tab is hidden (Daniel Minder)
2013-03-16  a685a25  #46356          [TASK] Update copyright year to 2013 (Wouter Wolters)
2013-03-15  15c9ba3  #46102          [FEATURE] Providing Core Resource FileReference functionality (Benjamin Rau)
2013-03-15  8ebbfed  #43694          [BUGFIX] Adjust hooks after moving/namespacing (Stefan Neufeind)
2013-03-14  855b420  #46299          [TASK] Remove obsolete doc comment check in reports module (Christian Kuhn)
2013-03-14  3debe88  #46293          [!!!][FEATURE] Enable rewritten PropertyMapper as default (Anja Leichsenring)
2013-03-13  7bdd9f9  #46162          [TASK] Cleanup fluid (Wouter Wolters)
2013-03-12  0b16667  #45673          [FEATURE] Adjustable decimals for view helper format.currency (Josef Florian Glatz)
2013-03-08  e068f63  #10770          [!!!][BUGFIX] Remove support for TCA setting 'foreign_selector' (Helmut Hummel)
2013-03-06  50b63ee  #45977          [BUGFIX] TypeConverter can handle oldschool classnames (Anja Leichsenring)
2013-03-06  920b01d  #40813          [TASK] Update examples in ValidationResults ViewHelper (Wouter Wolters)
2013-03-06  17b357b  #46057          [SECURITY] SQL Injection Possibility in Extbase (Felix Oertel)
2013-03-06  7cc8965  #37000          [BUGFIX] Prevent Extbase warnings accessing ObjectStorages with strings (Christian Kuhn)
2013-03-06  6601169  #46031          [BUGFIX] BooleanValidator skips Validation with missing compare param (Anja Leichsenring)
2013-03-04  471faa2  #7267           [BUGFIX] Prevent PHP errors with missing ColumnMap object (Alexander Schnitzler)
2013-03-03  be2f7da  #44819          [TASK] Sync TYPO3 CMS Fluid with Flow Fluid 1.1 (part3) (Tymoteusz Motylewski)
2013-03-03  50d433b  #44819,#45985   [TASK] Sync CMS Fluid with Flow Fluid 1.1 (part2) (Tymoteusz Motylewski)
2013-03-03  f807e7b  #45682          [BUGFIX] Fix tests for old property mapper (Anja Leichsenring)
2013-03-03  a20a7ec  #45880          [FEATURE] Introducing a BooleanValidator. (Pascal Dürsteler)
2013-02-28  ecc262e                  [FEATURE] TCA refactoring (Christian Kuhn)
2013-02-28  01609aa                  [FEATURE] TCA refactoring (Christian Kuhn)
2013-02-28  f776e3c                  [FEATURE] TCA refactoring (Christian Kuhn)
2013-02-28  a21a81d                  [FEATURE] TCA refactoring (Christian Kuhn)
2013-02-28  7e40635                  [FEATURE] TCA refactoring (Christian Kuhn)
2013-02-21  5faf6c4  #45705          [BUGFIX] Old property mapper shouldn't map other domain objects (Christian Kuhn)
2013-02-21  88adb4e  #45682          [BUGFIX] Fix tests throwing errors in MapperTest (Anja Leichsenring)
2013-02-20  5ed82b5  #45622          [BUGFIX] ReflectionService rejects classSchema for custom models (Anja Leichsenring)
2013-02-19  d1e7cdd                  Revert "[BUGFIX] Prevent sql errors with missing ColumnMap" (Anja Leichsenring)
2013-02-13  0ae883c                  Revert "[TASK] Remove reference to stddb/tables.sql" (Christian Kuhn)
2013-02-13  24feb75                  Revert "[TASK] Remove loadTCA calls" (Christian Kuhn)
2013-02-13  beacaa9                  Revert "[TASK] Remove loadTCA calls" (Christian Kuhn)
2013-02-13  9663a61                  Revert "[TASK] Remove loadTCA calls" (Christian Kuhn)
2013-02-13  fc7bbd5                  Revert "[TASK] Remove loadTCA calls" (Christian Kuhn)
2013-02-13  8aa9fe6                  Revert "[TASK] Remove loadTCA calls" (Christian Kuhn)
2013-02-10  3d0dec9  #45337          [BUGFIX] Add foreign_match_fields support for one-to-x relations (Helmut Hummel)
2013-02-10  a9fb855  #43836          [FEATURE] Make use of the ClassNamingUtility class (Anja Leichsenring)
2013-02-10  921ef1e  #35412          [TASK] Add test for GroupedForViewHelper to support DateTime Objects (Kilian Hann)
2013-02-10  96e0f9b  #43928          [BUGFIX] Respect wildcard in PropertyConfiguration shouldMap() (Anja Leichsenring)
2013-02-10  06faeca                  [BUGFIX] Followup to issue #45323 (Andreas Wolf)
2013-02-10  80a64f8  #45324          [TASK] Replace ObjectManager create with get (Marc Bastian Heinrichs)
2013-02-10  f81895a  #45323          [TASK] Replace ObjectManager create with get (Marc Bastian Heinrichs)
2013-02-10  b6ebd94  #34877          [BUGFIX] Apply arguments to the default string (dkd-egerer Sascha Egerer)
2013-02-10  fee5db5  #45331          [TASK] Clean up Unit tests in fluid (Markus Günther)
2013-02-10  87b71cf  #45322          [TASK] Sync objectmananger get and create with Flow (Marc Bastian Heinrichs)
2013-02-09  149ce66  #45330          [TASK] Clean up Unit tests in extbase (Markus Günther)
2013-02-09  41303ff  #11021          [!!!][TASK] Remove forced STI settings from extbase configuration (Anja Leichsenring)
2013-02-09  bdeba67  #43894          [FEATURE] Complete the Property Mapper whitelist change for fluid (Sebastian Kurfürst)
2013-02-09  f74ff51  #43057          [FEATURE] (MVC): Whitelist-based Property Mapping Configuration (Sebastian Kurfürst)
2013-02-09  1f24dbe                  [BUGFIX] Follow-up typo to #45316 (Christian Kuhn)
2013-02-09  479efe7  #45318          [TASK] Decouple BE module runner and Bootstrap (Andreas Wolf)
2013-02-09  0ddc5aa  #44819          [TASK] Sync CMS Fluid with Flow Fluid 1.1 (part1) (Tymoteusz Motylewski)
2013-02-09  3ca2b8d  #45316          [FEATURE] Support literal strings in boolean arguments (Christian Kuhn)
2013-02-09  3e4d0b6  #44213          [TASK] Improve Test (Anja Leichsenring)
2013-02-09  b678197  #45300          [TASK] Add dataproviders for 2 tests in DateViewHelperTest (Wouter Wolters)
2013-02-09  b0b86b6  #44012          [TASK] Add FileReference table mapping in extbase configuration (Anja Leichsenring)
2013-02-09  b08facd  #44804          [TASK] Provide unit test for Mvc/Response (Alexander Schnitzler)
2013-02-09  41e918f  #44805          [TASK] Improve code coverage of Mvc/Request (Alexander Schnitzler)
2013-02-08  145c0ab  #45291          [BUGFIX] Skip a SelectViewHelperTest on Mac (Markus Günther)
2013-02-08  f632a00  #44796          [FEATURE] Allow different overriding of object mapping per plugin (Alexander Schnitzler)
2013-02-08  210f6a3  #45285          [BUGFIX] Unit test fails with broken timezone (Christian Kuhn)
2013-02-07  4398eee  #45259          [BUGFIX] Wrong numbers in BE paginage widget (Thomas Löffler)
2013-02-07  cc51602  #45256          [BUGFIX] Remove superfluous newline (Anja Leichsenring)
2013-02-06  b5006c2  #12769,#43363,  [BUGFIX] Date ViewHelper not using configured Timezones (Anja Leichsenring)
2013-02-06  23592df  #45218          [BUGFIX] Fix typo and improve backup of system settings (Anja Leichsenring)
2013-02-06  942d92a  #26595          [FEATURE] Introduce prepend option for Select ViewHelper (Anja Leichsenring)
2013-02-05  c2f79e8                  [TASK] Remove reference to stddb/tables.sql (Christian Kuhn)
2013-02-05  3f5bed9                  [TASK] Remove loadTCA calls (Christian Kuhn)
2013-02-05  ff8411a                  [TASK] Remove loadTCA calls (Christian Kuhn)
2013-02-05  0d5cc26                  [TASK] Remove loadTCA calls (Christian Kuhn)
2013-02-05  414422e                  [TASK] Remove loadTCA calls (Christian Kuhn)
2013-02-05  886d68e                  [TASK] Remove loadTCA calls (Christian Kuhn)
2013-02-04  34ff8f9  #42948          [BUGFIX] Catchable fatal error when using the swap button (Marco Bresch)
2013-02-03  e203d46  #45118          [BUGFIX] Remove PHP Error caused by setlocale call (Anja Leichsenring)
2013-02-03  604ac6f  #45117          [TASK] Remove option 'path' for extendCMclasses (Wouter Wolters)
2013-01-26  ce2d595  #44835          [BUGFIX] Incomplete locale backup in unit test (Christian Kuhn)
2013-01-26  bf130ec  #44832          [BUGFIX] Alphanumeric validator fails with broken PCRE (Christian Kuhn)
2013-01-26  de7bbb6  #44833          [BUGFIX] RepositoryTest raises warning (Christian Kuhn)
2013-01-25  bfad5a1  #44806          [BUGFIX] ConfigurationManager must use namespaced FrontendSimulator (Alexander Schnitzler)
2013-01-23  7ce4555  #43938          [BUGFIX] Workspace auto publish scheduler task registration (Tobias Liebig)
2013-01-20  b6d31d0  #44638          [TASK] Provide Unit Test for Scheduler/Task (Alexander Schnitzler)
2013-01-20  36d01f9  #25873          [BUGFIX] Ordering without grouping is incompatible with non-MySQL DBMS (Ingo Pfennigstorf)
2013-01-20  9f7b5e3  #44664          [TASK] Provide Unit Test for Scheduler/TaskExecuter (Alexander Schnitzler)
2013-01-19  f11f07d                  Revert "[FEATURE] Allow different overriding of object mapping per plugin" (Alexander Schnitzler)
2013-01-19  b606c54  #44650          [TASK] Improve code coverage of Scheduler/FieldProvider (Alexander Schnitzler)
2013-01-19  a2ea5a3  #44656          [TASK] Increase code coverage of FrontendConfigurationManager (Alexander Schnitzler)
2013-01-18  1eb4e55  #44612          [TASK] Increase code coverage of Service/TypeHandlingService (Alexander Schnitzler)
2013-01-18  e3d3c43  #44611          [TASK] Increase code coverage of SignalSlot/Dispatcher (Alexander Schnitzler)
2013-01-17  5cf06fe  #44603          [TASK] Provide Unit Test for Error/Message (Alexander Schnitzler)
2013-01-17  3dbd7aa  #44601          [FEATURE] Provide UnitTest.xml with code coverage generation (Alexander Schnitzler)
2013-01-13  3825a23  #44255          [TASK] Rename property, getter and setters of File Model (Helmut Hummel)
2013-01-08  cc8cc2a  #39329          [FEATURE] Add userGroups to backendUser model (Markus Günther)
2013-01-08  47bb3b7  #39324          [FEATURE] Add filemount property to backend users (Markus Günther)
2013-01-07  f93969d  #44366          [BUGFIX] Remove newline after ?> in AbstractController (Alexander Schnitzler)
2013-01-07  cc52d67  #6117           [BUGFIX] Avoid clearing the page cache too often (Alexander Schnitzler)
2013-01-06  42ca35c  #44343          [BUGFIX] Correct indention of class comment (Anja Leichsenring)
2013-01-06  7c27835  #44335          [BUGFIX] Suppress debug output of debugger in unit tests (Alexander Schnitzler)
2013-01-06  ddaefb9  #44334          [BUGFIX] Fix failing tests in ActionControllerTest (Anja Leichsenring)
2013-01-06  a9a9699  #43445          [BUGFIX] selectViewHelper sorting should respect locales (Stefan Froemken)
2013-01-06  049bf49                  Revert "[FEATURE] Introduce beforeCallActionMethod signal" (Anja Leichsenring)
2013-01-05  6966a06  #7397           [FEATURE] Introduce beforeCallActionMethod signal (Alexander Schnitzler)
2013-01-05  55fce0c  #7397           [FEATURE] Introduce beforeCallActionMethod signal (Alexander Schnitzler)
2013-01-05  7b1a1b0  #7267           [BUGFIX] Prevent sql errors with missing ColumnMap (Alexander Schnitzler)
2013-01-05  f065089  #43955          [BUGFIX] DebuggerUtility does not rewind instances of Iterator (Alexander Schnitzler)
2013-01-05  051303f  #44216          [BUGFIX] Make AlphanumericValidator work with umlauts (Alexander Schnitzler)
2013-01-05  c94f2c8  #32026          [BUGFIX] Use interface in PersistenceManager::injectQueryFactory (Alexander Schnitzler)
2013-01-05  d040ebb  #35936          [BUGFIX] Use interface in Mapper::injectQueryFactory (Alexander Schnitzler)
2013-01-04  a2716f0  #44114          [BUGFIX] Hidden state is not always visualized in module (Oliver Hader)
2013-01-04  db85e3b  #44225          [BUGFIX] History service does not show details anymore (Oliver Hader)
2013-01-04  1f91a3d  #26612          [BUGFIX] Preview does not include L parameter on localization (Oliver Hader)
2012-12-17  b4d5351  #44055          [BUGFIX] ExtJS connection timeout when mass publishing (Helmut Hummel)
2012-12-17  9c74f13  #44042          [CLEANUP] Remove newlines after closing php tag (Alexander Schnitzler)
2012-12-15  c43c42a  #43450          [FEATURE] Allow different overriding of object mapping per plugin (Alexander Schnitzler)
2012-12-15  e27fab6  #42506          [TASK] Make current persistence replaceable (Alexander Schnitzler)
2012-12-12  496cc5e  #43528          [BUGFIX] Deprecated functions used in on fresh 6.0 final (Stefan Froemken)
2012-12-11  1a4479a                  Revert "[TASK] Adjust failing test" (Anja Leichsenring)
2012-12-11  4cc9984  #43890          [TASK] Adjust failing test (Anja Leichsenring)
2012-12-11  f123e0e  #43887          [CLEANUP] Remove all @author annotations (Alexander Schnitzler)
2012-12-11  7fbd84b  #43883          [CLEANUP] Replace wrong/old file copyright comments (Alexander Schnitzler)
2012-12-10  7614424  #6944           [FEATURE] Recursive starting point/storage pid via TypoScript (Stefan Neufeind)
2012-12-04  86ac522  #43198          [BUGFIX] MM_match_fields is ignored when persisting MM relations (Kai Vogel)
2012-12-02  d0867f6  #43446          [BUGFIX] Image viewhelper clears $GLOBALS['TSFE'] in backend context (Stefan Froemken)
2012-12-01  65103c4  #13368          [BUGFIX] Content of Tab is not scrollable. (Jan Philipp Timme)
2012-11-29  fcbc82a  #43463          [BUGFIX] Move unit tests around (Christian Kuhn)
2012-11-29  6c0bf1a  #43334          [TASK] Update ChangeLog.txt for 6.0 (Ingo Pfennigstorf)
2012-11-28  c110dff  #43389          [TASK] Update version to 6.1.0-dev (Alexander Schnitzler)
2012-11-28  739d67a  #43388          [TASK] Update version to 6.1.0-dev (Alexander Schnitzler)
2012-11-27  e704e0e                  Revert "[BUGFIX] MM_match_fields is ignored when persisting MM relations" (Helmut Hummel)
2012-11-27  7977feb  #43322          [BUGFIX] SQL error in getLinkCounts (Philipp Gampe)
2012-11-27  417514d                  [BUGFIX] Remove double closing tag (Helmut Hummel)
2012-11-27  a3e1442  #7574,#8536,#5  [TASK] Timestamp support for DateTimeConverter (Claus Due)
2012-11-26  111e166  #43198          [BUGFIX] MM_match_fields is ignored when persisting MM relations (Kai Vogel)
2012-11-25  7d80f18  #43263          [BUGFIX] Missing table definitions crash Dbal (Nicole Cordes)
2012-11-25  799c320  #43269          [TASK] Adapt dbal to the new class implementation registry (Christian Kuhn)
2012-11-24  d7510bb  #43254          [BUGFIX] No error messages for own queries (Nicole Cordes)
2012-11-23  9d46e69  #43157          [CLEANUP] Adjust code to CGL and fix small namespace bugs (Alexander Schnitzler)
2012-11-22  772cef9  #42507          [TASK] Make Fluid translation calls compatible to TYPO3 Flow (Ingo Pfennigstorf)
2012-11-22  205f21f  #43163          [BUGFIX] PHP Module pgsql not supported (Nicole Cordes)
2012-11-21  b07dd19  #43074          [BUGFIX] Remove property item of category model (Alexander Schnitzler)
2012-11-21  ccda3e4  #43205          [TASK] Adjust namespaces of persistence unit tests (Alexander Schnitzler)
2012-11-21  9ae1a91  #43204          [TASK] Move persistence unit tests (Alexander Schnitzler)
2012-11-20  86cd5c6  #43171          [BUGFIX] Fix failing AbstractWidgetControllerTest (Wouter Wolters)
2012-11-20  39993e7  #43146          [CLEANUP] Adjust code to coding guidelines (Alexander Schnitzler)
2012-11-20  c1f9805  #41182          [BUGFIX] Driver cannot be saved (Nicole Cordes)
2012-11-19  9fb6496  #43083          [BUGFIX] Fix setting templateRootPath (Wouter Wolters)
2012-11-19  f85be79  #43120          [TASK] Comment legacy files to be removed with 6.2 (Christian Kuhn)
2012-11-19  cbf29d3  #43120          [TASK] Comment legacy files to be removed with 6.2 (Christian Kuhn)
2012-11-19  d178b98  #43120          [TASK] Comment legacy files to be removed with 6.2 (Christian Kuhn)
2012-11-19  6133535  #43120          [TASK] Comment legacy files to be removed with 6.2 (Christian Kuhn)
2012-11-19  3e28ffb  #43120          [TASK] Comment legacy files to be removed with 6.2 (Christian Kuhn)
2012-11-19  3c753bc  #43069          [TASK] Remove deprecated methods and classes (Marc Bastian Heinrichs)
2012-11-19  2feacb6  #43058          [BUGFIX] Use tablename for fullQuoteStr call (Anja Leichsenring)
2012-11-19  ddcb6e2  #43106          [BUGFIX] Remove newlines after closing php tag (Alexander Schnitzler)
2012-11-19  f509c21  #43105          [BUGFIX] Remove newlines after closing php tag (Alexander Schnitzler)
2012-11-19  9d13ded  #43036          [CLEANUP] Replace FLOW3 with TYPO3 Flow (Alexander Schnitzler)
2012-11-19  83e92d5  #37563          [BUGFIX] Force command controller task arguments saved as array (Marc Bastian Heinrichs)
2012-11-19  e1bd13b  #27057          [BUGFIX] Prevent sql errors with unsupported relation (Alexander Schnitzler)
2012-11-19  54d529a  #43070          [BUGFIX] Forward uid to t3lib_BEfunc::getProcessedValue on creating differences (Oliver Hader)
2012-11-19  301c0a7  #43049          [BUGFIX] Lost page id after editing record out of Workspace Module (Oliver Hader)
2012-11-19  4286b2e  #43035          [BUGFIX] Make saving scheduler commandController tasks working again (Marc Bastian Heinrichs)
2012-11-19  dacba43  #43084          [BUGFIX] Add missing TypoScript Mapping for Category Model (Ingo Pfennigstorf)
2012-11-18  34278cc  #43075          [BUGFIX] Fix charset inconsistency in Fluid tests (Helmut Hummel)
2012-11-18  b97e2be  #13255          [BUGFIX] make cols and rows in TextareaViewHelper optional (Markus Günther)
2012-11-18  3e23c3a  #34091          [BUGFIX] AbstractFormFieldViewHelper always converts entities (Claus Due)
2012-11-17  ab846f8  #35937          [BUGFIX] Tx_Extbase_DomainObject_AbstractDomainObject#getUid is final (Markus Günther)
2012-11-17  286aab2  #43037          [CLEANUP] Remove not existing AOP stuff from fluid (Alexander Schnitzler)
2012-11-17  1006ea0  #43051          [BUGFIX] Fix small DebuggerUtility issues (Alexander Schnitzler)
2012-11-17  1c95046  #42968,#42928   [BUGFIX] Fix and deprecate legacy creation of objects in repository (Marc Bastian Heinrichs)
2012-11-17  83f65d9  #11024          [!!!][BUGFIX] Remove property isOnline from frontenduser model (Marc Bastian Heinrichs)
2012-11-17  d6b0fca  #42791          [BUGFIX] Make ValidatorResolver respect namespaces (Tymoteusz Motylewski)
2012-11-17  cbceae2  #43002          [BUGFIX] Old table name sys_language_overlay in use (Patrick Broens)
2012-11-17  ef7bd7a  #42782          [BUGFIX] Reset 'vendorName' in RequestBuilder to NULL for new requests (Andreas Kiessling)
2012-11-16  d09a542  #42130          [BUGFIX] Correctly apply _LOCAL_LANG from typoscript (Jana Golinowski)
2012-11-16  6409b98  #43019          [TASK][workspaces] Remove @package and @subpackage annotations (Christian Kuhn)
2012-11-16  c6e3fba  #43019          [TASK][version] Remove @package and @subpackage annotations (Christian Kuhn)
2012-11-16  f59de46  #43019          [TASK][linkvalidator] Remove @package and @subpackage annotations (Christian Kuhn)
2012-11-16  6e3f6a5  #43019          [TASK][dbal] Remove @package and @subpackage annotations (Christian Kuhn)
2012-11-16  c91eee2  #43017          [BUGFIX] Rename Reflection\Service to Reflection\ReflectionService (Alexander Schnitzler)
2012-11-15  517742c  #42808          [TASK] Rename Reflection/Service to Reflection/ReflectionService (Anja Leichsenring)
2012-11-15  9dfb8e2  #42737          [BUGFIX] Cache in BackendConfigurationManager is not taking pageId into account (Tymoteusz Motylewski)
2012-11-15  507fe96  #28369          [BUGFIX] DataMapperFactory respects foreign_table_field (Peter Niederlag(office))
2012-11-14  549a3b5  #42844          [TASK] Fix CGL issues (Philipp Gampe)
2012-11-14  b7a29e9  #42970          [BUGFIX] Fix Annotation for Category model (Ingo Pfennigstorf)
2012-11-08  3393d5f                  [TASK] Remove deleted class from alias map (Helmut Hummel)
2012-11-08  ac0aa72  #42803          [TASK] Add "Abstract" prefix to abstract task class (Helmut Hummel)
2012-11-08  93fdc73  #42803          [TASK] Add "Abstract" prefix to abstract task class (Helmut Hummel)
2012-11-08  27b8d41  #42803          [TASK] Add "Abstract" prefix to abstract task class (Helmut Hummel)
2012-11-08  1df97ec  #42803          [TASK] Add "Abstract" prefix to abstract task class (Helmut Hummel)
2012-11-08  4eacf04                  Revert "[BUGFIX] FormViewHelper creates inline styling" (Helmut Hummel)
2012-11-07  ab1dfa5  #42713          [TASK] Adjust phpdoc for classes (files) of backports (Anja Leichsenring)
2012-11-07  d4efc3c                  [BUBFIX] Fix fatal error in Test (Helmut Hummel)
2012-11-07  4f107ff  #42546          [BUGFIX] Fix several namespace related bugs (Helmut Hummel)
2012-11-07  e6fee58  #40900          [BUGFIX] Mapping of DomainObject with namespaces (Aske Ertmann)
2012-11-07  1bfaa42  #42519          [BUGFIX] Dont respect pid for static & rootlevel tables (Alexander Schnitzler)
2012-11-07  c734fee  #42028          [BUGFIX] Namespaced domain models are not updated (Nico de Haen)
2012-11-06  282cb87  #7453           [BUGFIX] Escaping E-Mail addresses conflicts with spam protection (Ingo Pfennigstorf)
2012-11-06  1d6c789  #40826          [BUGFIX] FormViewHelper creates inline styling (Ingo Pfennigstorf)
2012-11-06  3d8389b  #40556          [TASK] Remove renderFlashMessages ViewHelper (Ingo Pfennigstorf)
2012-11-06  05436fc  #42700          [TASK] Adjust phpdoc to namespaces (Stefan Neufeind)
2012-11-05  276fca1  #42505          [TASK] Resync TYPO3Flow- and Extbase-Persistence (Alexander Schnitzler)
2012-11-05  34cc223  #42683          [BUGFIX] Misspelling in Typo3DbBackend.php (Nicole Cordes)
2012-11-05  a6e3282  #9151           [BUGFIX] Always add the "alt" attribute for images (dkd-egerer Sascha Egerer)
2012-11-05  83c3027  #42676          [TASK] Cleanup Typo3DbBackend (Helmut Hummel)
2012-11-04  6c7f71f  #40955          [BUGFIX] resolveValidatorObjectName support for namespaces (Aske Ertmann)
2012-11-04  b4e400f  #41785          [BUGFIX] Support plugins in namespaced extensions (Aske Ertmann)
2012-11-04  e5429a5  #42665          [BUGFIX] Rename File after renaming class (Helmut Hummel)
2012-11-04  00d1cf8  #40796          [BUGFIX] Typo3DbBackend language handling crashes in BE (Nicole Cordes)
2012-11-04  f59617c                  [TASK] Remove ext_autoload.php (Helmut Hummel)
2012-11-04  1c9ed32  #42665          [TASK] Rename FlashMessages to FlashMessageContainer (Helmut Hummel)
2012-11-04  fa08e8c  #42665          [TASK] Rename FlashMessages to FlashMessageContainer (Helmut Hummel)
2012-11-04  c23e82c  #41926,#41925   [TASK] Remove deprecated methods and classes (Helmut Hummel)
2012-11-03  7161a7b  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-03  aa396b1  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-03  001eb85  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-03  d60503b  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-03  3bda92b  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-03  1fa4179  #42661          [TASK] Rename ExtensionManager class (Helmut Hummel)
2012-11-02  1546416                  [TASK] Update doc block example code to to namespaces (Aske Ertmann)
2012-11-02  5f65c3e  #42612          [BUGFIX] PHP 5.4 unit test warnings (Christian Kuhn)
2012-11-02  135b1b2  #42610          [BUGFIX] PHP 5.4 unit test warnings (Christian Kuhn)
2012-10-31  cbdc87b  #42428          [FEATURE] Backend paginate widget (Jigal van Hemert)
2012-10-31  c06b495  #42554          [BUGFIX] Replace GenericObjectStorage in Fluid (Helmut Hummel)
2012-10-31  6b77069  #42554          [BUGFIX] Replace GenericObjectStorage in Fluid (Alexander Schnitzler)
2012-10-31  e9994c2                  [TASK] Replace old class names with namespaced ones (Helmut Hummel)
2012-10-31  819f0b1  #42549          [TASK] Change objectStorage patch in migration script (Alexander Schnitzler)
2012-10-31  fd186ea  #42549          [TASK] Change namespace and classname of ObjectStorage (Alexander Schnitzler)
2012-10-31  04ad1c6  #42545          [TASK] Move ObjectStorage from Generic to Persistence (Alexander Schnitzler)
2012-10-30  414bbfc                  [TASK] Remove ext_autoload.php (Helmut Hummel)
2012-10-30  40cb46c  #42504          [TASK] Cleanup files in persistence (Helmut Hummel)
2012-10-30  d681198  #42504          [TASK] Remove duplicate files in persistence (Helmut Hummel)
2012-10-30  c10153e  #35961,#36080   [BUGFIX] Replace depcrated PersistenceManager::getBackend() calls (Kevin Ulrich Moschallski)
2012-10-30  942d9d7                  Revert "[BUGFIX] Support plugins in namespaced extensions" (Ingo Pfennigstorf)
2012-10-30  039599b  #41785          [BUGFIX] Support plugins in namespaced extensions (Aske Ertmann)
2012-10-30  ed657e8  #42468          [TASK] Use core interface for accessible objects (Helmut Hummel)
2012-10-29  3bf9818  #42484          [TASK] Remove forceCharset references from LocalizationUtility (Ingo Pfennigstorf)
2012-10-29  0f7424e  #40683          [BUGFIX] NotEmpty Validator does not work with arrays and objects (Ingo Pfennigstorf)
2012-10-29  8ff6869  #42468          [TASK] Add phpdoc-comments for variables (Nicole Cordes)
2012-10-29  225df90  #42459          [BUGFIX] Removed trash files and their references (Alexander Schnitzler)
2012-10-29  283b07b  #42469          [CLEANUP] Remove old SVN comments (Alexander Schnitzler)
2012-10-28  fb8dd61  #42234          [BUGFIX] Fix mismatches between count of param in phpdoc and function-signature (Stefan Neufeind)
2012-10-28  9b50de3  #42234          [BUGFIX] Fix mismatches between count of param in phpdoc and function-signature (Stefan Neufeind)
2012-10-28  88edcb5  #42232          [BUGFIX] Fix mismatches between count of param in phpdoc and function-signature (Stefan Neufeind)
2012-10-28  cb5b9c8  #39981          [TASK] Add explanation for $configurationType (Michael Bakonyi)
2012-10-28  89e4281  #42004          [BUGFIX] Fix namespace related bugs in DebuggerUtility (Alexander Schnitzler)
2012-10-20  eb88017  #42195          [TASK] Clean up testcases to use getAccessibleMock() function (Stefan Neufeind)
2012-10-19  91c1fb0  #42174          [TASK] Fix typo: seperator -> separator (Helmut Hummel)
2012-10-19  90df3d0                  Revert "[BUGFIX] Property mapper: Exception not thrown but skipped" (Helmut Hummel)
2012-10-18  2895dc7  #41052          [TASK] Make Core\Configuration\ConfigurationManager non static (Helmut Hummel)
2012-10-18  06dc637  #42123          [BUGFIX] Make old style Widgets work again (Helmut Hummel)
2012-10-18  700f2b4  #42104          [BUGFIX] Fix typo of internally used variable (Ingo Pfennigstorf)
2012-10-17  61516be  #42104          [TASK] Fix typo: seperator -> separator (Stefan Neufeind)
2012-10-17  a34cd16  #42051          [BUGFIX] Escape strings for JavaScript usage (Francois Suter)
2012-10-14  b9d9769  #35869          [BUGFIX] Replace deprecated calls in Repository (Marc Bastian Heinrichs)
2012-10-13  6d134a1  #41951          [BUGFIX] Change class name hash generation to md5 (Alexander Schnitzler)
2012-10-13  4939242  #41662          [BUGFIX] Fix broken table name mapping for namespaced extension models (Anja Leichsenring)
2012-10-13  1be7d45  #41948          [BUGFIX] Fix generation of class schema for namespaced arguments (Helmut Hummel)
2012-10-13  8088bb3  #41904          [BUGFIX] Query Generation creates invalid query in BE scope (Anja Leichsenring)
2012-10-12  df8abc0  #26615,#33383   [BUGFIX] Sent notification when changes are published (Marco Bresch)
2012-10-12  248f7ba  #41933          [BUGFIX] Fix generation of class name hash (Alexander Schnitzler)
2012-10-12  2274ca1  #41614          [BUGFIX] Correct link to first page in BE paginator widget (Helmut Hummel)
2012-10-10  4bba7f3  #41473          [TASK] CGL violation "Tabs must be used to indent lines" (Roland Waldner)
2012-10-03  b09ed2e  #40743          [BUGFIX] Respect namespaced models in the reflection service (Ingo Pfennigstorf)
2012-10-02  3d2caa5  #41329          [BUGFIX] Consolidate usage of DocumentTemplate (Helmut Hummel)
2012-09-30  54ec79e  #41453          [TASK] Cleanup new files (Philipp Gampe)
2012-09-30  0040577  #41384          [TASK] Provide class alias file for dbal (Thomas Maroschik)
2012-09-30  8522394  #41389          [TASK] Provide class alias file for workspaces (Thomas Maroschik)
2012-09-30  a066794  #41388          [TASK] Provide class alias file for version (Thomas Maroschik)
2012-09-30  de98d81  #41370          [TASK] Add leading backslashes to InvalidArgumentException (Anja Leichsenring)
2012-09-27  de7f034  #41387          [TASK] Provide class alias file for linkvalidator (Thomas Maroschik)
2012-09-26  c841713  #41371          [TASK] Add leading backslashes to InvalidArgumentException (Anja Leichsenring)
2012-09-26  a5d0094  #40748          [BUGFIX] Property Validation with Namespaces (Ingo Pfennigstorf)
2012-09-26  d0e74c5  #41386          [TASK] Provide class alias file for fluid (Thomas Maroschik)
2012-09-26  98f2b41  #41385          [TASK] Provide class alias file for extbase (Thomas Maroschik)
2012-09-25  b8893c1  #41367          [BUGFIX] Fix wrong replacements of the namespace refactoring (Helmut Hummel)
2012-09-25  9410969  #41367          [BUGFIX] Fix wrong replacements of the namespace refactoring (Helmut Hummel)
2012-09-23  db2b911  #41275          [BUGFIX] Configure configuration in EM crashes (Philipp Gampe)
2012-09-23  2e6d693  #41294          [BUGFIX] Task classname is not namespaced (Philipp Gampe)
2012-09-23  12c2fd9  #41287          [BUGFIX] Info module path is not namespaced (Philipp Gampe)
2012-09-23  930e98c  #41171          [TASK] Introduce base class for PHPUnit tests (Markus Klein)
2012-09-22  84ef883  #41171          [TASK] Introduce base class for PHPUnit tests (Markus Klein)
2012-09-22  1fa3a94  #41171          [TASK] Introduce base class for PHPUnit tests (Markus Klein)
2012-09-22  dbd672e  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  ff5b60e  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  e4abeb7  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  1d3f602  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  59a7680  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  8ab4a8a  #41261          [TASK] Update version number of all sysexts to 6.0.0 (Markus Klein)
2012-09-22  2c5e8be  #40333          [BUGFIX] Properly register extbase BE modules (Helmut Hummel)
2012-09-22  e5d40b5  #27862          [BUGFIX] Remove PHP warnings in request (Ingo Pfennigstorf)
2012-09-22  7ccb4a6  #41235          [TASK] Make all classes non final (Helmut Hummel)
2012-09-21  1354f6e  #40519          [BUGFIX] Creating default object from empty value in AbstractBackendViewHelper (Philipp Gampe)
2012-09-21  8b9cf13  #41211          [TASK] Fix TYPO3.ControlStructures.DisallowEachInLoopCondition (Andy Grunwald)
2012-09-21  db1f913  #41210          [BUGFIX] Fix Exception Class Name (Helmut Hummel)
2012-09-21  cd27f77  #41131          [TASK] Fix class naming and alias map after namespace change (Helmut Hummel)
2012-09-21  f78d31c  #41194          [BUGFIX] Use new class names in fluid tests (Helmut Hummel)
2012-09-21  6392624  #41119          [TASK] Cleanup character after PHP closing tag (Andy Grunwald)
2012-09-21  ad818af  #41188          [TASK] Fix CGL violations against ClassDocComment (Wouter Wolters)
2012-09-20  071321d  #41095          [TASK] Rename usage of Core\DataHandler\DataHandler (Christian Kuhn)
2012-09-20  261214c  #41096          [TASK] Rename usage of Core\DataHandler\DataHandler (Christian Kuhn)
2012-09-19  c39d626  #36905,#39569   [BUGFIX] Fix translation fallback (Xavier Perseguers)
2012-09-18  291c04a  #41015          [TASK] Remove superfluous parenthesis in sysexts (Arvid Jakobsson)
2012-09-18  d62c4ea  #40830          [TASK] Adopt Extbase to the Autoloader -> ClassLoader name change (Thomas Maroschik)
2012-09-18  547ef7f  #41016          [TASK] Remove superfluous parenthesis in sysexts (Arvid Jakobsson)
2012-09-10  29aa700  #40794          [BUGFIX] Reset makeInstance singletons correctly (Christian Kuhn)
2012-09-10  5fe9f9c  #40793          [BUGFIX] Broken backups in BackendConfigurationManagerTest (Christian Kuhn)
2012-09-10  b2c6914  #40779          [TASK] Remove superfluous parenthesis. (Arvid Jakobsson)
2012-09-09  c30f266  #40778          [TASK] Remove superfluous parenthesis. (Arvid Jakobsson)
2012-09-09  4ff6834  #40777          [TASK] Remove superfluous parenthesis. (Arvid Jakobsson)
2012-09-09  863338a  #40774          [TASK] Remove superfluous parenthesis (Arvid Jakobsson)
2012-09-09  12a843f  #40768          [BUGFIX] Incomplete mocking and backups it tests (Christian Kuhn)
2012-08-30  4c1845e  #40369          [TASK] Remove compat layer for backend module (Nicole Cordes)
2012-08-29  9c413a5  #40377          [BUGFIX] Declare LocalizationUtility::translateFileReference static (Christian Kuhn)
2012-08-28  5a0c3d6  #40290          [BUGFIX] TypeHandlingService throws Exception for StorageObjects (Nicole Cordes)
2012-08-28  19d0bf0  #40243          [BUGFIX] fix Mvc/Request builds old classnames (Anja Leichsenring)
2012-08-28  7cd5665  #40172          [BUGFIX] Namespaces: Make dbal unit tests working (Steffen Gebert)
2012-08-28  9295bf8  #40242          [BUGFIX] Fix old propertymapper checking target with namespace (Sebastian Fischer)
2012-08-28  2b16803  #40327          [BUGFIX] Wrong renaming of DBAL dbPostgresqlTest (Steffen Gebert)
2012-08-28  ec4db3b  #40318          [BUGFIX] Wrong usage of class CacheManager (Steffen Gebert)
2012-08-26  289b5c0  #40236          [BUGFIX] Fixed missing class mapping without TS (Alexander Schnitzler)
2012-08-26  c544e30  #40224          [BUGFIX] Fix classes without or broken namespace (Alexander Schnitzler)
2012-08-26  0d3956e  #40224          [CLEANUP] General code cleanup (Alexander Schnitzler)
2012-08-26  405b541  #40229          [BUGFIX] Class fatals (Christian Kuhn)
2012-08-26  02db0d4  #40228          [BUGFIX] TableListViewHelper fatal (Christian Kuhn)
2012-08-26  58d21c1  #40157          [BUGFIX] Subrequests can't be resolved (Nicole Cordes)
2012-08-26  e59dc2c  #40219          [BUGFIX] Make Cli\Command Namespace aware (Thomas Maroschik)
2012-08-25  a8da527  #38055          [BUGFIX] Remove declare(encoding=) (Christian Kuhn)
2012-08-25  04b6c81  #40211          [BUGFIX] Unit tests after namespace switch (Christian Kuhn)
2012-08-25  93754d6  #40200          [BUGFIX] Fluid unit tests after namespace switch (Christian Kuhn)
2012-08-25  8e60387  #40180          [BUGFIX] Fluid unit test fatal (Christian Kuhn)
2012-08-25  2c87f97  #40150          [BUGFIX] Naming clash: Fix several unit test failures (Christian Kuhn)
2012-08-25  f5c2499  #40153          [BUGFIX] Class DependencyResolver_Callback does not exist (Stefan Froemken)
2012-10-17  c0ca41c                  [TASK] Namespace classes (Thomas Maroschik)
2012-08-25  c690290  #40156          [BUGFIX] Interface Tx_Scheduler_AdditionalFieldProvider' not found (Tymoteusz Motylewski)
2012-08-24  1be81a1  #40145          [BUGFIX] Fatal error thrown in install tool (Nicole Cordes)
2012-10-17  f66d875                  [TASK] Namespace classes (Thomas Maroschik)
2012-10-17  f6ddef0                  [TASK][WIP] Move non class code back to source files (Thomas Maroschik)
2012-10-17  05e1d43                  [TASK][WIP] Move classes to new locations (Thomas Maroschik)
2012-08-24  0038962  #40142          [TASK] Small cleanup after namespaces transformation (Wouter Wolters)
2012-10-17  9269835                  [TASK] Namespace classes (Thomas Maroschik)
2012-10-17  eb755df                  [TASK][WIP] Move non class code back to source files (Thomas Maroschik)
2012-10-17  222ab20                  [TASK][WIP] Move classes to new locations (Thomas Maroschik)
2012-08-24  230c0c2  #40141          [TASK] Make workspaces and tests working again (Wouter Wolters)
2012-08-24  3ba8451  #40137          [TASK] Constructor not correctly declared for WorkspaceSelectorToolbarItem (Wouter Wolters)
2012-10-17  0043910                  [TASK] Namespace classes (Thomas Maroschik)
2012-10-17  416e559                  [TASK][WIP] Move non class code back to source files (Thomas Maroschik)
2012-10-17  95b9958                  [TASK][WIP] Move classes to new locations (Thomas Maroschik)
2012-08-24  bdedb9a  #40135          [BUGFIX] Reanimate unit tests (Christian Kuhn)
2012-08-24  510c147  #40118          [TASK] Make fluid tests run again (Thomas Maroschik)
2012-10-17  554e8f8                  [TASK] Namespace classes (Thomas Maroschik)
2012-10-17  ec3891d                  [TASK][WIP] Move non class code back to source files (Thomas Maroschik)
2012-10-17  4823b60                  [TASK][WIP] Move classes to new locations (Thomas Maroschik)
2012-08-24  d81c2a4  #40119          [TASK] Make extbase tests run again (Thomas Maroschik)
2012-10-17  ee9443b                  [TASK] Namespace classes (Thomas Maroschik)
2012-10-17  0891286                  [TASK][WIP] Move non class code back to source files (Thomas Maroschik)
2012-10-17  864782a                  [TASK][WIP] Move classes to new locations (Thomas Maroschik)
2012-08-21  bc10672                  [TASK] Move classes to new target location (Thomas Maroschik)
2012-08-20  4ad4828  #39966          [FEATURE] Integrate element history service (Oliver Hader)
2012-08-20  6860007  #36790          [FEATURE] Integrate language handling in workspace module (Oliver Hader)
2012-08-20  cec1032  #39997          [BUGFIX] Failing test translateForEmptyStringKeyReturnsNull() (Christian Kuhn)
2012-08-19  8e04b3f  #39926          [FEATURE] Integrate basic file abstraction layer models (Oliver Hader)
2012-08-18  9d1f722  #11419          [+FEATURE] Fluid (Core): Add optional default-value for tag-based viewhelpers (Stefan Neufeind)
2012-08-18  495aaf1  #33858          [TASK] Toolbar: Move icon into link (Felix Kopp)
2012-08-17  af5688a  #39876          [BUGFIX] Property mapper: Exception not thrown but skipped (dkd-egerer Sascha Egerer)
2012-08-17  306628f  #35336          [BUGFIX] Loading elements is not shown on module initialization (Oliver Hader)
2012-08-17  d423dbb  #39848          [TASK] Unit test for FrontendUserGroup model (Markus Günther)
2012-08-17  221cccc  #39849          [TASK] Unit test for FrontendUser model (Markus Günther)
2012-08-17  4d2581f                  [FEATURE] GroupedForViewHelper accepts property path as groupBy argument (Bastian Waidelich)
2012-08-17  2c08ed9  #39174          [BUGFIX] ObjectManager dependencies in SignalSlot registration (Oliver Hader)
2012-08-17  d0d2970  #39892          [BUGFIX] Possible failure in dependency injection (Christian Kuhn)
2012-08-17  8a79908  #39882          [FEATURE] optional "extensionName" argument for f:translate (Bastian Waidelich)
2012-08-15  94a1ed3  #39303          [!!!][TASK] Adapt UploadViewHelper to changes made in extbase (Tymoteusz Motylewski)
2012-08-15  170a279  #34528          [BUGFIX] Web Request should map $_FILES into arguments (Kevin Ulrich Moschallski)
2012-08-14  899c5d7  #39332          [FEATURE] Backend usergroup model and repository (Markus Günther)
2012-08-14  6dccb74  #39323          [FEATURE] File mount model and repository (Markus Günther)
2012-08-14  c4b37ce  #29501,#8483    [FEATURE] Handle enable fields and deleted records settings granulary (Jochen Rau)
2012-08-14  432d72b  #32072,#32216   [FEATURE] Improved translation handling for statement generation (Nicole Cordes)
2012-08-13  66e098b  #39732          [TASK] Add current backend user as cache tag (Oliver Hader)
2012-08-13  50160b4  #6970           [BUGFIX] email validator (Markus Günther)
2012-08-12  904c1f6  #37494          [TASK] Move t3lib_tcemain::getUniqueFields to EXT:version (Tolleiv Nietsch)
2012-08-09  4f2eac0  #25708          [BUGFIX] DataMapper returns array on RELATION_HAS_ONE (Thomas Maroschik)
2012-08-05  ed5512f  #33903          [Task] Make Exception for Controllerdetermination more expressive (Ingo Pfennigstorf)
2012-08-03  cd302f5  #38956          [FEATURE] Swap doc header rows (Felix Kopp)
2012-08-02  6c527e1  #38719          [TASK] Add Domain Model and Repository to Category (Fabien Udriot)
2012-08-02  b085fa6  #39460          [BUG] Fix lastlogin property to correct lowerCamelCase (Markus Günther)
2012-08-01  896668d  #35172          [BUGFIX] Prevent time-outs when calculating change percentage (Ingo Pfennigstorf)
2012-08-01  8f03f5c  #39145          [FEATURE] Add a BackendUser model (Markus Günther)
2012-07-30  4d74672  #39385          [TASK] Small bugfix in Tx_Extbase_MVC_View_ViewInterface (Alexander Schnitzler)
2012-07-27  5596738  #39156          [BUGFIX] RenderingContext should be instanciated by interface to allow own implementation (TImo Schmidt)
2012-07-24  91d7061  #39224          [BUGFIX] Adapt to the new localconf handling (Helmut Hummel)
2012-07-23  5fcada5  #36011          [TASK] Renamed Textbox view helper unit test (Kilian Hann)
2012-07-23  e866e8b  #34519          [BUGFIX] Speed up f:format.currency (Kilian Hann)
2012-07-21  5dfd3d3  #33788          [BUGFIX] Remove additional slashes from typolink urls if prefixing (Felix Oertel)
2012-07-21  7f684b1  #37929          [BUGFIX] resolveDefaultEncoding with wrong fallback (Markus Günther)
2012-07-21  a679a0e  #37922          [BUGFIX] public function configureModule should be static (Markus Günther)
2012-07-21  74ed6a8  #36074          [FEATURE][Performance] Add caches for persistence layer (Daniel Pötzinger)
2012-07-21  38ba2df  #13816          [TASK] use the objectManager to create empty domain objects (Markus Günther)
2012-07-21  bf72676  #39161          [BUGFIX] Fix workspaces test for CLI (Helmut Hummel)
2012-07-21  9176dea  #36008          [BUGFIX] Container calls Cache too often (Daniel Pötzinger)
2012-07-21  90aceea  #34898          [CLEANUP] Fluid CGL cleanup fix doc comments (Tymoteusz Motylewski)
2012-07-21  7a96469  #39149          [TASK] Backport Fluid from FLOW3 1.0.5 (Tymoteusz Motylewski)
2012-07-21  b10fb82  #36020          [TASK] Update Readme to point to the current documentation location (Ingo Pfennigstorf)
2012-07-21  529143c  #36751          [BUGFIX] Only set request for Web_Response (Tobias Liebig)
2012-07-21  69ff510  #33854          [FEATURE] CurrencyViewhelper can prepend the currency sign (Kilian Hann)
2012-07-21  ca40f8a  #36076          [TASK] Remove trailing whitespace (dkd-egerer Sascha Egerer)
2012-07-21  0cb5ce8  #38935          [BUGFIX] Fix the PhpDoc comments of GroupedForViewHelperTest (Oliver Klee)
2012-07-21  e0652a7  #37805          [TASK] Harmonize coding style of if constructs (Ingo Pfennigstorf)
2012-07-20  b3369a1  #36745,#35207   [BUGFIX] CLI argument handling chokes on = use (Nicole Cordes)
2012-07-20  5077fdc                  Merge "[BUGFIX] Priority of CLI request handler should be lower" (Christian Kuhn)
2012-07-20  cabd81f  #34691          [BUGFIX] Priority of CLI request handler should be lower (Michael Klapper)
2012-07-20  d0dd4f6  #34874          [BUGFIX] Return NULL instead of empty string in Localization::translate() (dkd-egerer Sascha Egerer)
2012-07-20  bc89d2b  #38426          [BUGFIX] Fix unit test for NumberRangeValidator (Tobias Liebig)
2012-07-09  9405d42  #38816          [TASK] Fix CGL violations against SuperfluousWhitespace (Wouter Wolters)
2012-07-09  c51a1c4  #38815          [TASK] Fix CGL violations against SuperfluousWhitespace (Wouter Wolters)
2012-07-09  01adfb9  #38818          [TASK] Fix CGL violations against SuperfluousWhitespace (Wouter Wolters)
2012-07-09  4887df7  #38817          [TASK] Fix CGL violations against SuperfluousWhitespace (Wouter Wolters)
2012-07-07  a052eaa  #38599          [TASK] Fix CGL violations against ClassDocComment (Wouter Wolters)
2012-07-07  1711f0f  #38598          [TASK] Fix CGL violations against ClassDocComment (Wouter Wolters)
2012-07-04  5cc9293  #38063          [BUGFIX] Content elements disappear on publishing a page (Oliver Hader)
2012-07-03  9a7f866  #38607          [BUGFIX] Remove t3ver_swapmode code blocks (Oliver Hader)
2012-07-03  7e63fe1  #32295          [BUGFIX] FLUIDTEMPLATE - Serialization of 'Closure' is not allowed (Oliver Hader)
2012-07-02  a515a89  #38569          [TASK] Fix CGL violations against CharacterAfterPHPClosingTag (Wouter Wolters)
2012-07-02  bc0fcd3  #38568          [TASK] Fix CGL violations against CharacterAfterPHPClosingTag (Wouter Wolters)
2012-07-02  bda7857  #38570          [TASK] Fix CGL violations against CharacterAfterPHPClosingTag (Wouter Wolters)
2012-07-01  8771caa  #38527          [BUGFIX] Extbase core bootstrap not found in frontend (Christian Kuhn)
2012-07-01  3f128b0  #38520          [TASK] Fix CGL violations against InlineControlStructure (Wouter Wolters)
2012-07-01  f27d490  #38522          [TASK] Fix CGL violations against InlineControlStructure (Wouter Wolters)
2012-07-01  27f2b40  #38521          [TASK] Fix CGL violations against InlineControlStructure (Wouter Wolters)
2012-06-28  1d13dfa  #38359          [TASK] Fix CGL violations against DoubleQuoteUsage (Wouter Wolters)
2012-06-27  aeaffa7  #38433          [BUGFIX] Fix failing unit tests for format.htmlentities ViewHelper (Bastian Waidelich)
2012-06-24  e93ac17  #38355          [TASK] Fix CGL violations against DoubleQuoteUsage (Wouter Wolters)
2012-06-24  c761a15  38274           [TASK] Fix CGL violations against DoubleQuoteUsage (Ludwig Rafelsberger)
2012-06-24  05bd73a  #38346          [TASK] Fix CGL violations (Christian Kuhn)
2012-06-23  b2c71df  #38341          [TASK] Remove empty tca.php file (Christian Kuhn)
2012-06-21  f5a54f7  #38271          [TASK] Remove XCLASS definitions in ext:workspace (Christian Kuhn)
2012-06-21  4eb1e06  #36826          [TASK] Remove XCLASS definitions in ext:version (Christian Kuhn)
2012-06-21  38acd91  #38268          [TASK] CGL OpeningFunctionBraceKernighanRitchieSpaceBeforeBrace in version (Roland Waldner)
2012-06-21  dbf89b3  #37982          [TASK] CGL FunctionCallArgumentSpacingNoSpaceAfterComma in sysext workspaces (Roland Waldner)
2012-06-21  7f07cd3  #37934          [TASK] CGL "FunctionCallArgumentSpacingTooMuchSpaceAfterComma" in version (Roland Waldner)
2012-06-21  d8c6b62  #37981          [TASK] CGL FunctionCallArgumentSpacingNoSpaceAfterComma in sysext version (Roland Waldner)
2012-06-17  9a417ba  #38133          [BUGFIX] Install Tool 123 wizard is broken (Oliver Hader)
2012-06-15  6712ba1  #37920          [BUGFIX] Fatal error in reports module (Philipp Gampe)
2012-06-14  def2792  #25434          [BUGFIX] Workspace state change notification email is always in English (Xavier Perseguers)
2012-06-14  b5a448e  #25434          [!!!][BUGFIX] Workspace state change notification email is always in English (Xavier Perseguers)
2012-06-11  c371cdf  #37716          [TASK] Fix CGL "InlineCommentWrongStyle" in sysext "version" (Roland Waldner)
2012-06-11  a0fe56e  #37714          [TASK] Fix CGL FunctionCallArgumentSpacingTooMuchSpaceAfterComma (Roland Waldner)
2012-06-11  144e0ab  #37712          [TASK] Fix CGL FunctionCallArgumentSpacingSpaceBeforeComma (Roland Waldner)
2012-06-11  c2726e9  #37715          [TASK] Fix CGL FunctionCallArgumentSpacingTooMuchSpaceAfterComma (Roland Waldner)
2012-06-11  5b7f73e  #37717          [TASK] Fix CGL "InlineCommentWrongStyle" in sysext "workspaces" (Roland Waldner)
2012-06-08  e3e4e54  #36825          [TASK] Remove xclass definitions from linktype classes (Philipp Gampe)
2012-06-08  a3e8106  #37824          [TASK] Harmonize coding style of control structures in sysext "workspaces" (Roland Waldner)
2012-06-08  8d02ae8  #37823          [TASK] Harmonize coding style of control structures in sysext "version" (Roland Waldner)
2012-06-07  65b368e  #37825          [TASK] Reduce CGL violations DoubleQuoteUsageNotRequired in "linkvalidator" (Roland Waldner)
2012-06-07  70857b3                  Merge "[TASK] Harmonize coding style of if constructs in sysext "linkvalidator"" (Christopher)
2012-06-07  3bd89be  #37822          [TASK] Harmonize coding style of if constructs in sysext "linkvalidator" (Roland Waldner)
2012-06-03  a6b1872  #36853          [BUGFIX] Cleanup: PhpDoc, not initialized variables in modfuncreport (Philipp Gampe)
2012-06-03  166ac29  #37719          [TASK] Fix CGL "InlineCommentWrongStyle" in sysext "linkvalidator" (Roland Waldner)
2012-06-03  14b4288  #37718          [TASK] Fix CGL "InlineCommentWrongStyle" in sysext "dbal" (Roland Waldner)
2012-05-21  2643982                  Merge "[Task] Update changelog and version to 6.0.0-dev" (Marc Bastian Heinrichs)
2012-05-21  2d508be  #36880          [TASK] Replace Space Indent into Tab indent (CGL Cleanup) (Stefano Kowalke)
2012-05-16  42797cd                  Merge "[BUGFIX] Translate labels in paginate widget" (Marc Bastian Heinrichs)
2012-05-06  3b4fc79  #36884          [TASK] Replace Space Indent into Tab indent (CGL Cleanup) (Stefano Kowalke)
2012-05-06  0673385  #36883          [TASK] Replace Space Indent into Tab indent (CGL Cleanup) (Stefano Kowalke)
2012-05-06  afbfe4e  #36882          [TASK] Replace Space Indent into Tab indent (CGL Cleanup) (Stefano Kowalke)
2012-05-04  72de3d2  #36851          [BUGFIX] Do not pass by reference (2) (Philipp Gampe)
2012-05-04  e651027  #36825          [TASK] Remove XCLASS definitions (Philipp Gampe)
2012-05-03  5cf1b79  #36241          [BUGFIX] Call-time pass-by-reference has been deprecated (Philipp Gampe)
2012-05-01  5945810  #34970          [CLEANUP] Cleaned up Extbase (Alexander Schnitzler)
2012-05-01  690e2af                  Merge "[TASK] Backport changes to Extbase_Error_Message" (Marc Bastian Heinrichs)
2012-05-01  d995538                  Merge "[TASK] Improve performance of Utility/Arrays::integerExplode" (Marc Bastian Heinrichs)
2012-05-01  8001be9                  Merge "[BUGFIX] Fix undefined variables in Typo3DBBackend::parseOrderings" (Marc Bastian Heinrichs)
2012-05-01  e06c707  #34924          [BUGFIX] Fix undefined variables in Typo3DBBackend::parseOrderings (Oliver Klee)
2012-04-30  064b875                  Merge "[TASK] Remove trailing whitespace" (Marc Bastian Heinrichs)
2012-04-30  74b1339  #35960          [FEATURE] Allow overwriting of Bootstrap with DI (Felix Oertel)
2012-04-30  b0f8782  #35876          [TASK] Sync persistence folder scheme with FLOW3 (Felix Oertel)
2012-04-30  7cd058c  #35866          [CLEANUP] clean up ext_autoload.php (Felix Oertel)
2012-04-29  3985ee1  #36183          [TASK] Make dbal compatible with new XCLASS handling (Tolleiv Nietsch)
2012-04-27  62b2a2e  #36676          [BUGFIX] Do not pass by reference (Philipp Gampe)
2012-04-26  3a8c368                  [Task] Update changelog and version to 6.0.0-dev (Marc Bastian Heinrichs)
2012-04-14  3a4f577  #36078          [TASK] Remove trailing whitespace (dkd-egerer Sascha Egerer)
2012-04-14  6d7badc  #35872          [TASK] Remove deprecated methods & properties (Marc Bastian Heinrichs)
2012-04-14  03db4ea  #36039          [TASK] Remove access to constant TYPO3_UseCachingFramework (Christian Kuhn)
2012-04-14  d64807f  #36038          [TASK] Remove access to constant TYPO3_UseCachingFramework (Christian Kuhn)
2012-04-14  bcea74aa                  Merge "[BUGFIX] Respect all subclasses (single table inheritance)" (Jochen Rau)
2012-04-13  ed9c34e  #35255          [TASK] Backport changes to Extbase_Error_Message (Georg Ringer)
2012-04-13  74cd10a  #33033          [BUGFIX] Return empty result in pagination if page does not exist (dkd-egerer Sascha Egerer)
2012-04-13  f8f4af8  #35190          [TASK] Improve performance of Utility/Arrays::integerExplode (Tobias Liebig)
2012-04-13  d00894b  #34433          [BUGFIX] Respect localized records when auto determining defaultPid (Ingo Pfennigstorf)
2012-04-13  d750530  #35873          [TASK] Rename deprecation message version from 1.6 to 6.0 (Marc Bastian Heinrichs)
2012-04-13  20b90a2  #35084          [BUGFIX] PropertyMapper shouldn't check pid in getObjectByIdentifier() (Georg Ringer)
2012-04-12  f233a27  #4830           [+TASK] Web/Response uses TYPO3 PageRenderer for headerData (Claus Due)
2012-04-11  076bc12  #35854          [TASK] Streamline disposal of Signal Slot (Oliver Hader)
2012-04-11  aa6affe  #35855          [BUGFIX] Respect all subclasses (single table inheritance) (Dennis Ahrens)
2012-04-11  a29341b  #34106          [TASK] Remove useless code after utf-8 code conversion (Markus Klein)
2012-04-11  9182a54                  Merge "[BUGFIX] Fix the unit tests to work with PHPUnit 3.6" (Felix Oertel)
2012-04-10  3ab373c  #35332          [BUGFIX] Translate labels in paginate widget (Tymoteusz Motylewski)
2012-04-09  a83f5b5  #35791          [BUGFIX] Unit test failures concerning the HMAC (Oliver Klee)
2012-04-06  a91995e  #35514          [TASK] Add unittest for shorthand for custom validators (Stefan Neufeind)
2012-03-28  c34bf90                  [SECURITY] Protect arguments of form __referrer with HMAC (Felix Oertel)
2012-03-28  876f348  #35310          [SECURITY] Protect arguments of form __referrer with HMAC (Felix Oertel)
2012-03-27  e427cc4  #35165          [BUGFIX] Version record array is sorted twice (Oliver Hader)
2012-03-27  73164ef  #35166          [TASK] Integrate signal-slot-handling in Grid Data Service (Oliver Hader)
2012-03-26  d22eecd  #35201          [BUGFIX] Fix the unit tests to work with PHPUnit 3.6 (Oliver Klee)
2012-03-24  f384dae  #34566          [BUGFIX] Custom validators may be overriden by default validators (Philipp Gampe)
2012-03-22  add6954  #35162          [TASK] Code clean-up in Grid Data Service (Oliver Hader)
2012-03-20  dd2e172  #35058          [BUGFIX] Code cleanup tx_linkvalidator_processor (Philipp Gampe)
2012-03-19  8c04c1c  #35021          [BUGFIX] Hook must use unset $params not reset (Philipp Gampe)
2012-03-19  19b7371  #30296          [TASK] Linkvalidator should have a hook for report markers (Soren Malling)
2012-03-19  cd4205c  #35002          [BUGFIX] Fix the @return of findAll (Oliver Klee)
2012-03-18  3b79c81  #27413          [+BUGFIX] Make $query->equals, no case sensitivity, work with UTF8 (Stephan Helten)
2012-03-18  47c1cf7  #34961          [BUGFIX] Add missing "command" variable to Tx_Extbase_MVC_CLI_Request (Tymoteusz Motylewski)
2012-03-18  7c247a5                  Merge "[BUGFIX] PropertyMapper throws exceptions instead of returning error objects." (Felix Oertel)
2012-03-18  907ed99  #34953          [TASK] Sync backport of Utility/Arrays.php with FLOW3 (Tymoteusz Motylewski)
2012-03-17  77d229a  #34962          [BUGFIX] Fix unit tests (Tobias Liebig)
2012-03-17  4488a61                  [TASK] Allow getting the configuration without plugin-name (Felix Oertel)
2012-03-17  eddfc47  #34921          [BUGFIX] parseDynamicOperand appends to uninitialized variable (Oliver Klee)
2012-03-17  166d951  #34916          [BUGFIX] Tx_Extbase_Persistence_QueryInterface needs to provide getSource (Oliver Klee)
2012-03-17  32eefdd  #34915          [CLEANUP] Replace deprecated interface from unittests (Tolleiv Nietsch)
2012-03-17  64499c7  #34929          [BUGFIX] property mapping for models w/o __construct (Tobias Liebig)
2012-03-17  24b9c65  #34632          [BUGFIX] Extbase produces errors in TYPO3 Log (Michael Klapper)
2012-03-16  a0627a1  #27438          [BUGFIX] ObjectContainer does not support namespaces (Andreas Wolf)
2012-03-14  12f1317  #33861          [BUGFIX] PropertyMapper throws exceptions instead of returning error objects. (Dennis Ahrens)
2012-03-14  66209be  #34581          [BUGFIX] Methods should not be private (Philipp Gampe)
2012-03-13  1e08989                  [TASK] Update version to 4.7.0beta2 (Oliver Hader)
2012-03-13  331dc8a                  [TASK] Update version to 4.7.0beta2 (Oliver Hader)
2012-03-12  3250c60  #34556          [BUGFIX] Nested IRRE elements are not removed (Oliver Hader)
2012-03-08  1a644c8  #34308          [BUGFIX] With "virtual page-root" review-grid needs restriction  to mountpoints visible (Stefan Neufeind)
2012-03-06  15ea27c  #34546          [BUGFIX] Records with same UID but different tables are not shown (Oliver Hader)
2012-02-27  d3799e4  #12284          [FEATURE] Tooltip for next/prev stage icons with stage-title (Stefan Neufeind)
2012-02-26  da7b239  #34145          [TASK] Cannot translate workspace preview link generation (Xavier Perseguers)
2012-02-24  0632b7e                  [TASK] Cleanup/Fix ViewHelper doc comments (Bastian Waidelich)
2012-02-21  ebeb00e                  [BUGFIX] Tx_Fluid_ViewHelpers_Be_Buttons_IconViewHelper broken (Daniel Lienert)
2012-02-21  2fb7747                  Merge "[TASK] Increase version number" (Claus Due)
2012-02-16  860a5b0  #33900          [TASK] The DebugViewHelper now utilizes the Extbase Debugger. (Alexander Schnitzler)
2012-02-15  62add5a                  [BUGFIX] Removed obsolet file. (Jochen Rau)
2012-02-13  e67a5f7  #32215          [FEATURE] Cleanup-job for outdated preview-links (Timo Webler)
2012-02-13  6ab42da  #33592          [BUGFIX] Fix translation moving in workspaces (Tolleiv Nietsch)
2012-02-13  e4a8c3b                  Revert "[+CLEANUP] correct sql statement building" (Jochen Rau)
2012-02-12  4f5f0c9  #32476          [FEATURE] Option to disable Mass Actions (Bart Dubelaar)
2012-02-12  2f4a1e7  #30680          [TASK] Move FEworkspace initialization into versioning / part 2 (Benjamin Mack)
2012-02-11  8b45593                  Merge "Revert "[BUGFIX] keep PersistentObjectConverterTest from cloning objects"" (Sebastian Kurfuerst)
2012-02-10  8ea1ecb  #8052           [FEATURE] Shorthand syntax for foreign Validators (Claus Due)
2012-02-10  4d6ca9b  #11167          [BUGFIX] Set default storagePageUid to current page in BE context (Thomas Maroschik)
2012-02-10  e899b45  #32404          [+FEATURE] make DI work without inject-methods (Felix Oertel)
2012-02-07  d8338fc                  Revert "[BUGFIX] keep PersistentObjectConverterTest from cloning objects" (Sebastian Kurfuerst)
2012-02-06  eae9e93  #33104          [BUGFIX] create/move new page behind move-placeholder (Dennis Ahrens)
2012-02-06  4d87c38  #31762          [BUGFIX] html-escaping of workspace-title too much (Stefan Neufeind)
2012-02-04  cdab235                  Merge "[TASK] Backported FLOW3 Debugger" (Jochen Rau)
2012-02-04  51d7e1e                  Merge "[BUGFIX] Child objects are now fetched only by uid (pid and sys_language_uid are ignored)." (Jochen Rau)
2012-02-03  fce948d                  Merge "[BUGFIX] Reset LazyObjectStorage array pointer at initialization" (Stefan Neufeind)
2012-02-03  7718204  #13256          [BUGFIX] Reset LazyObjectStorage array pointer at initialization (Claus Due)
2012-02-03  e9edf3d  #26732          [BUGFIX] Enable some support for workspace previews (Stefan Neufeind)
2012-02-03  5821891                  Merge "[BUGFIX] Repository replace() does not replace unpersisted objects" (Jochen Rau)
2012-02-03  4ef34a7  #7571           [BUGFIX] Repository replace() does not replace unpersisted objects (Claus Due)
2012-02-03  10bfe49                  [BUGFIX] Child objects are now fetched only by uid (pid and sys_language_uid are ignored). (Kevin Ulrich Moschallski)
2012-02-03  3d32821                  [BUGFIX] adjust SignalSlotDispatcher's unit-tests (Felix Oertel)
2012-02-02  3a203d5  #32734          [TASK] Backported FLOW3 Debugger (Alexander Schnitzler)
2012-02-02  4a2d098                  [+CLEANUP] correct sql statement building (Felix Oertel)
2012-01-28  7e3a4b3  #32748          [CLEANUP] Remove misleading report (Tolleiv Nietsch)
2012-01-28  124ae63                  [CLEANUP] Replace deprecated function calls (Tolleiv Nietsch)
2012-01-27  3af62ab                  [CLEANUP] Removed unused JavaScript snippets (Tolleiv Nietsch)
2012-01-22  308fa83                  [CLEANUP] Cleanup wrong doc comments (Tolleiv Nietsch)
2012-01-22  dad93be  #33093          [BUGFIX] Fix publish button in preview mode (Tolleiv Nietsch)
2012-01-20  d1b66e9  #28558          [CLEANUP] Performance in Reflection Service's cache handling (Raphael Riel)
2012-01-20  d833b0b  #7798           [BUGFIX] Fatal error on matching non-existing column, DB Backend (Claus Due)
2012-01-18  9dd2df9                  Merge "[FEATURE] Run CommandController commands through Scheduler" (Bastian Waidelich)
2012-01-18  d15f241                  Merge "[BUGFIX] Invalid LOCAL_LANG overlay for non-existing languages" (Xavier Perseguers)
2012-01-17  c639c6e  #32107          [FEATURE] Run CommandController commands through Scheduler (Claus Due)
2012-01-13  93efe01  #33168          Revert "[TASK] Migrate Workspace-Menu to work with ExtJS4" (Oliver Hader)
2012-01-13  fffd7df                  [REVERT] let PersistentObjectConverter clone objects (Felix Oertel)
2012-01-12  341a29f                  [BUGFIX] keep PersistentObjectConverterTest from cloning objects (Felix Oertel)
2012-01-10  a151fa4                  [~BACKPORT] backport FLOW3 changes to SignalSlotDispatcher (Felix Oertel)
2011-12-26  b6da266  #13087          [TASK] Coding guidelines cleanup for ClassInfo class (Claus Due)
2011-12-23  fe7e15f                  Merge changes I60d3a05c,Iaa4b496a (Sebastian Kurfuerst)
2011-12-23  705c113  #31122          [BUGFIX] Checkbox for mass-action also if only publish/swap-permission (Robert Heel)
2011-12-21  080b1b0  #32628          [TASK] Do not load linkvalidator in frontend (Philipp Gampe)
2011-12-20  0555def                  [TASK] Add unit-test for SQL-comparator <> (Xavier Perseguers)
2011-12-19  dd266dd  #32687          [TASK] Migrate Workspace-Menu to work with ExtJS4 (Steffen Ritter)
2011-12-16  8dcbf77  #32571          [SECURITY][BUGFIX] Remote Command Execution in Workspace Abstract Controller (Helmut Hummel)
2011-12-05  58b6a45  #32108          [!!!][TASK][CONF] Remove deprecated code for 4.7 (Markus Klein)
2011-12-05  9ab9be6  #32108          [!!!][TASK][CONF] Remove deprecated code for 4.7 (Markus Klein)
2011-11-30  ba005d2                  Merge "[CLEANUP] remove not needed parameter" (Stefan Neufeind)
2011-11-28  a9be43e  #32133          [BUGFIX] Invalid LOCAL_LANG overlay for non-existing languages (Xavier Perseguers)
2011-11-27  dddd289  #32108          [!!!][TASK][CONF] Remove deprecated code for 4.7 (Markus Klein)
2011-11-22  a68d167                  Merge "[BUGFIX] DateTime properties are not mapped correctly" (Stefan Neufeind)
2011-11-22  205c59b                  Merge "[TASK] Simplify license header and remove @author annotations" (Stefan Neufeind)
2011-11-22  e909f2a  #29208          [BUGFIX] Versioning: Fetch language-field if table localizable (Jozef Spisiak)
2011-11-21  aadab14  #31475          [BUGFIX] Search in workspaces grid not working (Hercules Karvasonis)
2011-11-21  6793a4c  #27800          [BUGFIX] Call callUserFunction with dummy-parameter as 3rd argument (Stefan Neufeind)
2011-11-21  edeecfb  #31121          [BUGFIX] Narrow down preview header to fit smaller screens (Tolleiv Nietsch)
2011-11-21  c0963b5  #31663          [BUGFIX] Respect move-placeholders when moving records in workspace (Stefan Neufeind)
2011-11-21  ff4aadc  #31328          [BUGFIX] Fluid-layouts should have uppercase as first letter (Stefan Neufeind)
2011-11-21  1f5c0e3  #31950          [BUGFIX] Make SignalSlot Dispatcher a singleton (Bastian Waidelich)
2011-11-21  ecf9eb3  #31345          [BUGFIX] DateTime properties are not mapped correctly (Bastian Waidelich)
2011-11-21  21db328  #31826          [TASK][!!!] Replaces die() calls with RuntimeException (Xavier Perseguers)
2011-11-18  52c92a2  #28825          [BUGFIX] Using an apostrophe in the Workspace Name causes quite blank backend (Marco Bresch)
2011-11-11  7a7e3df                  [TASK] Increase version number (Bastian Waidelich)
2011-11-11  05e9526  #31756          [FEATURE] CData ViewHelper (Bastian Waidelich)
2011-11-10  fd09d19                  [TASK] Simplify license header and remove @author annotations (Bastian Waidelich)
2011-11-10  2ba9ee2  #31632          [FEATURE] maximumNumberOfLinks argument in paginate widget (Henjo Hoeksma)
2011-11-10  dbfa56f  #13100          [TASK] Extbase (MVC): Avoid code-duplication in Tx_Extbase_MVC_Web_FrontendRequestHandler::isCacheable() (Stefan Neufeind)
2011-11-02  346251a  #31322          [BUGFIX] Make changed action resolving backwards compatible (Bastian Waidelich)
2011-10-30  76bd359                  [CLEANUP] remove not needed parameter (Felix Oertel)
2011-10-28  ea71cba  #31331          [BUGFIX] TextboxViewHelper does not return anything (Daniel Lienert)
2011-10-25  b6ccb26                  [TASK] Update version to 4.6.0 (Tolleiv Nietsch)
2011-10-25  4484bf0                  [TASK] Update version to 4.6.0 (Tolleiv Nietsch)
2011-10-25  c9f8507  #26287          [FEATURE] set default grid limit to 30 (Simon Schaufelberger)
2011-10-25  604a1ea  #29853          [BUGFIX] Broken image paths in preview (Bart Dubelaar)
2011-10-25  988edca  #30926          [TASK] Raise the number of possible file- and dbmounts from 10 to 25 (Ingo Pfennigstorf)
2011-10-24  7818052  #31217          [BUGFIX] Invalid and deprecated calls (Xavier Perseguers)
2011-10-24  11eacca  #31218          [BUGFIX] Remove deprecated method call (Xavier Perseguers)
2011-10-23  99340f1  #31202          [TASK] Prepare for release of TYPO3 4.6 (Christopher Stelmaszyk)
2011-10-21  96f6abf                  [TASK] Update version number for TYPO3 4.7 (Xavier Perseguers)
2011-10-21  35c2aa5                  [BUGFIX] Fix PHP Warnings in Unit Tests (Bastian Waidelich)
2011-10-21  052b735                  [BUGFIX] Fix PHP Warnings in Unit Tests (Bastian Waidelich)
2011-10-21  c20ede2                  [TASK] Update release notes and version numbers to 1.4.0 (Sebastian Kurfuerst)
2011-10-21  bec853b                  [TASK] Updated release notes for 1.4.0, updated version number (Sebastian Kurfuerst)
2011-10-21  195d605                  [BUGFIX] Pootle: Multi-line labels are not rendered properly (Xavier Perseguers)
2011-10-21  36c7ae8  #31041          [TASK] English XLIFF files should not contain target element (Dominique Feyer)
2011-10-21  6667112                  [BUGFIX] Pootle: Multi-line labels are not rendered properly (Xavier Perseguers)
2011-10-20  961679a                  Merge "[BUGFIX] Pootle: Multi-line labels are not rendered properly" (Xavier Perseguers)
2011-10-20  c7eace1                  [+Signal] introduce signals to persistence (Felix Oertel)
2011-10-20  a2aa8fa  #31127          [BUGFIX] DBAL does not respect sql_query.passthrough setting (Xavier Perseguers)
2011-10-20  e24e7dd                  [BUGFIX] Pootle: Multi-line labels are not rendered properly (Xavier Perseguers)
2011-10-20  e846d69                  [BUGFIX] Pootle: Multi-line labels are not rendered properly (Xavier Perseguers)
2011-10-20  335de65                  [BUGFIX] Pootle: Multi-line labels are not rendered properly (Xavier Perseguers)
2011-10-19  ab099b6  #31039          [TASK] English XLIFF files should not contain target element (Dominique Feyer)
2011-10-19  06c05e7  #30212          [BUGFIX] Add missing marker for version mails (Tolleiv Nietsch)
2011-10-19  bd4a423  #30896          [TASK] Fix version number of 4.6 branch (Philipp Gampe)
2011-10-19  d2f1413                  Merge "[BUGFIX] use $for only when not empty and not NULL" (Bastian Waidelich)
2011-10-18  bfb4df6                  [~FEATURE] index signal's arguments by key (Felix Oertel)
2011-10-18  e4eba07  #31045          [TASK] English XLIFF files should not contain target element (Dominique Feyer)
2011-10-18  5b2b850  #31044          [TASK] English XLIFF files should not contain target element (Dominique Feyer)
2011-10-18  ad082d8  #31043          [TASK] English XLIFF files should not contain target element (Dominique Feyer)
2011-10-13  7c8dfce                  [TASK] Fix CGL issues on "else if" constructs (Oliver Hader)
2011-10-11  7670d22                  [TASK] Update ext_emconf.php for TYPO3 4.6 RC1 (Xavier Perseguers)
2011-10-11  d2ebfb6                  [TASK] Update version to 1.4.0-rc1 (Bastian Waidelich)
2011-10-11  deea38c                  [TASK] Update version to 1.4.0-rc1 (Bastian Waidelich)
2011-10-11  5bd3859  #27186          [+FEATURE] Backport CommandController Implementation (Michael Klapper)
2011-10-11  438d830  #27858          [BUGFIX] Single quote-enclosed strings are not properly parsed (Tizian Schmidlin)
2011-10-11  7f61d1e  #30755          [TASK] Prepare merge for 4.6-RC1 (part 2) (Philipp Gampe)
2011-10-11  62ba9c6                  Merge "[BUGFIX] Invalid target language in localization file" (Philipp Gampe)
2011-10-11  d3b271e  #30307          [BUGFIX] Avoid that TYPO3 namespace is cleared (Tolleiv Nietsch)
2011-10-11  c4510a8  #29308          [BUGFIX] Use lang-labels within row detail section (Tolleiv Nietsch)
2011-10-11  6576963  #30761          [BUGFIX] Invalid target language in localization file (Xavier Perseguers)
2011-10-11  ab5b7d9  #30753          [BUGFIX][SECURITY] SQL Injection in Scheduler Task of Linkvalidator (Oliver Hader)
2011-10-11  b28b756  #30760          [BUGFIX] handler is undefined when resizing the backend (Oliver Hader)
2011-10-10  34b0ae9  #30757          [TASK] Merge Changes from core since last sync (Philipp Gampe)
2011-10-10  9b44026  #30755          [TASK] Prepare merge for 4.6-RC1 (Philipp Gampe)
2011-10-10  fca4103                  Merge "[BUGFIX] SQL error if a task is run on a disabled page" (Philipp Gampe)
2011-10-10  64d266a  #30588          [TASK] Update manual (Philipp Gampe)
2011-10-10  1bd3ad2  #30593          [BUGFIX] SQL error if a task is run on a disabled page (Philipp Gampe)
2011-10-10  16a8599                  Merge "[BUGFIX] It is not possible to set page 0 to schedular task" (Philipp Gampe)
2011-10-10  b1537c7                  Merge "[BUGFIX] SQL error if opening a disabled page with module" (Philipp Gampe)
2011-10-10  1d81bd8  #30586          [BUGFIX] It is not possible to set page 0 to schedular task (Philipp Gampe)
2011-10-09  66e5a2e                  Merge "[!!!][TASK] Disable rewritten property mapper by default" (Felix Oertel)
2011-10-09  e042202                  Merge "[BUGFIX] Removing "Repository" in class name makes extensions unusable" (Bastian Waidelich)
2011-10-09  2983f1a                  Merge "[BUGFIX] ConfigurationManager use FrontendSimulator only if neccessary" (Bastian Waidelich)
2011-10-09  63ee55f  #30476          [!!!][TASK] Disable rewritten property mapper by default (Bastian Waidelich)
2011-10-08  f362ae6  #30589          [BUGFIX] Revert change in interface signature (Philipp Gampe)
2011-10-07  ba275e3                  Merge "[TASK] Adopt checkDBUpdates hook to changed interface" (Xavier Perseguers)
2011-10-06  0a6487e  #30585          [BUGFIX] SQL error if opening a disabled page with module (Philipp Gampe)
2011-10-05  89a6664  #29341          [TASK] Fix CGL issues (Philipp Gampe)
2011-10-03  ebba315  #13518          [FEATURE] Include preview link in notification (Stefan Neufeind)
2011-09-29  f26a248  #30306          [BUGFIX] Removing "Repository" in class name makes extensions unusable (Kai Vogel)
2011-09-29  0418556                  [BUGFIX] Default error FlashMessage has wrong severity (Bastian Waidelich)
2011-09-26  e0d5fc8                  [BUGFIX] Fix check against @ignorevalidation annotations (Bastian Waidelich)
2011-09-26  0b7d5a5  #29651          [BUGFIX] ConfigurationManager use FrontendSimulator only if neccessary (Sebastian Michaelsen)
2011-09-24  0b757d5  #30043          [BUGFIX] Initialize $currentR in analyseTypoLinks (Bjoern Pedersen)
2011-09-20  5675856  #30087          [TASK] Remove useless type hint in tx_dbal_installtool::setRequiredPhpModules (Xavier Perseguers)
2011-09-19  64d18ad  #30049          [BUGFIX] Incompatible override of Core methods (Xavier Perseguers)
2011-09-19  855bdc5                  [TASK] Increase version number (Bastian Waidelich)
2011-09-19  6f80f4c                  [TASK] Increase version number (Bastian Waidelich)
2011-09-16  b2ec1b2  #29884          [TASK] Adopt checkDBUpdates hook to changed interface (Thomas Maroschik)
2011-09-15  9409266  #29875          [BUGFIX] Default action is not properly resolved (Bastian Waidelich)
2011-09-15  fd8edf0  #5961           [FEATURE] Descriptive error on invalid action name (Claus Due)
2011-09-14  963abb8                  [BUGFIX] Replaced call to deprecated t3lib_div::testInt() (Bastian Waidelich)
2011-09-13  0e11326  #8344           [FEATURE] Skip default controller and action in generated URIs (Bastian Waidelich)
2011-09-13  242719f  #9969           [FEATURE] Setting a scheme for a URI (Stefan Neufeind)
2011-09-13  ab696fa                  Merge "[FEATURE] Add parameter to RenderViewHelper for optional sections" (Bastian Waidelich)
2011-09-13  2579656                  Merge "[BUGFIX] ViewHelper: Make SelectViewHelper use property paths as arguments" (Bastian Waidelich)
2011-09-13  efaa5b6                  Merge "[BUGFIX] Fix Doc comment in format.padding ViewHelper" (Bastian Waidelich)
2011-09-13  0e16b20  #25704          [BUGFIX] Make class name consistent (Tolleiv Nietsch)
2011-09-13  5632a11  #29174          [BUGFIX] Cleanup splitview JavaScript (Tolleiv Nietsch)
2011-09-12  d2111fb                  Merge "[TASK] Remove deprecated methods & properties" (Bastian Waidelich)
2011-09-12  cc792b8                  Merge "[TASK] Use TYPO3.l10n API for JS localizations" (Tolleiv Nietsch)
2011-09-12  0a78e45                  Merge "[BUGFIX] Hide comments section if there are no comments" (Tolleiv Nietsch)
2011-09-12  6c3cc2c                  Merge "[BUGFIX] Make workspace change visible for editors" (Tolleiv Nietsch)
2011-09-09  c5c5b14                  Merge "[BUGFIX] Tx_Extbase_Utility_Localization::translate() must return NULL for non-existing keys" (Bastian Waidelich)
2011-09-09  65528aa  #12332          [BUGFIX] Create new CObject in CObject ViewHelper (Bastian Waidelich)
2011-09-09  9f2829d                  [BUGFIX] Don't clone ContentObject in ConfigurationManager (Bastian Waidelich)
2011-09-09  d04264c  #13745          [TASK] Remove deprecated methods & properties (Bastian Waidelich)
2011-09-09  5ea54d6                  [BUGFIX] Tx_Extbase_Utility_Localization::translate() must return NULL for non-existing keys (Bastian Waidelich)
2011-09-07  0c8c923                  [BUGFIX] Fix Doc comment in format.padding ViewHelper (Bastian Waidelich)
2011-09-07  a5bf2eb                  [BUGFIX] ViewHelper: Make SelectViewHelper use property paths as arguments (Bastian Waidelich)
2011-09-07  e00137c  #12332          [BUGFIX] Clone ContentObject (Bastian Waidelich)
2011-09-07  6a7bf37                  [FEATURE] Add parameter to RenderViewHelper for optional sections (Bastian Waidelich)
2011-09-07  cf1cef6                  [BUGFIX] Sanitize identifier when compiling templates (Bastian Waidelich)
2011-09-07  002b3ce  #29229          [BUGFIX] use $for only when not empty and not NULL (Peter Niederlag(office))
2011-09-06  bcc1fce  #5297           [+BUGFIX] disable cache when displaying FlashMessages in frontend (Claus Due)
2011-09-06  304e13c                  Merge "[+FEATURE] Comment ViewHelper" (Bastian Waidelich)
2011-09-06  637b259  #13592          [+FEATURE] Comment ViewHelper (Claus Due)
2011-09-06  ac347d4  #28250          [TASK] Remove fluid autoloader (Christian Kuhn)
2011-09-01  02755d2                  [BUGFIX] Fix method visibility of AbstractConfigurationManager::getTypoScriptSetup() (Bastian Waidelich)
2011-08-30  1561d71  #29306          [TASK] Convert XLIFF files to Tab indentation (Xavier Perseguers)
2011-08-30  95ecf8d                  [TASK] Bump version number (Christopher)
2011-08-30  29ec8f1  #29338          [TASK] Release linkvalidator 1.0.4 (Philipp Gampe)
2011-08-30  dad2e54                  [TASK] Fix phpdoc and method signatures (Philipp Gampe)
2011-08-29  32ea66f  #29333          [TASK] Use TYPO3.l10n API for JS localizations (Tolleiv Nietsch)
2011-08-29  1f6be2e  #18273          [BUGFIX] Install new Extension with table in native, external database will fail (Heiko Kromm)
2011-08-29  2803d7d                  Merge "[TASK] Convert XLIFF files to Tab indentation" (Xavier Perseguers)
2011-08-29  04c120a                  Merge "[BUGFIX] Allow DBAL to interact with EM to configure remapping" (Xavier Perseguers)
2011-08-28  710a471                  [TASK] Convert XLIFF files to Tab indentation (Steffen Gebert)
2011-08-28  1f9b554                  [TASK] Convert XLIFF files to Tab indentation (Steffen Gebert)
2011-08-28  698d92b  #29307          [BUGFIX] Hide comments section if there are no comments (Tolleiv Nietsch)
2011-08-28  0676a96                  [TASK] Convert XLIFF files to Tab indentation (Steffen Gebert)
2011-08-26  d6a9c26  #29137          [BUGFIX] Fatal error with E_STRICT: Declarations of fetchType and checkLink must be compatible with interface (Christopher)
2011-08-26  223b325  #29275          [BUGFIX] XLIFF: Approved attribute is on wrong element (Christopher)
2011-08-26  c9ba936                  Merge "[BUGFIX] XLIFF: Approved attribute is on wrong element" (Oliver Hader)
2011-08-26  18a4117                  Merge "[BUGFIX] XLIFF: Approved attribute is on wrong element" (Oliver Hader)
2011-08-26  06c7af8  #23575          [BUGFIX] Allow DBAL to interact with EM to configure remapping (Xavier Perseguers)
2011-08-26  2108d64                  Merge "[BUGFIX] XLIFF: Approved attribute is on wrong element" (Xavier Perseguers)
2011-08-26  bb488b9                  Merge "[BUGFIX] XLIFF: Approved attribute is on wrong element" (Xavier Perseguers)
2011-08-26  2d6a8f2  #29262          [BUGFIX] XLIFF: Approved attribute is on wrong element (Xavier Perseguers)
2011-08-26  04dfc35  #29262          [BUGFIX] XLIFF: Approved attribute is on wrong element (Xavier Perseguers)
2011-08-26  90ca670  #29262          [BUGFIX] XLIFF: Approved attribute is on wrong element (Xavier Perseguers)
2011-08-26  61c178e  #29262          [BUGFIX] XLIFF: Approved attribute is on wrong element (Xavier Perseguers)
2011-08-22  27300f2  #13574          [BUGFIX] Avoid sending mails if reciepient list is empty (Tolleiv Nietsch)
2011-08-22  52368d5  #28882          [BUGFIX] Load TCA to have showRecordFieldList available (Simon Apold)
2011-08-20  2213f49  #8767           [+TASK] Marking Fluid as "stable" instead of "beta" (Claus Due)
2011-08-20  250cc15  #25767          [BUGFIX] Make workspace change visible for editors (Tolleiv Nietsch)
2011-08-19  127cc13  #29078          [TASK] Unify table layouts (Christopher)
2011-08-19  aab596b                  Merge "[+BUGFIX] Added missing initializeView method in EmptyView" (Sebastian Kurfuerst)
2011-08-18  2ac73e9  #29097          [TASK] Update table handling to latest caching changes (Christian Kuhn)
2011-08-18  a17cb2c                  [+BUGFIX] Incorrect type of Error thrown (FLOW3 Error) (Claus Due)
2011-08-18  4491339  #28816          [+BUGFIX] Fixing incorrect references to F3 classes (Claus Due)
2011-08-18  6d496d9  #28966          [+BUGFIX] Added missing initializeView method in EmptyView (Claus Due)
2011-08-18  967b862  #27938          [BUGFIX] Make textfield view helper handle zero (not empty) values (Stefan Neufeind)
2011-08-15  2f703b6                  [TASK] Update ChangeLog (Christopher)
2011-08-15  49d4cbb  #28480          [+BUGFIX] Fix classname of Exception, ConfigurationManager (Claus Due)
2011-08-11  6d29b68  #28915,#13849,  [TASK] Refactor to t3lib_http_Request for external URLs (Philipp Gampe)
2011-08-10  4eb1fc3  #28277          [TASK] Add XLIFF files (Philipp Gampe)
2011-08-07  84db408  #28805          [TASK] Streamline the use of the query cache (Helmut Hummel)
2011-08-06  e176fd5  #28797          [TASK] Make use of the caching framework (Helmut Hummel)
2011-08-06  ed02890  #28796          [BUGFIX] Parse also caching tables that are created on the fly (Helmut Hummel)
2011-08-02  2d30dce                  Merge "[TASK] Replace LLXML file by XLIFF file" (Sebastian Kurfuerst)
2011-08-02  bf8f212                  Merge "[+BUGFIX] Compiled HtmlSpecialCharsViewHelper should only work on strings" (Bastian Waidelich)
2011-08-02  48722f7                  [+BUGFIX] Compiled HtmlSpecialCharsViewHelper should only work on strings (Sebastian Kurfuerst)
2011-08-02  d52fbe2                  [BUGFIX] disable escape interceptor for cObject ViewHelper (Bastian Waidelich)
2011-08-02  0145508                  Improved ChangeLog (Sebastian Kurfuerst)
2011-08-02  565ef07                  Fixed ChangeLog (Sebastian Kurfuerst)
2011-08-02  0546185                  Updated ChangeLog, raised version number to 1.4.0beta1 (Sebastian Kurfuerst)
2011-08-02  fbda0ed                  [!!!][TASK] Enable rewritten property mapper by default (Sebastian Kurfuerst)
2011-08-02  8df6b53                  Updated ChangeLog; raised version number (Sebastian Kurfuerst)
2011-08-02  b363798  #28545          [!!!][FEATURE] Compilation of Fluid templates to PHP files (Bastian Waidelich)
2011-08-02  4afdc90                  Merge "[FEATURE] Speed up ObjectAccess" (Sebastian Kurfuerst)
2011-08-01  eb06746                  Merge "[BUGFIX] Incorrect handler detected with DELETE, INSERT and UPDATE" (Xavier Perseguers)
2011-08-01  4695ec7                  [TASK] Replace LLXML file by XLIFF file (Dominique Feyer)
2011-08-01  d5a6b43                  Merge "[TASK] Add XLIFF files" (Xavier Perseguers)
2011-08-01  8eb61c8                  Merge "[!!!][+FEATURE] Add a reserved variable {_all} returning all template variables" (Sebastian Kurfuerst)
2011-08-01  5c68ada                  Merge "[FEATURE] PaddingViewHelper: allow padding-type right/left/both" (Sebastian Kurfuerst)
2011-08-01  547c5d0  #7572           [+FEATURE] Extbase (Persistence): Allow pid of object to be set from action-controller (Stefan Neufeind)
2011-08-01  1047366                  Merge "[+FEATURE] Fluid (Widgets): Allow overriding templateRootPath" (Sebastian Kurfuerst)
2011-08-01  984d95b                  [FEATURE] Speed up ObjectAccess (Bastian Waidelich)
2011-08-01  f8487b5                  [TASK] Update email address (Xavier Perseguers)
2011-07-31  e491571                  Merge "[+FEATURE] Extbase (Persistence): Allow removing previously set limit with unsetLimit()" (Stefan Neufeind)
2011-07-31  8929873  #27445          [+FEATURE] Extbase (Persistence): Allow removing previously set limit with unsetLimit() (Stefan Neufeind)
2011-07-30  ac30519  #28563          [BUGFIX] Incorrect handler detected with DELETE, INSERT and UPDATE (Jigal van Hemert)
2011-07-28  0976edc                  [TASK] Minor cleanups (Bastian Waidelich)
2011-07-28  3097e97                  [TASK] Tweak inline comment in TemplateView (Bastian Waidelich)
2011-07-28  4a98afd                  [!!!][+FEATURE] Add a reserved variable {_all} returning all template variables (Bastian Waidelich)
2011-07-28  42d159e                  [BUGFIX] Deactivate EscapeInterceptor for certain ViewHelpers (Bastian Waidelich)
2011-07-28  8c5ec2d                  [TASK] Split escape ViewHelper into dedicated format ViewHelpers (Bastian Waidelich)
2011-07-28  40f77f8                  [BUGFIX] Whitespace fixes (Bastian Waidelich)
2011-07-24  fd97660  #27139          [FEATURE] Introduce stage change buttons in frontent preview (Michael Klapper)
2011-07-27  2bc104b  #25307          [BUGFIX] Ext Direct API lacks the possibility of adding access control (Stefan Galinski)
2011-07-27  65a761b  #27414          [BUGFIX] Backend user without accordant language permissions can see workspace changes (Michael Klapper)
2011-07-19  306a818  #28001          [TASK] Remove function index (Xavier Perseguers)
2011-07-18  0c86446  #28249          [-TASK] Remove autoloader (Christian Kuhn)
2011-07-17  756ef1b  #27416          [TASK] Fix localization handling to support XLIFF (Christopher)
2011-07-17  4f6800d                  [+FEATURE] introduce signal in MVC/Dispatcher (Felix Oertel)
2011-07-17  eab41de  #28241          [TASK] Merge changes from 4.5 upstream to master (Philipp Gampe)
2011-07-17  8737310                  Merge "[BUGFIX] Show splitview only in non-live workspace" (Michael Klapper)
2011-07-17  e9a992a                  Merge "[TASK] Move workspace preview functionality into versioning / workspace" (Benjamin Mack)
2011-07-17  01f3abe                  Merge "[TASK] Move workspace preview functionality into versioning / workspace" (Benjamin Mack)
2011-07-17  ad1a6fe  #28255          [BUGFIX] Correct initialisation of BACK_PATH (Stefan Neufeind)
2011-07-16  3dae597                  Merge "[-BUGFIX] remove datecheck on timezone test" (Stefan Neufeind)
2011-07-15  cdffc23  #28238          [TASK] Add .gitignore file. (Christopher)
2011-07-15  645e448                  [TASK] Correct classnaming for Tx_Extbase_Tests_Unit_BaseTestCase (Stefan Neufeind)
2011-07-14  fb68750  #28262          [BUGFIX] Show splitview only in non-live workspace (Tolleiv Nietsch)
2011-07-14  346baa0  #27931          [TASK] Move workspace preview functionality into versioning / workspace (Tolleiv Nietsch)
2011-07-14  74521b9  #28220          [BUGFIX] Remove linebreaks from xlf label to get preview working (Tolleiv Nietsch)
2011-07-14  dccfbb3                  [-BUGFIX] remove datecheck on timezone test (Felix Oertel)
2011-07-13  c4de877  #28187          [BUGFIX] Clear autoloader cache if dbal is loaded in 1-2-3 (Christian Kuhn)
2011-07-13  96e294d                  [+FEATURE] remove usage of deprecated methods in unit-tests (Felix Oertel)
2011-07-12  42355ab                  Merge "[BUGFIX] module.css references invalid image url" (Michael Klapper)
2011-07-12  2c89c57                  Merge "[BUGFIX] Adjust unit tests to changes" (Felix Oertel)
2011-07-12  a2f6586                  [BUGFIX] Adjust unit tests to changes (Bastian Waidelich)
2011-07-12  698f442                  [BUGFIX] create ClassSchema with ObjectManager::create() (Bastian Waidelich)
2011-07-12  058aeea  #28097          [TASK] Refactor core usages of testInt, calcPriority, calcParenthesis (Oliver Hader)
2011-07-12  08a4697  #28097          [TASK] Refactor core usages of testInt, calcPriority, calcParenthesis (Susanne Moog)
2011-07-12  7655f0d  #28121          [BUGFIX] TypeHandling class not found (Bastian Waidelich)
2011-07-12  372094b                  [BUGFIX] Wrong CGL style of boolean values (Oliver Hader)
2011-07-11  26f24f2  #28097          [TASK] Refactor core usages of testInt, calcPriority, calcParenthesis (Susanne Moog)
2011-07-11  459d628  #28113          [BUGFIX] module.css references invalid image url (Michael Klapper)
2011-07-09  c006018                  [TASK] Extbase (Utility): Add service for TypeHandling (Stefan Neufeind)
2011-07-09  d9aeacf                  Merge "[+BUGFIX] Extbase: CGL: Convert case of acronyms from UPPERCASE to CamelCase" (Stefan Neufeind)
2011-07-09  8546baa  #12189          [+BUGFIX] Extbase: CGL: Convert case of acronyms from UPPERCASE to CamelCase (Stefan Neufeind)
2011-07-09  14d433c                  [TASK] Extbase: Use strpos() instead of strstr() where possible (Stefan Neufeind)
2011-07-09  37eb670  #13095          [FEATURE] Make displayed fields in "Send to stage" layer configurable (Sonja Scholz)
2011-07-09  8a41f02                  Merge changes I4241f1e3,Ic91d8ad1 (Stefan Neufeind)
2011-07-09  b3a57c5                  [+BUGFIX] clean up ObjectStorage (Felix Oertel)
2011-07-09  4949c42                  Revert "[+BUGFIX] clean up ObjectStorage" (Stefan Neufeind)
2011-07-09  6135c7f                  Merge "[TASK] Extbase (Persistence): Remove duplicate registration in identity map" (Stefan Neufeind)
2011-07-09  7917c06                  Merge "[+BUGFIX] clean up ObjectStorage" (Stefan Neufeind)
2011-07-09  7711aba                  Merge "[FEATURE] IconViewHelper (BE) should support CSS-sprites" (Stefan Neufeind)
2011-07-09  d56a929  #9957           [FEATURE] IconViewHelper (BE) should support CSS-sprites (Stefan Neufeind)
2011-07-09  daad966                  Merge "[TASK] Make TextboxViewHelper a subclass of TextFieldViewHelper" (Stefan Neufeind)
2011-07-09  54b58f7                  [TASK] Code Cleanup in TemplateView (Sebastian Kurfuerst)
2011-07-09  d7d45a5                  Merge "[BUGFIX] Fix Widget support" (Stefan Neufeind)
2011-07-09  ff414cd  #27970          [+BUGFIX] Use of depreciated function debug in debugViewHelper (Michael Klapper)
2011-07-09  b73d59c                  Merge "[TASK] Adjust PHP dependency in ext_emconf.php" (Marc Bastian Heinrichs)
2011-07-09  331ce0c                  Merge "[FEATURE] Add check for loaded DBAL to requirements check" (Marc Bastian Heinrichs)
2011-07-09  e83af8e                  [+BUGFIX] allow skipping of arguments in signal dispatch (Felix Oertel)
2011-07-09  168c831                  [TASK] Adjust PHP dependency in ext_emconf.php (Bastian Waidelich)
2011-07-09  53df4f9                  [FEATURE] Add check for loaded DBAL to requirements check (Bastian Waidelich)
2011-07-09  747d791  #27931          [TASK] Move workspace preview functionality into versioning / workspace (Benjamin Mack)
2011-07-09  19b0f7f  #12743          [BUGFIX] Highlight page in pagetree if a content element is changed (Sonja Scholz)
2011-07-08  86efd8f                  Merge "[BUGFIX] Missing behaviour of options.workspaces.changeStageMode" (Tolleiv Nietsch)
2011-07-08  b01cc89  #9946           [TASK] Removed unused workspace code (Tolleiv Nietsch)
2011-07-08  9ae072c  #28002          [BUG] Use t3lib_install_Sql (Christian Kuhn)
2011-07-08  11764cc  #27999          [TASK] Remove function index (Christian Kuhn)
2011-07-08  ac69c72  #27966          [FEATURE] Show info if staged element is edited (Tolleiv Nietsch)
2011-07-08  940d959  #26422          [BUGFIX] List doesn't show all records (Michael Klapper)
2011-07-08  ed97754                  Merge "[FEATURE] Add possibility for improved detail view" (Tolleiv Nietsch)
2011-07-08  7c3b31e                  Merge "[TASK] Throw exception instead of die" (Xavier Perseguers)
2011-07-07  4e77979                  [+BUGFIX] clean up ObjectStorage (Felix Oertel)
2011-07-07  af6f8b2                  Merge "[TASK] Add XLIFF files" (Tolleiv Nietsch)
2011-07-07  0b1ca0e  #27097          [FEATURE] Limit modes available in the splipview (Michael Klapper)
2011-07-08  a5238e0  #26900          [BUGFIX] Add documentation in review controller (Tolleiv Nietsch)
2011-07-07  45396b3  #27937          [BUGFIX] PostgreSQL unit test tablesWithMappingAreDetected fails (Xavier Perseguers)
2011-07-07  320c3fc  #26156          [TASK] Throw exception instead of die (Xavier Perseguers)
2011-07-07  c38e882  #13579          [FEATURE] Hook Request for t3lib_db (Xavier Perseguers)
2011-07-07  814331d                  [TASK] Update copyright information (Xavier Perseguers)
2011-07-07  c46a37c  #13518          [FEATURE] Include preview link in notification (Sonja Scholz)
2011-07-07  7ed0c8f                  Merge "[TASK] Add XLIFF files" (Tolleiv Nietsch)
2011-07-07  61d4ac0                  Merge "[TASK] Cleanup draft workspace usages" (Tolleiv Nietsch)
2011-07-07  c299d8b                  [BUGFIX] Wrong CGL style of boolean values (Oliver Hader)
2011-07-07  eb8a85a                  [TASK] Add XLIFF files (Tolleiv Nietsch)
2011-07-07  bd87ad2  #27952          [TASK] Cleanup draft workspace usages (Tolleiv Nietsch)
2011-07-06  2b8c37e                  Merge "[BUGFIX] Versioning with context menu is visible if workspaces are enabled" (Marco Bresch)
2011-07-06  ce00a32                  Merge "[BUGFIX] Remove check for TYPO3_UseCachingFramework" (Michael Klapper)
2011-07-01  21a21a0                  Merge "[+BUGFIX] ObjectStorage->toArray(): fix array pointer problem" (Claus Due)
2011-06-30  7a2807c  #27783          [BUGFIX] Fix Widget support (Bastian Waidelich)
2011-06-30  e14243d  #27680          [TASK] Recreate ext_autoload.php (Bastian Waidelich)
2011-06-30  975c15b                  [TASK] Recreate ext_autoload.php (Bastian Waidelich)
2011-06-30  8c22e53                  [+FEATURE] (ViewHelpers): Adjust Fluid to new Property Mapper (Sebastian Kurfuerst)
2011-06-30  ae5eeef  #27656          [!!!][+FEATURE] (MVC): Modify MVC stack to use the new property mapper (Sebastian Kurfuerst)
2011-06-30  89c0697  #27653          [!!!][+FEATURE] (Validation): Adjusted and re-done Validation API (Sebastian Kurfuerst)
2011-06-30  111368e                  [+FEATURE] (Property): Add new property mapper (Sebastian Kurfuerst)
2011-06-30  22d1e91  #27657          [+FEATURE] (Persistence): Synchronize PersistenceManagerInterface more with FLOW3 (Sebastian Kurfuerst)
2011-06-30  1e11d76  #27652          [+FEATURE] (Reflection): Object Access can now access private properties (Sebastian Kurfuerst)
2011-06-30  72761b4  #27651          [+FEATURE] (Utility): synchronize TypeHandling class with FLOW3 (Sebastian Kurfuerst)
2011-06-30  ad09f0c  #27650          [!!!][FEATURE] Improve error and message handling (Sebastian Kurfuerst)
2011-06-30  45aa010                  [TASK] (MVC, Property): Deprecation of the the old property mapper (Sebastian Kurfuerst)
2011-06-30  dfd257e                  [+FEATURE] (Configuration): Feature flag implementation (Sebastian Kurfuerst)
2011-06-29  240383e  #25960          [BUGFIX][DB] Some DB fields needs to be varchar to support MSSQL (Sonja Scholz)
2011-06-28  212e979  #12868          [FEATURE] Add possibility for improved detail view (Francois Suter)
2011-06-28  18d3eee  #11535          [BUGFIX] LIVE workspace actions don't work (Michael Klapper)
2011-06-27  b437552  #13075          [+BUGFIX] (Persistence): return correct objectCountByQuery when query contains left join and no limit (Marc Bastian Heinrichs)
2011-06-27  15a54e1                  Merge "[+TASK] Fluid: Make use of newly introduced Extension Service" (Stefan Neufeind)
2011-06-27  a8b15cc                  [+TASK] Fluid: Make use of newly introduced Extension Service (Bastian Waidelich)
2011-06-26  61905b2                  Merge "[+BUGFIX] Cloning a ValueObject should not set its uid to NULL" (Stefan Neufeind)
2011-06-26  ed706a6  #27546          [BUGFIX] Adapt cache configuration to 4.6 (Christian Kuhn)
2011-06-26  89cdbb6  #27709          [BUGFIX] Remove check for TYPO3_UseCachingFramework (Christian Kuhn)
2011-06-24  3aaa54a                  Merge "[BUGFIX] Space missing in popup window" (Susanne Moog)
2011-06-24  9dd0807                  Merge "[FEATURE] Improve information for detail view" (Susanne Moog)
2011-06-24  7589400                  [+BUGFIX] Fix unit tests (Sebastian Kurfuerst)
2011-06-24  4a11fb5                  Merge "[BUGFIX] Fix case of setChildSortByFieldName in DataMapFactory" (Stefan Neufeind)
2011-06-24  015e7f9                  Merge "[+FEATURE] Extbase (MVC): Make response format configurable in TypoScript" (Stefan Neufeind)
2011-06-23  ac08975  #27550          [+BUGFIX] (SignalSlot): Fix unit tests (Sebastian Kurfuerst)
2011-06-22  4894ccc  #25962          [BUGFIX] Versioning with context menu is visible if workspaces are enabled (Michael Klapper)
2011-06-22  56f169e  #27310          [BUGFIX] Space missing in popup window (Michael Klapper)
2011-06-21  41ce921  #13884          [BUGFIX] Previewing a page in a custom Workspace, unable to execute an action in List view tab. (Michael Klapper)
2011-06-21  792ea55                  Merge "[BUGFIX] Missing preselected recipients in send to next stage window" (Michael Klapper)
2011-06-21  c4a4a7d                  [TASK] Fluid: Use strpos() instead of strstr() where possible (Stefan Neufeind)
2011-06-21  f8649b6                  [TASK] Make TextboxViewHelper a subclass of TextFieldViewHelper (Sebastian Kurfuerst)
2011-06-21  7c0954e                  Merge changes If9f1d413,Icef02f0e,Ib0affd73 (Sebastian Kurfuerst)
2011-06-21  d9625b7                  Merge "[BUGFIX] Adapt cache configuration to 4.6" (Susanne Moog)
2011-06-20  8ae1273                  Merge "[TASK] Cleanup and small improvements to Interceptors" (Bastian Waidelich)
2011-06-20  505bfcf                  Merge "[TASK] Comment and non-functional changes" (Bastian Waidelich)
2011-06-20  30dc66c                  Merge "[+BUGFIX] Empty a tag ends with /> instead of </a>" (Bastian Waidelich)
2011-06-20  b822d2d                  Merge "[BUGFIX] Better error message for "unknown section" exception" (Bastian Waidelich)
2011-06-20  957e8b5                  Merge "[+BUGFIX] Fluid (Core): Simplify debugging of exceptions thrown during render" (Bastian Waidelich)
2011-06-20  872b5fb                  [+BUGFIX] Make ObjectManager::isRegistered work (Sebastian Kurfuerst)
2011-06-20  381bb54                  [TASK] (ViewHelper): Code Cleanup to AbstractFormField ViewHelper (Sebastian Kurfuerst)
2011-06-20  a17273a                  [TASK] (Core): Code Cleanup in AbstractTagBasedViewHelper (Sebastian Kurfuerst)
2011-06-20  3cf11bb  #27557          [+BUGFIX] (Core): Condition improvements (Sebastian Kurfuerst)
2011-06-20  8c66da5                  [TASK] Cleanup and small improvements to Interceptors (Sebastian Kurfuerst)
2011-06-20  0401b77                  [TASK] Comment and non-functional changes (Sebastian Kurfuerst)
2011-06-20  91ede1e  #27556          [+BUGFIX] Empty a tag ends with /> instead of </a> (Sebastian Kurfuerst)
2011-06-20  71cd4b8                  [BUGFIX] Better error message for "unknown section" exception (Sebastian Kurfuerst)
2011-06-20  6944932                  [+BUGFIX] Fluid (Core): Simplify debugging of exceptions thrown during render (Sebastian Kurfuerst)
2011-06-19  e496b3b                  [+FEATURE] backport SignalSlotDispatcher (Felix Oertel)
2011-06-19  00c9732                  Merge "[+FEATURE] implement ObjectManager::isRegistered()" (Stefan Neufeind)
2011-06-19  b4c825e                  Merge "[+TASK] Extbase: Move static typoscript utility methods to a service" (Stefan Neufeind)
2011-06-19  f35ec9d                  Merge "[+BUGFIX] Extbase (Validation): E-mail address with space at the end is invalid" (Stefan Neufeind)
2011-06-19  89a0c83  #26138          [+BUGFIX] Fluid: Fix CObjViewHelper (Sebastian Kurfuerst)
2011-06-19  270758d  #27543          [BUGFIX] Adapt cache configuration to 4.6 (Christian Kuhn)
2011-06-19  11671ac                  Merge "[+BUGFIX] Fix localization handling to support XLIFF" (Sebastian Kurfuerst)
2011-06-17  b4e9a0d                  Merge "[+BUGFIX] Throw exception if a class to be reflected does not exist" (Stefan Neufeind)
2011-06-17  03142b1                  [TASK] Remove global declarations inside methods (Xavier Perseguers)
2011-06-16  a0aa2cd                  Merge "[BUGFIX] JavaScript error on page load - TYPO3.LLL.Workspace is undefined" (Tolleiv Nietsch)
2011-06-16  97f19c3                  Merge "[TASK] Remove dublicate code - Ext.ux.plugins.TabStripContainer" (Tolleiv Nietsch)
2011-06-16  710a7e4  #27495          [BUGFIX] Missing preselected recipients in send to next stage window (Michael Klapper)
2011-06-15  c9c0a6e  #27470          [BUGFIX] JavaScript error on page load - TYPO3.LLL.Workspace is undefined (Michael Klapper)
2011-06-15  1e50141  #27411          [+BUGFIX] Fix localization handling to support XLIFF (Xavier Perseguers)
2011-06-14  aee807b  #27442          [FEATURE] Improve information for detail view (Francois Suter)
2011-06-14  1f65adb                  Merge "[TASK][!!!] Fix localization handling to support XLIFF" (Xavier Perseguers)
2011-06-14  30cf35c  #27305          [+BUGFIX] Extbase (Validation): E-mail address with space at the end is invalid (Stefan Neufeind)
2011-06-14  63eaf34                  Merge "[TASK] Extbase (Validation): Clean up tests for FloatValidatorTest and Integer ValidatorTest" (Bastian Waidelich)
2011-06-14  5211456                  Merge "[BUGFIX] Fix EmailAddressValidatorTest" (Bastian Waidelich)
2011-06-14  7ec19d9                  Merge "[+BUGFIX] Extbase (Persistence): Use correct language-uid for translations" (Bastian Waidelich)
2011-06-14  5fe122f                  [BUGFIX] Fix localization handling to support XLIFF (Dominique Feyer)
2011-06-14  4d1c08b  #8718           [+BUGFIX] Throw exception if a class to be reflected does not exist (Stefan Neufeind)
2011-06-14  d77e1d3  #27421          [TASK] Remove dublicate code - Ext.ux.plugins.TabStripContainer (Michael Klapper)
2011-06-14  01ee0eb  #13690          [TASK] Deprecated class sqlengine should be removed (Xavier Perseguers)
2011-06-14  a0609e3                  Revert "[BUGFIX] Extbase does not restrict queries to use only properties", (Sebastian Kurfuerst)
2011-06-14  c586e42  #27411          [TASK][!!!] Fix localization handling to support XLIFF (Xavier Perseguers)
2011-06-14  f16ed7d                  [TASK] Add XLIFF files (Dominique Feyer)
2011-06-14  00a7ca3                  [TASK] Add XLIFF files (Dominique Feyer)
2011-06-13  1791f12  #26086          [BUGFIX] Missing behaviour of options.workspaces.changeStageMode (Oliver Hader)
2011-06-13  2e504dd                  [BUGFIX] Wrong call to TCEmain object (Oliver Hader)
2011-06-13  1477ecb                  [TASK] Fix several incompatible PHPdoc comments (Oliver Hader)
2011-06-13  c08f798  #26605          [BUGFIX] Swapping throws ExtDirect Exception (Oliver Hader)
2011-06-12  892e58a                  [TASK] Extbase (Validation): Clean up tests for FloatValidatorTest and Integer ValidatorTest (Stefan Neufeind)
2011-06-12  de64844                  Merge "[BUGFIX] Extbase does not restrict queries to use only properties" (Jochen Rau)
2011-06-12  5fedda3  #26521          [+BUGFIX] Extbase (Persistence): Use correct language-uid for translations (Stefan Neufeind)
2011-06-12  8e44100  #26875          [TASK] Extbase (Persistence): Remove duplicate registration in identity map (Stefan Neufeind)
2011-06-11  a3078ca                  [BUGFIX] Fix EmailAddressValidatorTest (Lienhart Woitok)
2011-06-11  1bf6bde  #9216           [+FEATURE] Extbase (MVC): Make response format configurable in TypoScript (Stefan Neufeind)
2011-06-11  a1fa635  #10823          [+FEATURE] Fluid (Widgets): Allow overriding templateRootPath (Stefan Neufeind)
2011-06-11  4a4e945  #9283           [FEATURE] PaddingViewHelper: allow padding-type right/left/both (Stefan Neufeind)
2011-06-11  9f603b1  #9942           [BUGFIX] Fix documentation for BE-ViewHelpers (Stefan Neufeind)
2011-06-11  8b999ce  #8494           [BUGFIX] Extbase does not restrict queries to use only properties (Stefan Neufeind)
2011-06-11  90366a8  #7900           [BUGFIX] Docu, AbstractController: Clearer difference of forward/redirect (Stefan Neufeind)
2011-06-10  9d256c9  #27334          [BUGFIX] Fix case of setChildSortByFieldName in DataMapFactory (Stefan Neufeind)
2011-06-10  cd68224                  Merge "[BUGFIX] Editor see records without permissions on table" (Michael Klapper)
2011-06-10  71d24bc  #27325          [BUGFIX] Editor see records without permissions on table (Michael Klapper)
2011-06-09  879df05                  Merge "[BUGFIX] Frontent preview - Hide slider & visual-mode-options in "List-view"" (Michael Klapper)
2011-06-09  8446343                  Merge "[+BUGFIX] (Property) Fixed only adding objects to ObjectStorage" (Sebastian Kurfuerst)
2011-06-09  bec2fcd  #13288          [+BUGFIX] (Property) Fixed only adding objects to ObjectStorage (Marc Bastian Heinrichs)
2011-06-09  09a8879                  [~TASK] Update jQuery versions (Bastian Waidelich)
2011-06-08  cc7357d                  Merge "[BUGFIX] Workspaces view doesn't respect TCA label_userFunc" (Michael Klapper)
2011-06-08  fc1bb0d  #21033          [BUGFIX] Workspace notification emails are sent to hidden users (Steffen Kamper)
2011-06-08  8ef2a0c  #27036          [BUGFIX] Workspaces view doesn't respect TCA label_userFunc (Michael Klapper)
2011-06-07  aac26a3                  [+TASK] Extbase: Move static typoscript utility methods to a service (Bastian Waidelich)
2011-06-06  f7df0d4                  [+TASK] Extbase: Move most of the static extension utility methods to a service (Bastian Waidelich)
2011-06-01  288e59f  #27159          [BUGFIX] ext_localconf.php Wrong file reference (Michael Klapper)
2011-05-30  3fc16eb  #27143          [BUGFIX] Frontent preview - Hide slider & visual-mode-options in "List-view" (Michael Klapper)
2011-05-26  e86af0e  #10258          [+BUGFIX] baseUri is added on external links (Sebastian Kurfuerst)
2011-05-26  9e2bacf  #13695          [+BUGFIX] (Testing): Fix wrong doc comment in BaseTestCase (Sebastian Kurfuerst)
2011-05-26  fb31d49                  Merge "[+BUGFIX] ActionMenuItemViewHelper: XHTML compliance in "selected" attribute value" (Sebastian Kurfuerst)
2011-05-26  e25c7d5  #12891          [+BUGFIX] CObjViewHelper: fixed using numeric values as data argument (Claus Due)
2011-05-22  8192138                  * Task: Update Version Number to 1.0.3 (typo3.lists)
2011-05-22  8ce50cd                  Task: Fix whitespace issues in all branches (typo3.lists)
2011-05-21  6cd33bd                  Feature #13800: Add user-agent header Fixed Bug #13680: Refactor external link, do not follow senseless loop, add user agent (thanks to Daniel Minder) (typo3.lists)
2011-05-18  4be747c                  Fixed bug #13368: Content of Tab is not scrollable (Michael Miousse) (typo3.lists)
2011-05-18  3a4c7d8                  Fixed bug #26731: The info module does not show up in IE 7 and 8 (Michael Miousse) (typo3.lists)
2011-05-18  b0d3d03                  Fixed bug #13828: checkhidden has no effect for some configurations (Michael Miousse) (typo3.lists)
2011-05-18  49786a0  #26772          [+BUGFIX] Cloning a ValueObject should not set its uid to NULL (Xavier Perseguers)
2011-05-17  0c1f466  #8744           [+BUGFIX] ActionMenuItemViewHelper: XHTML compliance in "selected" attribute value (Claus Due)
2011-05-17  4575869  #9117           [+BUGFIX] ObjectStorage->toArray(): fix array pointer problem (Claus Due)
2011-05-16  24cb9c6  #26138          [+BUGFIX] Fluid: CObjViewHelper fix deprecated call "getAccessibleProperties" (Claus Due)
2011-05-16  3692486  #13782          [+BUGFIX] Persistence: Fixed building unionStatement from opposite (Marc Bastian Heinrichs)
2011-05-12  f115723                  [TASK] Fix coding guideline issues (Xavier Perseguers)
2011-05-10  d08403d  #26728          [TASK] Reapply direct changes of TYPO3 Core (Oliver Hader)
2011-05-10  68ea044  #26728          [TASK] Reapply direct changes of TYPO3 Core (Oliver Hader)
2011-05-08  d8befaf  #10634          [+BUGFIX] Persistence: Update tstamp column on objects removal (Marc Bastian Heinrichs)
2011-05-06  cd651b8  #24641          [BUGFIX] Force icon overlay for deleted records (Francois Suter)
2011-05-04  8e03fd9                  Merge "[TASK] Remove global declarations inside methods" (Tolleiv Nietsch)
2011-04-29  fee5c75                  CGL: Change "true" into "TRUE" (Chrissitopher)
2011-04-26  fea8491                  * Fixed bug #13757 Scheduler task does not work at all (michael.miousse)
2011-04-26  9b3a045                  [+BUGFIX] correct warning in ObjectStorage & LazyObjectStorage (Felix Oertel)
2011-04-21  4f2fa17                  * Fixed bug #13953: Third-party classes cannot be checked due to dynamicConfigFile in TCA (thanks to Jan Philipp Timme) (michael.miousse)
2011-04-20  b821a72                  Removed superfluous newline after PHP closing tag at EOF (Chrissitopher)
2011-04-17  6205a9b  #25870          [BUGFIX] Correct typo in viewSingleRecord() (Susanne Moog)
2011-04-15  8ba542f                  Merge "[+TASK] improve exception message in Argument" (Sebastian Kurfuerst)
2011-04-13  a535218                  Whitespace cleanup (Chrissitopher)
2011-04-13  b499048                  [TASK] Remove global declarations inside methods (Xavier Perseguers)
2011-04-13  6b8766b                  Merge "[+BUGFIX] Avoiding cHash for nonCacheable actions prevent action from being called" (Bastian Waidelich)
2011-04-12  5024e58                  [~CLEANUP] some smaller comment cleanups (Felix Oertel)
2011-04-12  894dfda                  Merge "[~CLEANUP] apply naming convention for flexForms" (Felix Oertel)
2011-04-12  dbf1671                  [+TASK] Extbase: Moved static cache utility class to a service (Bastian Waidelich)
2011-04-12  281fd9a  #25789          [BUGFIX] Flushing workspace version should also modify t3ver_tstamp (Oliver Hader)
2011-04-12  8bd8780                  [+FEATURE] implement ObjectManager::isRegistered() (Felix Oertel)
2011-04-11  e51c467  #25887          [BUGFIX] Invalid use of double-quote (Xavier Perseguers)
2011-04-11  38463d4  #25834          [BUGFIX] sql_fetch_assoc may return FALSE as in Core (Gabe Blair)
2011-04-11  c12ac96                  [+TASK] improve exception message in Argument (Felix Oertel)
2011-04-11  65ce4ef  #25489          [BUGFIX] ORDER BY wrongly quotes argument if a number is used (Patrick Schriner)
2011-04-07  49bcfc1  #25833          [BUGFIX] LIMIT is not recognized in exec_query (Thomas Koetter)
2011-04-06  b3541c1  #25800          [BUGFIX] Wrong check in EM hook to determine whether Oracle is used (Xavier Perseguers)
2011-04-06  c1d4285  #25777          [BUGFIX] Cannot use single quote in TS constant part (Xavier Perseguers)
2011-04-06  d1b0f33  #25702          [BUGFIX] Correct typing error in ext_emconf.php (Oliver Hader)
2011-04-05  d45e21e                  [BUGFIX] Removing child records in a workspace does not work (Oliver Hader)
2011-04-05  a6c3c7c                  Merge "[+BUGFIX] MVC: Make forwarding of objects work" (Sebastian Kurfuerst)
2011-04-05  f0f4807                  Merge "Performance tuning in container by moving some information into the cached ClassInfo object." (Sebastian Kurfuerst)
2011-04-01  8632f0e                  Performance tuning in container by moving some information into the cached ClassInfo object. (Timo Schmidt)
2011-03-30  1d9ba27                  [~BUGFIX] avoid fe_user's type to be overridden (Felix Oertel)
2011-03-22  4bf29f1                  [+BUGFIX] Avoiding cHash for nonCacheable actions prevent action from being called (Bastian Waidelich)
2011-03-22  b7582d7                  Merge "[+BUGFIX] Persistence: return ObjectCount return value as an integer" (Sebastian Kurfuerst)
2011-03-21  ea9b38a  #9687           [+BUGFIX] MVC: Make forwarding of objects work (Marc Bastian Heinrichs)
2011-03-20  3f4b4c2                  [~CLEANUP] correct function parameter types (Marc Bastian Heinrichs)
2011-03-20  a0e54eb  #13151          [+BUGFIX] Persistence: return ObjectCount return value as an integer (Marc Bastian Heinrichs)
2011-03-14  e98ecfa                  Merge "[+FEATURE] Extbase: Enable Dependency Injection for Domain Models" (Bastian Waidelich)
2011-03-10  5d3fcfb                  [+BUGFIX] Revert incorrect deletion of Query::count() & Query::withUid() (Bastian Waidelich)
2011-03-09  8d0e7a3                  [~CLEANUP] apply naming convention for flexForms (Felix Oertel)
2011-03-09  810f430                  Merge "[+TASK] Move FlexForm parsing to a dedicated Service" (Felix Oertel)
2011-03-09  ce2998d                  Merge "[BUGFIX] Avoid SQL error when module is opened on moved page" (Tolleiv Nietsch)
2011-03-09  3953635  #13032          [+TASK] Move FlexForm parsing to a dedicated Service (Felix Oertel)
2011-03-09  3a4205b                  Merge "[!!!][+BUGFIX] make backend-modules in web use new pagetree by default" (Felix Oertel)
2011-03-09  70b4095                  [!!!][+BUGFIX] make backend-modules in web use new pagetree by default (Felix Oertel)
2011-03-09  7324041                  [~CLEANUP] smaller deprecated clean-ups (Felix Oertel)
2011-03-08  8d92599                  Merge "[BUGFIX] Grid generates invalid id's for the group view" (Susanne Moog)
2011-03-08  58241db  #11311          [+FEATURE] Extbase: Enable Dependency Injection for Domain Models (Bastian Waidelich)
2011-03-08  a9b422e  #13691          [BUGFIX] DataDictionary is not always properly instantiated (Xavier Perseguers)
2011-03-07  51c47c2                  Merge "[+BUGFIX] (Persistence) Make Typo3QuerySettings exchangeable" (Bastian Waidelich)
2011-03-07  52b81e3  #13191          [+BUGFIX] (Persistence) Make Typo3QuerySettings exchangeable (Marc Bastian Heinrichs)
2011-03-07  beb36cd  #12702          [+BUGFIX] (Persistence) clone setDefaultQuerySettings for new queries (Marc Bastian Heinrichs)
2011-03-07  5268b3a                  Merge "[~BUGFIX] correct annotations of Tx_Extbase_Persistence_Mapper_DataMapper" (Bastian Waidelich)
2011-03-07  1638f10                  Merge "[~TASK] (FlashMessages) finish the renaming of flashMessages" (Bastian Waidelich)
2011-03-06  58ad0d9                  Merge "[BUGFIX] Fix broken topbar switcher" (Susanne Moog)
2011-03-06  4ef20ce  #13635          [BUGFIX] Avoid SQL error when module is opened on moved page (Tolleiv Nietsch)
2011-03-04  2f5beed                  Merge "[BUGFIX] Append Fehook output to TSFE->content" (Tolleiv Nietsch)
2011-03-04  cff3165  #13446          [BUGFIX] Append Fehook output to TSFE->content (Tolleiv Nietsch)
2011-03-04  5796b68                  Merge "[BUGFIX] Show fieldname if fieldtitle is empty" (Tolleiv Nietsch)
2011-03-04  91b5846  #13480          [BUGFIX] Show fieldname if fieldtitle is empty (Tolleiv Nietsch)
2011-03-04  2c76f6f  #13185          [~BUGFIX] correct annotations of Tx_Extbase_Persistence_Mapper_DataMapper (Felix Oertel)
2011-03-04  9d610e2  #13551          [BUGFIX] Add missing hsc() for WS title (Tolleiv Nietsch)
2011-03-04  558ba2d  #13580          [BUGFIX] Grid generates invalid id's for the group view (Sonja Scholz)
2011-03-04  e0aff3f  #13585          [BUGFIX] Fix broken topbar switcher (Tolleiv Nietsch)
2011-03-03  c11cff1                  [~TASK] (FlashMessages) finish the renaming of flashMessages (Felix Oertel)
2011-02-24  a0af121                  Updated em_conf (Chrissitopher)
2011-02-24  8c21d42                  Updated ChangeLog (Chrissitopher)
2011-02-24  49d9804                  * Fixed bug #13340 Regression 4.5.1: pid and uid database fields are always 0 (michael.miousse)
2011-02-24  4346df1                  Updated manual with hint suggested by Jigal regarding table2handlerKeys (Xavier Perseguers)
2011-02-24  5a43b48                  Followup to #13318: Regression in linkvalidator (Chrissitopher)
2011-02-23  98fb4e5                  #13318 Regression in linkvalidator (Steffen Kamper)
2011-02-22  4b2a096                  Fixed bug #12457: Split view und grid don't use StateProvider yet (tolleiv)
2011-02-22  44cfb64                  updated changelog for the release 1.0.1 (michael.miousse)
2011-02-22  0ec3472                  clean up of emconf and update version to 1.0.1 (michael.miousse)
2011-02-22  bf23d69                  Fixed bug #12855: Generate preview link visible in Live-Workspace and on non-content pages (tolleiv)
2011-02-22  64da490                  * Fixed Bug #12649: Split up analyzeRecord() (michael.miousse)
2011-02-21  069ee24                  fixed bug #13074: missing cache_frontend configuration (mbresch)
2011-02-21  0bc1f89                  Fixed bug #17399: Install Tool COMPARE fails to update mysql tables (Xavier Perseguers)
2011-02-21  40582e7                  Fixed bug #17661: Remove deprecated methods from t3lib_div (Xavier Perseguers)
2011-02-21  ca493be                  Fixed bug #17670: Remove deprecated functions scheduled for removal in 4.6 (Xavier Perseguers)
2011-02-20  6d56257                  Fixed bug #13096: class tx_version_tcemain_CommandMap contains calls to protected methods from tx_version_tcemain (Thanks to Andreas Kiessling) (Tolleiv Nietsch)
2011-02-20  fe2dfc8                  Fixed bug #13094,Cannot push IRRE records to next stage (Thanks to Andreas Kiessling) (Tolleiv Nietsch)
2011-02-20  14d960b                  Fixed bug #13097: tx_version_tcemain->processCmdmap - &$commandIsProcessed is not set to TRUE (Thanks to Andreas Kiessling) (Tolleiv Nietsch)
2011-02-20  135fa0c                  Fixed bug #13098:Hide sys_workspace_stage in list view (Thanks to Andreas Kiessling) (tolleiv)
2011-02-20  0412012                  typo in ChangeLog (steffenk)
2011-02-20  be4fbf0                  Changes according to changed ExtDirect incluseion (#17592) (steffenk)
2011-02-17  8e40bc8                  Fixed bug #12693: Naming of Documentation folder (psychomieze)
2011-02-17  774d197                  Fixed bug #12615: Dependencies in sysext 'version' and 'workspaces' (Oliver Hader)
2011-02-17  16b1c7d                  cleaned changeLog (psychomieze)
2011-02-17  6bdb188                  Fixed bug #12621: Documentation for new options concerning stageNotificationEmail (psychomieze)
2011-02-16  ca1b0d3                  #Fixed bug #13003: singleIndex rows not showing up due to browser security violations (tolleiv)
2011-02-16  661732d                  Fixed bug #13002: singleIndex page much have invalid workspace id (tolleiv)
2011-02-16  31dbe0e                  [+BUGFIX] (Configuration): Adjusted Interface to implementation (Sebastian Kurfuerst)
2011-02-15  741a2f5                  [!!!][+TASK] Fluid v4 (Core): Make layout UpperCamelCase (Rens Admiraal)
2011-02-15  fb48155                  Fixed bug #12454: Use setting "defaultMailFromName" and "defaultMailFromAddress" (michael.miousse)
2011-02-15  cff0015                  * Fixed bug #12650: (michael.miousse)
2011-02-15  dc843d8                  Changelog indentation (michael.miousse)
2011-02-15  eb5c6b4                  * Fixed bug #12652: (michael.miousse)
2011-02-15  0aafb15                  [~TASK] Extbase: Raising version from 1.3.0 to 1.4.0-devel (Bastian Waidelich)
2011-02-15  70fb596                  [~TASK] Fluid: Raising version from 1.3.0 to 1.4.0-devel (Bastian Waidelich)
2011-02-15  959756b                  Fixed bug #12549: Unify capitalization of language labels (Chrissitopher)
2011-02-14  461485a                  [+FEATURE] Fluid (ViewHelpers): Add RawViewHelper (Bastian Waidelich)
2011-02-08  473cf82                  [+FEATURE] Fluid v4 (Core): Set layoutName by variable (Rens Admiraal)
2011-02-07  f88dec4                  Fixed bug #12517: Replace exec_SELECTgetRows with exec_SELECTgetSingleRow whenever a single record is expected (thanks to Jo Hasenau) (Chrissitopher)
2011-01-30  cab37a4                  Small CSS improvement (Chrissitopher)
2011-01-27  78c96f1                  [+TASK] Extbase (MVC): Removed duplicated code from RequestBuilder. Thanks to Peter Niederlag. (Jochen Rau)
2011-01-26  eef0745                  typo (Chrissitopher)
2011-01-26  fd87614                  Fixed bug #3523: Rewrite of workspace manual started (psychomieze)
2011-01-26  562a221                  Fixed bug # (psychomieze)
2011-01-26  ba574ab                  Reapplied #17284: Formprotection persistToken method is called too often, causing unnecessary DB-load - included in 4.5.0 (Thanks to Helmut Hummel / Ernesto Baschny) (Tolleiv Nietsch)
2011-01-26  101030b                  Raised version to 4.5.0 (tolleiv)
2011-01-26  db39c4b                  Raised version to 4.5.0 (Tolleiv Nietsch)
2011-01-26  ad4deaf                  Fixed bug #17327: Alter table in install tool does not work (Xavier Perseguers)
2011-01-26  0fd22a2                  Fixed bug #12534: Positioning of toolbar in IE6 (Thanks to Markus Antecki) (mbresch)
2011-01-26  5cf63f0                  Fixed unit tests (Xavier Perseguers)
2011-01-26  352afc5                  * Raising Version number to 1.3.0. (Sebastian Kurfürst)
2011-01-26  a96951f                  * Raising Version number to 1.3.0 (Sebastian Kurfürst)
2011-01-26  3348f66                  Reverting r3994: DateViewHelper now supports strftime format strings (Sebastian Kurfürst)
2011-01-26  b1ea1e7                  Cleaned emconf for the release of TYPO3 4.5 (Chrissitopher)
2011-01-26  ec36a09                  Followup to #12447: Update one language label; it no longer only is about showing or hiding some of the broken links, but also about checking them. (Chrissitopher)
2011-01-26  aecb2a1                  Fixed bug #12526: Manual needs new screenshots and text since we now use 2 tabs in the module (thanks to Patrick Gaumond) (Chrissitopher)
2011-01-26  a473e26                  Finally structure the CSS file. Includes small alignment improvements for margin and padding. (Chrissitopher)
2011-01-26  d4129d5                  General cleanup (Chrissitopher)
2011-01-26  a843fe2                  Followup to #12447: Clearly separate Checks from Report in module. Label tags in tab "Check links" were broken (Chrissitopher)
2011-01-25  9bc1c35                  Fixed bug #10636: workspace module not usable in IE6 (Thanks to Markus Antecki) (sonne)
2011-01-25  703216a                  Fixed bug #17221: Install tool is unable to delete database tables (Xavier Perseguers)
2011-01-25  83e1791                  [+BUGFIX] Extbase (Tests): reset added t3lib_div instances in UriBuilder & Extension tests (Bastian Waidelich)
2011-01-25  7aec9fb                  [+BUGFIX] Fluid (Tests): Fixed Fluid unit tests! (Bastian Waidelich)
2011-01-25  9a43f7a                  [+TASK] Fluid (ViewHelpers): format.date added inline documentation for localized dates (Bastian Waidelich)
2011-01-25  ceec16c                  [+BUGFIX] Extbase (Persistence): Fixed updating of related objects. Thanks to Björn Steinbrück and Bastian Waidelich for digging into this issue. Resolves #9270, #9182, #10211. (Jochen Rau)
2011-01-25  693a3c7                  [+TASK] Extbase (Persistence): Added two properties to describe a weird PHP behavior if calling current() on an ObjectStorage. (Jochen Rau)
2011-01-25  dbd07e4                  [+BUGFIX] Extbase (MVC): Fixed argument order of Tx_Extbase_Utility_Extension::isActionCacheable() call in UriBuilder (Bastian Waidelich)
2011-01-25  29efe96                  * Added Feature #12447 Clearly separate Checks from Report in module (michael.miousse)
2011-01-25  02fef6a                  [+TASK] Fluid (ViewHelpers): Extended inline documentation of FlashMessages ViewHelper (Bastian Waidelich)
2011-01-25  2013b1c                  Bug #12412 XSS issue in tx_linkvalidator_tasks_ValidateAdditionalFieldProvider one of the htmlspecialchar was not on the value but on the check (michael.miousse)
2011-01-25  c9bd08c                  [+BUGFIX] Fixed comparison of Objects (Sebastian Kurfürst)
2011-01-25  f41e0cf                  [+BUGFIX] Fluid (Tests): Fixed CropViewHelper unit test (Bastian Waidelich)
2011-01-25  84a5cb7  #9174           [+FEATURE] Fluid (ViewHelpers): DateViewHelper now supports strftime format strings (Bastian Waidelich)
2011-01-25  70adbb0                  [+TASK] Extbase (DomainObject): Added setPid() and getPid() to the DomainObjectInterface and removed the "final" keyword. (Jochen Rau)
2011-01-25  526ac8f                  Raised version to 4.5.0rc2 (Tolleiv Nietsch)
2011-01-25  f5d3218                  Raised version to 4.5.0rc2 / changed state to "stable" (tolleiv)
2011-01-25  aaa52b8                  Fixed bug #12406: Not possible to publish change of IRRE ordering (tolleiv)
2011-01-24  2dd4e53                  Fixed bug #12464: Slider element is not always visible during the dragging process.. (tolleiv)
2011-01-24  6b1165e                  Fixed bug #17222: fitToParent calculates wrong height - workspace grid needs 40 pixel offset for render the legend (steffenk)
2011-01-24  253328b                  Fixed bug #12505: Fatal Error: Call to undefined method t3lib_TCEmain::rawCopyPageContent() (Susanne Moog)
2011-01-24  e73d18d                  Changed version to 1.3-dev (Xavier Perseguers)
2011-01-24  6fd7738                  Updated checksums (Xavier Perseguers)
2011-01-24  e076aa4                  Set version to 1.2.0 (Xavier Perseguers)
2011-01-24  20409d5                  [~TASK] Extbase: Moved isActionCacheable() from UriBuilder to Utility/Extension helper class (Bastian Waidelich)
2011-01-24  dd255c7                  Follow-up to changeset 42538: Take LIKE BINARY into account (Xavier Perseguers)
2011-01-24  ad249d2                  Fixed bug #17269: Search with LIKE is case sensitive on Oracle (Xavier Perseguers)
2011-01-24  03b6670                  [+TASK] Extbase (Utility): implemented validation of arguments passed to sql statements in Tx_Extbase_Utility_Cache. (resolves #11978) (Felix Oertel)
2011-01-22  b5c785a                  typo (Chrissitopher)
2011-01-22  da2a2ab                  Followup to #11539: Split view / initial height calculated right (tolleiv)
2011-01-22  16f1435                  Followup to #11539: Split view / tooltip styling added (tolleiv)
2011-01-21  4ce779c                  Fixed bug #12453: Autopublish task crashes because of misspelled class name (Thanks to Francois Suter) (psychomieze)
2011-01-21  2606510                  Fixed bug #12448: grid preview links are broken (tolleiv)
2011-01-21  07d545f                  Raised version to 4.5.0rc1 (Tolleiv Nietsch)
2011-01-21  958d021                  Raised version to 4.5.0rc1 (tolleiv)
2011-01-21  dec6fa3                  [+TASK] Fluid (ViewHelpers): fixed typo in doc comment examples of emailViewhelper (Franz Koch)
2011-01-21  a77fea6                  Cleaned emconf for the release of TYPO3 4.5 RC1 (Chrissitopher)
2011-01-21  9d1fbb0                  Fixed typos (Chrissitopher)
2011-01-21  19d6a0f                  Merged changes from mantis-#17176: Remove unnecessary comments and color profiles from all shipped .png / .gif files (Thanks to Steffen Gebert) (Chrissitopher)
2011-01-21  98955a8                  Fixed ChangeLog (Chrissitopher)
2011-01-21  f8c292c                  Fixed bug #12446: Fixed instantiation of UriBuilder (broken since extbase merge) (psychomieze)
2011-01-21  6c23cff                  Fixed bug #11574: Workspaces grid: stages should "sit" on one line (psychomieze)
2011-01-21  ca341eb                  * Updated ChangeLog and raised version number to 1.3.0RC1 (Sebastian Kurfürst)
2011-01-21  55b68ee3                  Fixed bug #12000: Cache and Favorites submenus shifts when in Workspaces (psychomieze)
2011-01-21  df8c4e8                  * Updated ChangeLog and ext_emconf.php for 1.3.0RC1 (Sebastian Kurfürst)
2011-01-21  09730a9                  [-TASK] Extbase (Persistence): Reverting commit r3883 and r3852. (Jochen Rau)
2011-01-21  fd55317  #11623          [+BUGFIX] Extbase (Object): constructor injection fails if default value for a dependency is NULL (Sebastian Kurfürst)
2011-01-21  be77e85  #11991          [+BUGFIX] Fluid (Widget): Adopt Widget Bootstrap to Extbase Bootstrap changes (Sebastian Kurfürst)
2011-01-21  74a61c8  #12013          [BUGFIX] Extbase (Object): Allow injection of prototypes via dependency injection (Sebastian Kurfürst)
2011-01-21  d347183                  [+BUGFIX] Extbase (Persistence): Use sql_free_result() in Typo3DbBackend to free result memory. Resolves #10957 (Marc Bastian Heinrichs)
2011-01-21  3f913eb                  [~BUGFIX] Extbase (Persistence): fixed an wrong referenced exception (resolves #12403) (Felix Oertel)
2011-01-21  d1b2ee0                  [~BUGFIX] Extbase (Persistence): make Tx_Extbase_Persistence_Repository::remove() handle freshly created objects right. (resolves #11128) (Felix Oertel)
2011-01-21  a66ef68                  Fixed bug #12415: Respect change #17167: Cache ExtDirect::getAPI calls (tolleiv)
2011-01-21  8632f91                  Fixed bug #12308: Workspace non-admin not workspace owner sees icon to swap updated version with Live site (tolleiv)
2011-01-21  5416304                  [~FOLLOWUP] Extbase (Utility): allow clearPageCache() to clear single, multiple and all pageCaches. (resolves 11978) (Felix Oertel)
2011-01-21  cfc95da                  Fixed bug #12384: Mount points are not taken into account in element-list (tolleiv)
2011-01-21  888a1f3                  Fixed bug #12325: Hide icons that don't work in the current context (tolleiv)
2011-01-21  7231959                  Fixed bug #11539: Split view (tolleiv)
2011-01-21  24d4264                  * Fixed bug #12432 Selected page metas are not processed (michael.miousse)
2011-01-21  4a3df12                   (michael.miousse)
2011-01-21  50b3b77                  * Fixed bug #12429 do not use private accessors (michael.miousse)
2011-01-21  8e05509                  * Fixed bug #12428 Adapt Variable Names to naming conventions (michael.miousse)
2011-01-21  4b771b7                  * Fixed bug #12427 Rename draw*() methods to render*() (michael.miousse)
2011-01-21  baa1429                   (michael.miousse)
2011-01-21  57d82fd                  Rename classes according to naming conventions part1 still folder to fix (michael.miousse)
2011-01-21  e19691a                  * Fixed bug #12425: Give modfunc1 a better name changed modreport to modfuncreport (michael.miousse)
2011-01-21  f59eb1c                  * Fixed bug #12425: Give modfunc1 a better name (michael.miousse)
2011-01-21  8347178                  renaming the folder modfunc1 to modreport (michael.miousse)
2011-01-21  d624949                  * Fixed bug #12424: Only use the class name for the hook (michael.miousse)
2011-01-21  5728c0e                  * Fixed bug #12416 tx_linkvalidator_tasks_Validate: Missing public / protected declarations (michael.miousse)
2011-01-21  cd3331a                  * Fixed bug #12226 website that has multiple domainsrecords produces funny links (michael.miousse)
2011-01-21  d457114                  Bug #12414 (michael.miousse)
2011-01-21  2ae6328                  typo (Chrissitopher)
2011-01-21  328b02c                  Fixed bug #12422: ext_tables.sql: Do not use appreviations for field names (Chrissitopher)
2011-01-21  d713ae4                  Fixed bug #12423: ext_tables.sql: Use underscores to separate words in field names (Chrissitopher)
2011-01-21  41d86a9                  Bug #12385 Conflict scheduler:testtask with linkvalidator::task (michael.miousse)
2011-01-21  8e46a0b                  Fixed bug #12421: Rename tx_linkvalidator_links to tx_linkvalidator_link (Chrissitopher)
2011-01-21  69372ac                  Bug #12411 (michael.miousse)
2011-01-21  29b8b0e                  Fixed bug #12420: Indentation in modfunc1, getTemplateMarkers() (Chrissitopher)
2011-01-21  0785aa1                  Fixed bug #12419: Use American English for "analyseRecord" (Chrissitopher)
2011-01-20  ac22def                  Fixed bug #12412: XSS issue in tx_linkvalidator_tasks_ValidateAdditionalFieldProvider (Chrissitopher)
2011-01-20  c0e77be                  Fixed bug #12360: Show error message, if the module is not accessible for the current user (Chrissitopher)
2011-01-20  ebc19d5                  Fixed bug #12410: Fix ChangeLog (Chrissitopher)
2011-01-20  c353dc5                  Fixed bug #12413: Rename extension "list" to "recordlist" (psychomieze)
2011-01-20  6e5b7f4                  [+BUGFIX] Extbase (MVC): UriBuilder automatically added a cHash even on links to nonCacheable actions where this is not needed/recommended (resolves #8565) (Franz Koch)
2011-01-20  8d59cae                  [~BUGFIX] Extbase (Persistence): made union statement on comma seperated list use find_in_set (Thanks to Marc Bastian Heinrichs) (resolves #9772) (Felix Oertel)
2011-01-20  573ae61                  [+TASK] Extbase (Utility): allow clearPageCache() to clear single, multiple and all pageCaches. (Felix Oertel)
2011-01-20  1e494d7                  Fixed bug #12386: "Publish only content in publish stage" doesn't work anymore (Tolleiv Nietsch)
2011-01-20  074022a                  Fixed bug #12055: Publishing a page does not update the new page tree (psychomieze)
2011-01-20  b0dc80c                  Fixed bug #12397: CSRF protection for clickmenu and old workspace module (Thanks to Helmut Hummel) (Susanne Moog)
2011-01-20  2fdc3e9                  Fixed bug #12405: The workspaces module does not work in Internet Explorer (psychomieze)
2011-01-20  c2756b2                  reverted rev 3898 - which was accidental commit - sorry for that :( (tolleiv)
2011-01-20  38e5107                  git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/workspaces/workspaces/trunk@3898 743128fe-103e-dd11-99c4-001b210b3e58 (tolleiv)
2011-01-20  81e3491                  Fixed bug #12077: Tooltips for slider (tolleiv)
2011-01-20  e3566c8  #11302          [+BUGFIX] Extbase (MVC): Improve Error Handling in Request Builder (Sebastian Kurfürst)
2011-01-20  5608d9a                  Fxied bug #12334:"Allow members to edit records in "Review" stage" should be removed (tolleiv)
2011-01-20  a2f7996                  Fixed bug #12286: Wrong icon for "Generate workspace preview link" - use eye icon instead (tolleiv)
2011-01-19  940f613                  Fixed bug #12307: Workspaces non-admin user cannot send to next stage (Susanne Moog)
2011-01-19  634368c                  Fixed bug #12307: Workspaces non-admin user cannot send to next stage (psychomieze)
2011-01-19  b8c8f55                   (michael.miousse)
2011-01-19  d719a52                  Change snippets throw new exception for Feature #12344 Migrate to t3lib_htmlmail to SwiftMaile (thanks to ernesto) (michael.miousse)
2011-01-19  4972ed2                  follow-up to #11972 (psychomieze)
2011-01-19  cb2b92b                  [+TASK] Extbase (DomainObject): Added unit test to check circular dependencies. (Jochen Rau)
2011-01-19  a87d953                  Fixed bug #11972: Switching workspaces with tabs causes module menu to loose its selection (psychomieze)
2011-01-19  a3d3ec3                  Followup to bug #12344: Updated the manual for using the SwiftMailer (Chrissitopher)
2011-01-19  2a7ab4f                  Feature #12344 Migrate to t3lib_htmlmail to SwiftMailer (michael.miousse)
2011-01-19  20c7f53                  Updated ChangeLog (michael.miousse)
2011-01-19  19194f5                  Bug #12377 Other link types than supported use the same type than the last found (michael.miousse)
2011-01-19  235dbfd  #12324          [+BUGFIX] Extbase (Persistence): remove superfluous require_once statements (Sebastian Kurfürst)
2011-01-19  c1ec977  #12323          [+BUGFIX] Extbase (Tests): Remove require_once of phpunit testclasses (Sebastian Kurfürst)
2011-01-18  acdcc9a                  Cleanup: Updated copyright comments (ohader)
2011-01-18  2832131                  Cleanup: Updated copyright comments (Oliver Hader)
2011-01-18  d4250fd  #12121          [+BUGFIX] Extbase (Utility): Make _LOCAL_LANG override work with dots (Sebastian Kurfürst)
2011-01-18  8c9fa41                  Fixed bug #12350: Wrong backpath for thumbnail generation in diff view (sonne)
2011-01-18  089e1b1                  Fixed bug #11481: Naming of "Release" mass action is unclear (sonne)
2011-01-18  8aebbfb                  [+BUGFIX] Extbase (Persistence): Fixed using the correct columnname for contains comparison with RELATION_HAS_MANY and empty parentKeyFieldName. Resolves #11048 (Marc Bastian Heinrichs)
2011-01-18  0559aa0                  [+BUGFIX] extbase (Persistence): Added the missing pid property to the AbstractDomainModel. (Jochen Rau)
2011-01-18  6eb522b                  Fixed bug #10439: Data array used in ws-grid should be cached (mbresch)
2011-01-18  9d77cf9                  Cleanup: Fixed PHPdoc comments and type hints in module, processing and abstract linktype class (Oliver Hader)
2011-01-18  b533fda                  [+BUGFIX] Extbase (Persistence): Language Oberlay now works with page table as well. Thanks to Andre Stoesel. (Jochen Rau)
2011-01-18  0486916                  [+BUGFIX] Extbase (Reflection): Follow-up to r3854. (Jochen Rau)
2011-01-18  d7bea56                  Fixed bug #10439: Data array used in ws-grid should be cached (mbresch)
2011-01-18  23f200b                  Fixed bug #12347: Incorrect registration of status report (tolleiv)
2011-01-18  7b582f8                  [+BUGFIX] Extbase (Persistence): The QueryObject gets cloned now in the getFirst() method of the QueryResult (as it was intended). Thanks to Sebastian Fischer. Resolves #11855. (Jochen Rau)
2011-01-18  33031b7                  [+BUGFIX] Extbase (Bootstrap): Bootstrap calls initialize on reflectionService if it's already initialized. Resolves #12346, resolves #12156 (Marc Bastian Heinrichs)
2011-01-18  05a3095                  [+BUGFIX] Extbase (Persistence): Fix equals constraint with $caseSensitive FALSE (closing bracket missing). Thanks to Alexander Berl. Resolves #10781 (Marc Bastian Heinrichs)
2011-01-18  703262f  #10148          [+BUGFIX] Extbase (Reflection): ObjectAccess::isPropertyGettable works for ArrayAccess objects (Sebastian Kurfürst)
2011-01-18  0fd3015  #12061          [+BUGFIX] Fluid (Core): Allow ViewHelpers to be placed in t3lib and tslib (Sebastian Kurfürst)
2011-01-18  6e780dd                  [+BUGFIX] Extbase [Persistence]: Fixed updating of 1:n related childs. Resolves #9270, #9182, #10211. (Jochen Rau)
2011-01-18  fad473e                  Fixed bug #12333: "Un-Publish:" should be hidden (tolleiv)
2011-01-17  3a95da3                  Fixed bug #12322: "null" is shown in diff view if original fields are empty in Firefox (tolleiv)
2011-01-17  ce7b444                  Fixed bug #11587: Trash icon should "discard" too (tolleiv)
2011-01-17  fa54f49                  Fixed bug #11529: Infinite not infinite / moved pages not always visible in element list (tolleiv)
2011-01-17  1e14477                  Fixed bug #10989: Anchors in internal links are incorrectly treated as pages (thanks to Michael Miousse) (Chrissitopher)
2011-01-17  ef44a0f                  Updated ChangeLog (Chrissitopher)
2011-01-17  dd6ea93                  Bug #12226 Website that has multiple domainsrecords produces funny links (michael.miousse)
2011-01-16  81dad72                  Fixed bug #12273: "Go to workspace module" link appears even if user has no access to it (sonne)
2011-01-16  a61453f                  Fixed bug #12272: Topbar isn't highlighted if there's only on workspace (sonne)
2011-01-16  991c4c8                  Fixed bug #11825: non-admin editors can't see non-page records within the review module (sonne)
2011-01-16  c53ccae                  Followup to #16630: migrateWorkspaces in Install-Tool does not work, if extbase is not intalled (tolleiv)
2011-01-16  ac2d893                  Fixed bug #12076: Remove "help" tab (tolleiv)
2011-01-16  f1abece                  Fixed bug #12192: Description of workspace module for "about modules" missing (tolleiv)
2011-01-16  d4236c8                  Fixed bug #12194: Legend too wide (tolleiv)
2011-01-16  fd9e046                  Fixed bug #12291: Icon "Open version of page" does not go the the page of the clicked element (sonne)
2011-01-15  49471f1                  Added forgotten note on contribution by Andreas Lappe (Chrissitopher)
2011-01-15  7df1768                  Fixed bug #12235: Reporting errors does not work with cURL (Chrissitopher)
2011-01-15  7dd377a                  Fixed bug #12232: Redirects to https get reported as 404 (thanks to Andreas Lappe) (Chrissitopher)
2011-01-15  56bfbe6                  Followup to bug #11803: Fix locallang files (Chrissitopher)
2011-01-15  a2b1868                  Fixed bug #12243: Information on storage location of broken links is wrong in text (Chrissitopher)
2011-01-15  c912452                  Bug #11585: Hide difference column for default (mbresch)
2011-01-15  1da39b0                  Fixed bug: include htmlspecialchars for labels used in grid to display html-tags (mbresch)
2011-01-13  e221557  #8397           [+FEATURE] Extbase (Configuration): Allow StoragePid to be manually defined by TS (Sebastian Kurfürst)
2011-01-13  ec9d114  #11520          [+BUGFIX] Fluid (View): Fix StandaloneView (Bastian Waidelich)
2011-01-13  0610c92  #11631          [+BUGFIX] Extbase (Configuration): Fix warning in AbstractConfigurationManager (Sebastian Kurfürst)
2011-01-13  b0fc013  #11011          [+BUGFIX] Extbase (Object): Disabling Dependency Injection for injectSettings method (Sebastian Kurfürst)
2011-01-12  f90f69b                  Cleaned emconf for the release of TYPO3 4.5 Beta4 (Chrissitopher)
2011-01-12  26dc90c                  * Updating ChangeLog for 1.3.0beta4 (Sebastian Kurfürst)
2011-01-12  d578323                  * Updating ChangeLog for 1.3.0beta4. (Sebastian Kurfürst)
2011-01-12  4ca80c6                  [+TASK] Extbase (Tests): Fixed a repository unit test so that it works in CLI mode (Bastian Waidelich)
2011-01-12  2cc5277                  [+TASK] Extbase (Tests): Fixed Extbase unit tests (Bastian Waidelich)
2011-01-12  6beb3a6                  Raised version to 4.5.0beta4 (ohader)
2011-01-12  07edaac                  Raised version to 4.5.0beta4 (Oliver Hader)
2011-01-12  a609089                  Fixed bug: migrateWorkspaces in Install-Tool does not work, if extbase is not intalled (ohader)
2011-01-12  d4a918a                  Follow-up to bug #11832: Label of the anchor is empty (Oliver Hader)
2011-01-12  78f1970  #8679           [+BUGFIX] Extbase (Persistence): Hidden Records in Workspaces now work (Sebastian Kurfürst)
2011-01-09  7b0f278                  Fixed bug #11832: Versioning - t3lib_extMgm::createListViewLink() function no longer available (Thanks to Mark Johnston) (Tolleiv Nietsch)
2011-01-09  7a6add0                  Fixed bug #16786: Generating preview link not working since Update to 4.4.5 (Tolleiv Nietsch)
2011-01-09  e8c1dff                  Fixed bug #11971: Live Tab is linked in Live view (tolleiv)
2011-01-08  08d9a94                  Followup to bug #12024: Remove cellspacing (Chrissitopher)
2011-01-08  489a330                  Fixed bug #12025: Add link to scheduler (Chrissitopher)
2011-01-08  f63f125                  Improved one language label. (Chrissitopher)
2011-01-08  ce784fa                  Fixed bug #12024: Remove cellspacing (thanks to Steffen Gebert) (Chrissitopher)
2011-01-08  dd75f48                  Fixed bug #12022: Add CSH labels for the labels of the Scheduler job (Chrissitopher)
2011-01-08  28116fe                  Fixed bug #12026: Combine columns Type, Headline and Field (Chrissitopher)
2011-01-08  fa0b6db                  Fixed bug #12019: Do not display the format of the date of the last check (Chrissitopher)
2011-01-08  496ae0f                  Whitespace fix (Chrissitopher)
2011-01-08  20094d6                  Fixed bug #12009: Display a nice text, if an element does not have a headline (Chrissitopher)
2011-01-08  fc40bc6                  Fixed bug #12008: Row "Title" should be called "Headline" (Chrissitopher)
2011-01-08  97e3a1f                  Removed a label which was introduced for #11794, but is not used with the final version of that patch. (Chrissitopher)
2011-01-07  ed21397                  Fixed issue: #11794: If website root is active, searching for links does not work (pierre.boivin)
2011-01-07  305b3d0                  Followup to bug #11803: Fix locallang files (Chrissitopher)
2011-01-07  1efefb6                  Followup to bug #11799: Improve usability of the linkvalidator interface (Chrissitopher)
2011-01-07  dd324c6                  Followup to bug #11822: Add extension description in ext_emconf.php (Chrissitopher)
2011-01-07  bcc133f                  Followup to bug #11269: Proofread the manual (Chrissitopher)
2011-01-07  0d5beb5                  Update ChangeLog (Chrissitopher)
2011-01-07  ff3dd11                  Fixed bug #11794: If website root is active, searching for links does not work (pierre.boivin)
2011-01-06  5b4ca68                  Fixed bug #11269: Proofread the manual (Chrissitopher)
2011-01-06  19438a9                  Followup to bug #11280: Refactor class tx_linkvalidator_processing (Chrissitopher)
2011-01-06  43ea222                  Fixed bug #11888: Button "Check Links" only checks those categories of links which are marked with the checkboxes below (Chrissitopher)
2011-01-06  bff5cf6                  Fixed bug #11926: Language file Resources/Private/Language/emails.xml can not be translated (Thanks to Christopher) (Tolleiv Nietsch)
2011-01-06  1057563                  Followup to bug #11836: Make use of Flash Messages (Chrissitopher)
2011-01-06  ff71bdf                  Fixed bug #11815: WorkspacePreviewLink should be a link (tolleiv)
2011-01-06  bb7e2fa                  Fixed bug #11029: Workspaces module: Row detail view (Thanks to Lars Zimmermann and Berit Jensen) (tolleiv)
2011-01-06  c95e86d                  Fixed bug #11674: Selection of row deletes checkbox selection (steffenk)
2011-01-06  50ac764                  Fixed bug #11647: Switching workspace doesn't refresh new pagetree (steffenk)
2011-01-06  58717cf                  Followup to bug #11776: URL/Linktarget for files is broken (Chrissitopher)
2011-01-06  f530277                  More cleanup (Chrissitopher)
2011-01-06  b307674                  Cleanup (Chrissitopher)
2011-01-05  98a10d7                  Fixed bug #11802: Field linktitle often stays empty (thanks to Philipp Gampe) (Chrissitopher)
2011-01-05  bf79338                  Fix Bug #11794 : If website root is active, searching for links does not work (pierre.boivin)
2011-01-05  d627285                  Fixed bug #11797: linkvalidator saves translated texts in the database which is not good (thanks to Michael Miousse and Philipp Gampe) (Chrissitopher)
2011-01-05  4c2d768                  Revert Fix 11794 (pierre.boivin)
2011-01-05  3b84b05                  Revert Fix 11794 (pierre.boivin)
2011-01-05  217eced                  Fixed bug #11794: If website root is active, searching for links does not work (pierre.boivin)
2011-01-05  56937a6                  Fixed bug #11889: Clean up CSS (Chrissitopher)
2011-01-04  f3605fc                  [~TASK] Extbase: Fixed line endings (Windows to Unix). (Jochen Rau)
2011-01-04  006d4d1                  Replaced one hardcoded label for linkhandler links (Chrissitopher)
2011-01-04  a9912de                  Followup to bug #10907: Invalid external url not detected (thanks to Philipp Gampe) (Chrissitopher)
2011-01-04  4fde77c                  Fixed bug #11866: When the edit pencil next to a link is clicked, you end up at tree root with search_levels=0 after saving (Chrissitopher)
2011-01-03  ab500d5                  Fixed bug #11848: Use labels for the table fields containing the broken links (Chrissitopher)
2011-01-03  8f4f5fb                  Revert one accidentally changed line. (Chrissitopher)
2011-01-03  1ec45bc                  Minimally adjusted CSS margins. (Chrissitopher)
2011-01-03  69578f1                  Fixed bug #11777: Add CSH to table headers (Chrissitopher)
2011-01-02  dc49af7                  Fixed bug #11821: Do not use abbreviations in code (Chrissitopher)
2011-01-02  9ebf724                  Followup to #11803: Improved one language label (Chrissitopher)
2011-01-02  8a3b68d                  Fixed ChangeLog (Chrissitopher)
2011-01-02  ad9f611                  Fixed bug #11823: Add @package and @subpackage to comment blocks (Chrissitopher)
2011-01-02  8b581c5                  Fixed bug #11819: Prevent PHP notices by fixing XClass inclusion code (Chrissitopher)
2011-01-01  beb02c0                  Cleanup (Chrissitopher)
2011-01-01  8d3b2c8                  Fixed bug #11836: Make use of Flash Messages (Chrissitopher)
2011-01-01  b13081a                  Fixed bug #11834: Do not show the table with the list of broken links, if there are no broken links (Chrissitopher)
2011-01-01  c89cf27                  Fixed bug #11799: Improve usability of the linkvalidator interface (Chrissitopher)
2011-01-01  1c6b07b                  Fixed bug #11833: Sorting order of IRRE records is wrong after publishing (Oliver Hader)
2011-01-01  5e82cc8                  Fixed bug #11817: Use new documentation template for the manual Fixed bug #11269: Proofread the manual (Chrissitopher)
2011-01-01  4eeffe7                  Fixed bug #3358: make sure only "element" versioning type is supported / used - added status report for Reports module (benni)
2011-01-01  0eb0aa1                  Remove trailing whitespaces (Chrissitopher)
2011-01-01  50ba252                  Fixed some comments (Chrissitopher)
2011-01-01  13f09c6                  Fixed bug #11820: Remove comments "End of function xy" (Chrissitopher)
2011-01-01  523face                  Minor code cleanup, CGL fixes (Chrissitopher)
2011-01-01  f860c18                  Fixed bug #11822: Add extension description in ext_emconf.php (Chrissitopher)
2011-01-01  db3a85b                  Fix whitespaces (Chrissitopher)
2011-01-01  656101c                  Followup to #11814 (Chrissitopher)
2010-12-31  f8c168f                  New Year's commit: Fixed bug #11814: Fix indentation in HTML templates, CSS files and SQL file (Chrissitopher)
2010-12-31  e926684                  Fixed bug #11812: Changing a checkbox from the statistics table resets the depth chosen for pages to check (Chrissitopher)
2010-12-31  6757dce                  Fixed bug #11811: Label tags in Statistics table do not work (Chrissitopher)
2010-12-31  005b699                  Fixed bug #11813: Give the User Interface a clear structure (Chrissitopher)
2010-12-31  6b9baf7                  Fixed bug #11798: Table displaying the number of broken links must be styled (Chrissitopher)
2010-12-31  26ae8a3                  Fixed bug #11801: Variable in the message "Page '' does not exist." will never be filled (Chrissitopher)
2010-12-31  b17639f                  Fixed bug #11803: Fix locallang files (Chrissitopher)
2010-12-30  9efb197                  [~TASK] Fluid (Tests): Fixed some more testcase class names and some unit tests (Bastian Waidelich)
2010-12-30  e210e50                  Fixed bug #11800: Checkboxes showing the number of broken links do not display the value "zero" (Chrissitopher)
2010-12-30  342056f                  Fixed bug #11776: URL/Linktarget for files is broken (Chrissitopher)
2010-12-30  36ad8e5                  Followup to #11775: Remove a forgotten and now unused variable (Chrissitopher)
2010-12-30  4f6c05f                  Fixed bug #11796: Improve usage of $GLOBALS['LANG'] (Chrissitopher)
2010-12-30  0bb121e                  Cleaned up formatting of CSS file (Chrissitopher)
2010-12-30  82eaf8f                  Fixed bug #11775: Table should use new design for TYPO3 4.5 (Chrissitopher)
2010-12-30  003e1c3                  [~TASK] Fluid (Tests): Fixed some testcase class names (Bastian Waidelich)
2010-12-30  a2aa844                  [+FEATURE] Fluid (ViewHelpers): prepend URIs with scheme if it's not specified in link.external / uri.external ViewHelpers (Bastian Waidelich)
2010-12-30  dd8928a                  [+TASK] Fluid (ViewHelpers): Fix, cleanup and extend inline documentation of ViewHelpers (Bastian Waidelich)
2010-12-30  9b846d8                  Fixed bug #11779: Unify usage of tooltips in table rows (Chrissitopher)
2010-12-30  503348a                  [+BUGFIX] Fluid (View): Fixed deprecation message about lowercase template files names (Bastian Waidelich)
2010-12-30  63a029a                  Fixed bug #11789: fluid viewhelper renderFlashMessages is deprecated (psychomieze)
2010-12-30  d9df157                  [+FEATURE] Extbase (Utility): Add support for custom specify custom plugin icon (Bastian Waidelich)
2010-12-28  a938dcc                  Issue #11715 - Use localized format for date and time (pierre.boivin)
2010-12-28  f2dbb53                  Cleanup: Fixed XLCASS block (Oliver Hader)
2010-12-28  e0d02d1                  Cleanup: Renamed command map class file to start with proper extension prefix (Oliver Hader)
2010-12-28  73c3429                  Cleanup: Fixed PHPdoc comments, type hints and XCLASS blocks (Oliver Hader)
2010-12-28  22ed18c                  cleaned em_conf (steffenk)
2010-12-28  7baa5ef                  cleaned em_conf (Steffen Kamper)
2010-12-28  b08aca2                  added ChangeLog entry for last commit (steffenk)
2010-12-28  461487b                  Follow-up to 11635: removed remaining event listener (steffenk)
2010-12-27  5649b8d                  Set version back to 1.2-dev (Xavier Perseguers)
2010-12-27  ff76c86                  Set version to 1.2.0beta3 (Xavier Perseguers)
2010-12-27  1e6b621                  * Raised Version Number to 1.3.0beta3. (Sebastian Kurfürst)
2010-12-27  8e9b833                  * Raising version number to 1.3.0beta3 (Sebastian Kurfürst)
2010-12-26  eeece67                  Fixed issue #11722: TempFlashMessageQueueViewHelper is not required anymore (tolleiv)
2010-12-26  fd660bb                  Fixed bug #11718: ExtJS confirmation window contents might be "cached" (tolleiv)
2010-12-25  9bacd9a                  Fixed bug #11473 Send to stage window may be too large (tolleiv)
2010-12-25  57cf572                  Fixed bug #11608 Missing space in Mass Release Confirmation (tolleiv)
2010-12-25  8d21e29                  Fixed bug #11635: Remove "Preview of workspace ..." box when in workspace preview module (tolleiv)
2010-12-25  bc56649                  #11657: singleView should not have depth and mass-action combos (tolleiv)
2010-12-25  f316d0d                  Fixed bug #11600: [All] tab in ws-module should not have action-buttons (tolleiv)
2010-12-24  d2d2409                  [+BUGFIX] Extbase (Tests): Fixed Tx_Extbase_MVC_Controller_AbstractController_testcase. Thanks to Oliver Klee. Resolves #11567. (Jochen Rau)
2010-12-22  4c47e7d                  Fixed bug:#11606 Remove "Send to review / pub" from contextmenu (Tolleiv Nietsch)
2010-12-22  2e46a53                  Fixed bug #11568: Remove "Enable comparison view" switch (tolleiv)
2010-12-22  195dd86                  Fixed bug 11479: Label of publish action is confusing (tolleiv)
2010-12-22  cb65309                  Added feature #10642: Design of workspace preview/comparison view (Thanks to Lars Zimmermann) (stephenking)
2010-12-22  b8de992                  Merged new PageTree (version for TYPO3 4.5 Beta 3) - added new classes (steffenk)
2010-12-21  cda8c93                  Fixed bug #11633: Versioning module should not be available when workspaces is loaded (Sonja Scholz)
2010-12-21  d7d5147                  Fixed bug #11480: Add warning when choosing mass actions (sonne)
2010-12-21  6dffbda                  Followup-to #9819: Workspace preview window - browser compatibility fixed (tolleiv)
2010-12-21  466695b                  [BUGFIX] Extbase (Configuration): Make Extbase work again in Backend (Sebastian Kurfürst)
2010-12-21  0d33dad                  [TASK] Extbase (Bootstrap): Removed superfluous exception (Sebastian Kurfürst)
2010-12-20  d61b574                  Fixed bug #10693: Save and view command previews wrong page record (tolleiv)
2010-12-20  4ca5288                  Fixed bug #11532: Generate Workspace Preview Link not working (tolleiv)
2010-12-20  8995032                  Fixed bug #11605: Do you really want to swap?? - one question mark is enough (tolleiv)
2010-12-20  6e42811                  Fixed bug #11531 Check if email is set before trying to send an email (tolleiv)
2010-12-20  cdd4122                  Fixed bug #11141: switching with the tabs in the workspace module should also switch to the related workspace (tolleiv)
2010-12-20  6ea59d2                  [TASK] Extbase (Object): Adjust doc comments (Sebastian Kurfürst)
2010-12-20  22b193c                  [!!!][+TASK] Extbase (Object): Rewritten Object Container (Sebastian Kurfürst)
2010-12-20  b55de35                  [+BUGFIX] Extbase (MVC): Improve Exception message (Sebastian Kurfürst)
2010-12-20  491d2b5                  [+API] Extbase (Configuration): Adding getContentObject to API (Sebastian Kurfürst)
2010-12-19  a705385                  Fixed bug #11142: The 'All' tab throws Exception 'No such workspace defined' (mbresch)
2010-12-19  04a61ef                  Fixed bug #11142: The 'All' tab throws Exception 'No such workspace defined' (mbresch)
2010-12-19  cb779d4                  Cleanup: #11153: Determine whether Tx_Workspaces_Service_Stages::encodeStageUid and resolveStageUid are required (sonne)
2010-12-19  5b1b1cb                  Followup-to #9819: Workspace preview window - "live" and "workspace" buttons are clickable now (tolleiv)
2010-12-18  10a691a                  Fixed bug #11318: workspaces task miss title (tolleiv)
2010-12-17  c5c3756                  Use ExtDirect Stateprovider (steffenk)
2010-12-17  6c3edef                  Followup-to #9819: Workspace preview window - empty preview.css included in order to support the skin team (tolleiv)
2010-12-14  d6a5cd7  #8749           [+BUGFIX] Fluid (ViewHelpers): tweaked SelectViewHelper to avoid fatal error on PHP 5.2 (Bastian Waidelich)
2010-12-14  df8b88e                  Fixed bug #9819: Workspace preview window (tolleiv)
2010-12-06  3832812                  Some code cleaning (pierre.boivin)
2010-12-06  bd0645a                  Issue 11277 - initialize in modfunc1 could be protected (pierre.boivin)
2010-12-06  f1bdaa7                  Issue #11278 - Create an interface for the linktype classes (pierre.boivin)
2010-12-06  220fc99                  Update changelog (pierre.boivin)
2010-12-06  698e4c7                  Issue #10589 - HTTP errors might not be detected (pierre.boivin)
2010-12-06  b4c06be                  Update changelog (pierre.boivin)
2010-12-06  ca4aa76                  Issue #11274 - Change true to 1 for showUpdateButton (pierre.boivin)
2010-12-06  42142b1                  Issue #11272 - Fix dos line endings in ext_tables.php (pierre.boivin)
2010-12-06  85a4404                  Issue #11270 - List in the BE module should be sorted by record (pierre.boivin)
2010-12-06  3a23b1a                  Issue #11275 - Delete clear.gif (pierre.boivin)
2010-12-06  f2d2da1                  Issue #10987 - Patch v3 apply and tested (pierre.boivin)
2010-12-06  c629518                  Fixed bug #16679: Cannot login to backend at the end of 1-2-3 wizard when using Oracle (Xavier Perseguers)
2010-12-05  9eafeb9                  Fixed bug #16677: PHP notices from XCLASS inclusions (Xavier Perseguers)
2010-12-05  c5fd35d                  Fixed bug #16678: DBAL is active with MySQL at the end of 1-2-3 wizard (Xavier Perseguers)
2010-12-05  3f46c47                  Fixed bug #11290: PHP notices from XCLASS inclusions (stephenking)
2010-12-05  c77bbee                  Fixed bug #11290: PHP notices from XCLASS inclusions (Steffen Gebert)
2010-12-03  eaca739                  Rename files - step 2 (pierre.boivin)
2010-12-03  80aeb76                  Rename files (pierre.boivin)
2010-12-03  6ec2a20                  Issue #11271 - Lowercase all filenames (pierre.boivin)
2010-12-03  f54224b                  Issue #11280 - Refactor class tx_linkvalidator_processing (pierre.boivin)
2010-12-03  31e6385                  Fixed issue: #10907: invalid external url not detected (pierre.boivin)
2010-12-02  ceaed6a                  [+TASK] Extbase (Reflection): Added deprecation annotation to ObjectAccess::getAccessiblePropertyNames() (Bastian Waidelich)
2010-12-02  5a70a2b                  [+BUGFIX] Extbase (Reflection): Added PropertyNotAccessibleException that I forgot to add in previous commit (Bastian Waidelich)
2010-12-02  5b9bb96                  [+FEATURE] Extbase (Reflection): Tx_Extbase_Reflection_ObjectAccess supports stdClass objects now (Bastian Waidelich)
2010-12-01  181c9a5                  Fixed bug #16639: Install Tool is unusable since DBAL merge (Xavier Perseguers)
2010-12-01  34373da                  Raised version to 4.5.0beta2b (ohader)
2010-12-01  7f57d5e                  Raised version to 4.5.0beta2a (Oliver Hader)
2010-12-01  56e4e41                  Raised version to 4.5.0beta2b (Tolleiv Nietsch)
2010-12-01  5b93949                  Fixed bug: #11209: BACK_PATH is not handled right in class.tx_version_gui.php (Tolleiv Nietsch)
2010-12-01  fcd45b9                  * Raising version to Extbase 1.3beta2a (Sebastian Kurfürst)
2010-12-01  f0d8557                  [+BUGFIX] Extbase (ConfigurationManager): FollowUp for #6067. Fixes a issue with parsing flexform rootlevel keys not having child keys I recently came across (Franz Koch)
2010-12-01  2b82299                  [+BUGFIX] Extbase (Configuration): change the order of methods to determine the current pageId for backend modules, which is used to fetch the TS framework configuration. Fixes #11205 (Franz Koch)
2010-12-01  582f0c8                  Follow-Up #11131: Usability: labels improvements, change the label as a new one is introduced (nxpthx)
2010-12-01  4599748                  [+TASK] Extbase (Object): Make sure the class info cache is returning valid objects (Franz Koch)
2010-12-01  54446ed                  Changed version back to 1.2-dev (Xavier Perseguers)
2010-12-01  9e312eb                  Updated checksums (Xavier Perseguers)
2010-12-01  4029263                  Code cleanup (Xavier Perseguers)
2010-12-01  f636f3b                  Added comment for unknown variable (Xavier Perseguers)
2010-12-01  6453542                  Fixed use of undefined variable  in method exec_INSERTquery() with MySQL handler (Xavier Perseguers)
2010-12-01  dbc821c                  Fixed use of undefined variable  in method map_subquery() (Xavier Perseguers)
2010-12-01  9cf22db                  Follow-up for bug #16392: Native tables could not be retrieved anymore (Xavier Perseguers)
2010-12-01  dafc655                  Raised version to 4.5.0beta2a (ohader)
2010-12-01  f5b7ac2                  Raised version to 4.5.0beta2a (ohader)
2010-12-01  aabe5b1                  * Raised version number to 1.3.0beta2 * Updated ChangeLog (Sebastian Kurfürst)
2010-12-01  921cbad  #11194          [+BUGFIX] Extbase (Persistence): Persistence_Backend::getIdentifierByObject should work with LazyLoadingProxy (Sebastian Kurfürst)
2010-12-01  c55cb32                  * Updated ChangeLog * Raised Version Number to 1.3.0beta2 (Sebastian Kurfürst)
2010-12-01  0c2d53f                  Fixed bug #11193: Remove calls to disable compression and merging of CSS/JS (stephenking)
2010-12-01  11c2cd7                  Set version to 1.2.0beta2 (Xavier Perseguers)
2010-12-01  a8ee245                  Code cleanup (Xavier Perseguers)
2010-12-01  e5042e7                  Code cleanup (Xavier Perseguers)
2010-11-30  1a8461d                  Fixed bug #16492: groupBy and orderBy fail on exec_query (thanks to Oguzhan Alan) (Xavier Perseguers)
2010-11-30  e6aecf5                  Raised version to 4.5.0beta2 (ohader)
2010-11-30  2b7d261                  Raised version to 4.5.0beta2 (Oliver Hader)
2010-11-30  1504bb8                  Cleanup: Fixed ChangeLog (nxpthx)
2010-11-30  971c1b2                  FYI: Added Styling classes for Berit (nxpthx)
2010-11-30  c3b12a7                  [+BUGFIX] Extbase (Configuration): slightly tweaked FrontendConfigurationManager (basically replaced explode() by t3lib_div::trimExplode() call) [+TASK] Extbase (Tests): Added some unit tests for Backend- and FrontendConfigurationManager. To be continued (Bastian Waidelich)
2010-11-30  46c2e3a                  Fixed bug #16501: DBAL does not support multi-column indexes in create table queries (Xavier Perseguers)
2010-11-30  07908de                  Added feature #16491: Provide a pass-through flag for sql_exec() which goes directly to the native MySQL engine (Xavier Perseguers)
2010-11-30  4d9dacf                  Fixed bug #11138: preview links in page- and list-module point to mod.php instead of typo3/mod.php (tolleiv)
2010-11-30  7e4e523                  Fixed bug #11144: Records that belong to a particular workspace shall be removed when the workspace is removed (ohader)
2010-11-30  1fb2f14                  [+BUGFIX] Extbase (DomainObject): added default __toString method to Tx_Extbase_DomainObject_AbstractDomainObject. Thanks to Marco Huber. Resolves #8083 (Marc Bastian Heinrichs)
2010-11-30  07d80a7                  [+BUGFIX] Extbase (MVC): Fixed UriBuilder for handling LazyLoadingProxy objects as arguments. Resolves #10705 (Marc Bastian Heinrichs)
2010-11-30  b78ea2e                  [+TASK] Extbase (Object): re-added Tx_Extbase_Object_Manager to gain more backwards compatibility. This class is marked deprecated and will be removed in Extbase 1.5 (Bastian Waidelich)
2010-11-30  cc36199                  [+BUGFIX] Extbase (Tests): tweaked ObjectContainer tests. Tests are failing deliberately for now (Bastian Waidelich)
2010-11-30  d6b8cf2                  [+BUGFIX] Extbase (Domain): fixed (non-breaking) method name for getting usergroup in Tx_Extbase_Domain_Model_FrontendUser. Resolves #11019 (Marc Bastian Heinrichs)
2010-11-30  e2d3c0d                  [+BUGFIX] Extbase (Domain): Tx_Extbase_Domain_Model_FrontendUserGroup::getSubgroup() returns wrong property. Resolves #11020 (Marc Bastian Heinrichs)
2010-11-30  fb6bc43                  Fixed task #11161: Simplify outputting errors from PHP to the grid component (ohader)
2010-11-30  536b896                  [+BUGFIX] Extbase (MVC): re-enabled HMAC check for BE forms. The deactivation was just a temporary fix - HMAC should work in BE mode just like in FE (Bastian Waidelich)
2010-11-30  b8e93f2                  Fixed bug #11115: ExtDirect exception sendToNextStageWindow: StageId is supposed to be an integer (ohader)
2010-11-30  2e31fcc                  [TASK] Extbase (Configuration): Fix whitespaces (Sebastian Kurfürst)
2010-11-30  2ac33f1                  [+TASK] extbase (ConfigurationManager): Made FrontendConfigurationManager parse recurring sections in flexforms right. Thanks to Franz Koch (resolves #6067) (Felix Oertel)
2010-11-30  5a26828                  Cleanup: Fixed ChangeLog (ohader)
2010-11-30  3ad3e38                  Cleanup: Fixed PHPdoc comments and exception timestamp (ohader)
2010-11-30  d019695                  Forge #11143: Editing workspaces record shows PHP warning (nxpthx)
2010-11-30  817bbaa                  Fixed bug #11124: Stages should use suggest wizard for persons (ohader)
2010-11-30  156e480                  FYI: Added Styling classes for Berit (nxpthx)
2010-11-30  4623890                  fixed bug #10291: change action icons (nxpthx)
2010-11-30  c3c4f66                  followUp to 7050: Missed to include the actual change (nxpthx)
2010-11-30  9ae407e                  Bug #11152 Calls about this-> in static context in worksapces lib (nxpthx)
2010-11-30  27a7c56                  Forge 7050: Remove UID from WSP Dropdown (nxpthx)
2010-11-29  a13d9c5                  #11131: Usability: labels improvements (sonne)
2010-11-29  31598e1                  Fixed bug: #11006: Error when using old-style workspace (tolleiv)
2010-11-29  b6714b1                  Fixed bug: #10831: New preview window shows wrong behavior for new page in LIVE WS (tolleiv)
2010-11-29  d4ed292                  Cleanup: Fixed ChangeLog (ohader)
2010-11-28  98ef063                  #5923: Notify per email if groups are selected instead of single users (Sonja Scholz)
2010-11-28  c269be8                  #5923: Notify per email if groups are selected instead of single users - added field to tca to make it possible to configure the notification send process (sonne)
2010-11-28  794d43d                  #11116: Add some CSS classes for detailView, moved stage information in separate div (sonne)
2010-11-28  363b6f4                  #11116: Add some CSS classes for detailView (sonne)
2010-11-27  b2b345e                  [+BUGFIX] Extbase (Configuration): Slightly tweaked AbstractConfigurationManager [+TASK] Extbase (Tests): Added unit tests for AbstractConfigurationManager (Bastian Waidelich)
2010-11-27  d5fa3ee                  Imported version system extension from core repository revision 9658 (Sonja Scholz)
2010-11-27  96395bc                  [+TASK] Extbase (Tests): Renamed test files from "*_testcase.php" to "*Test.php" (Bastian Waidelich)
2010-11-27  ad9cba3                  [+TASK] Extbase (Tests): Moving all Tests in "Unit" directory (2/2) (Bastian Waidelich)
2010-11-27  aa22d82                  [+TASK] Extbase (Tests): Moving all Tests in "Unit" directory. (Bastian Waidelich)
2010-11-27  c14e2ce                  [+BUGFIX] Fluid (ViewHelpers/Widget): widget.link and widget.uri no create relative URLs (Bastian Waidelich)
2010-11-27  ceb3880                  [+FEATURE] Fluid (ViewHelpers): Add render mode to FlashMessage ViewHelper Since r3062 Extbase uses the t3lib_FlashMessageQueue to store flashmessages. Now you can output them including title and severity, making it possible to render flashmessages just like the ones from the core in BE mode. To keep backwards compatibility, the default rendering still outputs only the message bodies in an unordered list. Set the renderMode argument to "div" in order to display the new style: <f:flashMessages renderMode="div" /> (Bastian Waidelich)
2010-11-27  d504417                  [+FEATURE] Extbase (MVC): add possibility to output FlashMessageQueue (Bastian Waidelich)
2010-11-24  90fa087                  [+TASK] Extbase (Persistence): counting query results does not work with limit constraints (Bastian Waidelich)
2010-11-24  8a4a2a8                  [+TASK] Extbase (Persistence): findOneBy*() methods should return NULL if no item was found (Bastian Waidelich)
2010-11-24  d251ca1                  [+TASK] Extbase (Core): Slightly improved error handling in bootstrap (Bastian Waidelich)
2010-11-24  46dc86a                  [+BUGFIX] Extbase (MVC): disable HMAC check for BE forms (Bastian Waidelich)
2010-11-22  de840d2                  Fixed bug #11033: DB error in query after publish to Live action (Oliver Hader)
2010-11-22  8ca4294                  Cleanup: Fixed PHPdoc comments (Oliver Hader)
2010-11-22  b3f2fbe                  Fixed bug: #10988: getBrokenUrl returns wrong url (Thanks to Johannes Feustel) (Tolleiv Nietsch)
2010-11-20  e2ec2ed                  Remove unused README file (Christian Kuhn)
2010-11-20  2f0930b  #10998          Rename and move link classes and processing class (Christian Kuhn)
2010-11-19  4724519                  [-TASK] Fluid: Removed all @scope annotations as they are not used in v4 (Bastian Waidelich)
2010-11-19  9d1d9fd                  [~TASK] Extbase (Utility): Changed Tx_Extbase_Utility_TypoScript:convertPlainArrayToTypoScriptArray to self::convertPlainArrayToTypoScriptArray. Resolves #10538. (Nikolas Hagelstein)
2010-11-19  de2c8ee                  [+TASK] Fluid (View): Added additional check for deprecated lower case template filenames that works on case insensitive file systems (Windows) too. Watch your deprecation log in typo3conf and fix your template filenames if they're still lower case. (Bastian Waidelich)
2010-11-18  a821a5d                  [+BUGFIX] Extbase (MVC): UriBuilder: use current plugin if no pluginName has been specified (Bastian Waidelich)
2010-11-18  03f60ca                  Fixed bug #16392: Install tool cannot compare "ENGINE" of MySQL Tables when DBAL is active (Xavier Perseguers)
2010-11-18  f3a3d6a                  [+BUGFIX]: explicitly cast offset to integer to avoid exceptions in paginate view helper (Bastian Waidelich)
2010-11-17  bc751b2                  Fixed bug #16444: DBAL installs itself automatically whenever the install tool is called (Xavier Perseguers)
2010-11-17  51d92f3                  Raised version to 4.5.0beta1b (Tolleiv Nietsch)
2010-11-17  e1dd025                  Fixed issue: #10916 workspace preview module raises error in conjunction with the newest extbase version (Tolleiv Nietsch)
2010-11-17  84a6c71  #10912          Rename and move task to classes/tasks and change locallang namespace (Christian Kuhn)
2010-11-17  54e668c                  Raised version to 4.5.0beta1a (Oliver Hader)
2010-11-17  16fdbd5                  Cleanup: Fixed ChangeLog (Oliver Hader)
2010-11-17  239f79e  #10900          Regression: Fatal error in class.tx_linkvalidator_modfunc1.php (Christian Kuhn)
2010-11-17  34832e3                  Fixed bug: #10896 php-warnings after merge into Core - missing argument (Tolleiv Nietsch)
2010-11-17  30fb439                  Fixed bug: #10896 php-warnings after merge into Core - missing argument (Tolleiv Nietsch)
2010-11-17  e53ba01                  * Updated version to 1.3.0beta1a * Updated ChangeLog (Bastian Waidelich)
2010-11-17  2b10c8a                  * Updated version to 1.3.0beta1a * Updated ChangeLog (Bastian Waidelich)
2010-11-17  6eea8bd                  FYI RFC: Forge#10894: Workspaces Extbase Controller has to be adapted according to breaking changes in Extbase 1.3.beta1 (Steffen Ritter)
2010-11-17  764d896                  Tagging version 1.0.0 (Christian Kuhn)
2010-11-17  a239303  #10892          Basic cleanup throughout the extension (Christian Kuhn)
2010-11-17  ef9d169  #10891          Fix deprecation warning "call by reference" in modfunc1 (Christian Kuhn)
2010-11-17  2594025  #10820          Error and warning in scheduler task (Christian Kuhn)
2010-11-17  b5b453c  #10424          Add ext:info as dependency in ext_emconf (Christian Kuhn)
2010-11-17  629b47b                  Fix Changelog to reflect core Changelog structure (Christian Kuhn)
2010-11-17  4c2388a                  [+FEATURE] Fluid (ViewHelpers): the subject argument of the count ViewHelper is now optional so you can use it like {objects -> f:count()} [+BUGFIX] Fluid (ViewHelpers): Fixed inline documentation of widget.autocomplete ViewHelper. This fixes #10882 [+TASK] Fluid (ViewHelpers): Added some more inline documentation for cObject, widget.paginate, widget.autocomplete & count ViewHelpers (Bastian Waidelich)
2010-11-17  68ac9ca                  Raised version to 4.5.0beta1 (Oliver Hader)
2010-11-17  58479da                  Cleanup: Fixed ext_emconf.php (Oliver Hader)
2010-11-16  c989451                  [+BUGFIX] Fluid (ViewHelpers): replaced two occurrences of Tx_Extbase_Dispatcher::*() by using the injected ConfigurationManager [+TASK] Fluid (ViewHelpers): uri.image now works in BE mode too (Bastian Waidelich)
2010-11-16  c15b80b                  [+TASK] Extbase: Re-implement support for BE modules (Bastian Waidelich)
2010-11-16  4da3d0e                  Fixed issue: #10817 DAU WS-Module warning (Tolleiv Nietsch)
2010-11-16  8c941c5                  Fixed bug: #10819 viewOnClick causes error if frontendpreview is disabled (Tolleiv Nietsch)
2010-11-16  247491c                  Fixed bug: #10778 Consider http://bugs.typo3.org/view.php?id=9508 when implementing preview link in new module (Tolleiv Nietsch)
2010-11-16  da840e1                  [+BUGFIX]: Extbase (Persistence): Fixed typo from previous commit (Bastian Waidelich)
2010-11-16  e912903  #10850          [+BUGFIX] Extbase (Persistence): DataMapper cannot deal with QueryResults (Bastian Waidelich)
2010-11-16  32a34fc                  [+BUGFIX] Fluid (ViewHelpers): Adjustment to skinning api change (Sebastian Kurfürst)
2010-11-16  6919c16                  * Raised version number to 1.3.0beta1 (Sebastian Kurfürst)
2010-11-16  c03c409                  * Updated version to 1.3.0beta1 (Sebastian Kurfürst)
2010-11-16  88b8699                  * Updated ChangeLog (Sebastian Kurfürst)
2010-11-16  f70ea77                  [+BUGFIX] Extbase (Object): The Object Container now properly uses the TYPO3 caching framework. By default the DI cache is now stored in database, just like the reflection cache (Bastian Waidelich)
2010-11-16  4f857a2                  [!!!][TASK] Fluid (ViewHelpers): Rename widget link ViewHelpers (Sebastian Kurfürst)
2010-11-16  fc3a55c                  * Updated ChangeLog (Sebastian Kurfürst)
2010-11-16  cb0dffa                  [+BUGFIX]: Extbase (Utility): Replaced one last occurrence of TYPE_PLUGIN by PLUGIN_TYPE_PLUGIN in Tx_Extbase_Utility_Extension (Bastian Waidelich)
2010-11-16  6dbc826                  [~TASK] Extbase (Utility): renamed Tx_Extbase_Utility_Extension::TYPE_CONTENT_ELEMENT to Tx_Extbase_Utility_Extension::PLUGIN_TYPE_CONTENT_ELEMENT and Tx_Extbase_Utility_Extension::TYPE_PLUGIN to Tx_Extbase_Utility_Extension::PLUGIN_TYPE_PLUGIN (Bastian Waidelich)
2010-11-16  175c0cc                  * Updated ChangeLog (Bastian Waidelich)
2010-11-16  bced813                  [+FEATURE] Extbase (Persistence): Default orderings & QuerySettings (Bastian Waidelich)
2010-11-16  0cc70c8                  [~TASK] Reverted previous "[~TASK] Extbase: Reimplemented BE module support. Still needs cleanup." (Jochen Rau)
2010-11-16  35c2c3b                  [~TASK] Extbase: Reimplemented BE module support. Still needs cleanup. (Jochen Rau)
2010-11-16  d3f672f                  [~BUGFIX] Extbase: Fixed the way a module gets called. (Jochen Rau)
2010-11-16  6c3f062                  * Updated ChangeLog (Sebastian Kurfürst)
2010-11-16  a0f87c0                  Updated ChangeLog (Sebastian Kurfürst)
2010-11-16  ea3dc70                  * Updated ChangeLog (Sebastian Kurfürst)
2010-11-16  6416bb5                  [+FEATURE] Fluid (ViewHelpers/Widget): Slightly improved paginate widget: The link to the first page now skips the currentPage argument resulting in nicer URLs and less cHashes [+FEATURE] Fluid (ViewHelpers): excluding obsolete widget arguments & cHash from widget links if they're not explicitly set (Bastian Waidelich)
2010-11-15  02aa33e  #10666          [+FEATURE] Extbase (Utility): Allow plugins to be registered as new content element (Bastian Waidelich)
2010-11-15  b0d3831                  [+BUGFIX] Extbase (Utility): Added condition to Tx_Extbase_Utility_Extension::getTargetPidByPlugin() in order to only select tt_content entries that are of CType "list". Thanks to Marc Bastian Heinrichs (Bastian Waidelich)
2010-11-15  7ced9a0                  [!!!][~TASK] Extbase (Configuration): Major rework of the ConfigurationManager (Bastian Waidelich)
2010-11-15  f25e054                  [+BUGFIX] Fluid (Core/Widget): AjaxWidgetContextHolder now uses a unique id for the Ajax WidgetContext. This makes sure, that the ajax response gets the right context, even if you open multiple browser windows in the same session [+BUGFIX] Fluid (Core): The Fluid Widget Bootstrap now initializes the object manager in order to respect "config.tx_extbase.object" configuration.. TODO: this should be somehow refactored to avoid code duplication [+BUGFIX] Fluid: Reduced the typeNum for the fluidAjaxWidgetResponse page. Apparently 7076857368 was too large ;) TODO: the typeNum should be somehow configurable [~TASK] Fluid (ViewHelpers/Widget): removed $GLOBALS['TSFE']->additionalHeaderData call from AutocompleteViewHelper as this is not configurable like this. Moved the jQuery includes to Configuration/TypoScript/setup.txt which can be included in your main TS template (Bastian Waidelich)
2010-11-15  d6ee3dc                  [~TAKS] Extbase (MVC): FrontendRequestHandler now retrieves the current cObject through the ConfigurationManager [+BUGFIX] Extbase (MVC): FrontendRequestHandler was refering to $this->frameworkConfiguration which wasn't available [-API] Extbase (MVC): marked Tx_Extbase_MVC_Web_Request::getContentObjectData() deprecated as should retrieve the current cObject through the ConfigurationManager [+TASK] Extbase (MVC): modified the Tx_Extbase_MVC_Web_RequestBuilder so that it's possible to change the action only by specifying the action parameter. Before you had to specify the controller as well, even if it was the default controller (Bastian Waidelich)
2010-11-15  ff725ef                  [+BUGFIX] Extbase (MVC): Flashmessages now share a scope throughout the extension. Before, every plugin had it's own scope leading to the messages only being output when entering the same plugin again (e.g. redirecting from one plugin to another would never display the messages) [~TASK] Extbase (Core): The Flashmessages now get persisted in the Bootstrap in resetSingletons() [-TASK] Extbase (Core): Removed some commented lines from Bootstrap (Bastian Waidelich)
2010-11-15  3a066e8  #10559          [FEATURE] Extbase (Object): Make DI Class Mapping configurable through TS (Sebastian Kurfürst)
2010-11-14  58a1802                  [-TASK] Extbase (Utility): Removed two obsolete checks for $GLOBALS['TSFE']->tmpl->setup['tt_content.']['list.']['20.'] in Tx_Extbase_Utility_Extension [~TASK] Extbase: added two doc comments that were missing (Bastian Waidelich)
2010-11-14  3f0d0e5                  [+BUGFIX] Fluid (ViewHelpers): Fixed Widget URI generation in widget.link/widget.uri ViewHelpers/Link/WidgetViewHelpers [~TASK] Fluid (ViewHelpers/Widget): Tweaked PaginateViewHelper: Minor refactoring of controller & template (Bastian Waidelich)
2010-11-14  77b4c1d                  [+BUGFIX] Extbase (Persistence): Extbase still used PHPs current() on some QueryResults in Persistence/Repository. Replaced these by calls to the getFirst() method of the QueryResult [+TASK] Extbase (Persistence): added a private field to the QueryResult to make the above case easier to debug: When calling current() on an Iterator, PHP returns the first field of that object instead of calling the current() method of the Iterator interface.. With our somewhat pragmatic approach you'll see the warning if you debug the results of current($query->execute()) [+BUGFIX] Extbase (Persistence): Replaced two occurrences of Query->count() by Query->execute()->count() to avoid deprecated warnings in the Core (Bastian Waidelich)
2010-11-14  3386f87                  [+BUGFIX] Extbase (MVC): view configuration (templateRootPath, ...) has to be set before View::canRender() is called (Bastian Waidelich)
2010-11-14  aa4606d                  [-TASK] Fluid (Compatibility): Forgot to remove obsolete Tx_Fluid_Compatibility_ObjectManager in previous commit (Bastian Waidelich)
2010-11-14  5c8c4d6                  [+FEATURE] Fluid (Core/Widget): Added Tx_Fluid_Core_Widget_Bootstrap that is used to dispatch Ajax requests (see ext_typoscript_setup.txt). [~TASK] Fluid (Compatibility): Removed Tx_Fluid_Compatibility_ObjectManager and replaced instances by Tx_Extbase_Object_ObjectManagerInterface instances [~TASK] Fluid (Core/Widget): AbstractWidgetController has to be a singleton so it can be injected in the WidgetViewHelper.. To be discussed! [+TASK] Fluid (Core/Widget): AjaxWidgetContextHolder is now correctly stored in the BE/FE Users session if the ajaxWidget of the corresponding Widget is TRUE. [+TASK] Fluid (Core/Widget): The WidgetContext now contains a reference to the parent extension & plugin name. That's needed for the widgetAjaxResponse. [+BUGFIX] Fluid (Core/Widget): WidgetRequestBuilder now correctly interprets GET parameters and dispatches Ajax requests [+BUGFIX] Fluid (ViewHelpers): Modified ViewHelpers cObject, format.crop, format.html, image, uri.image so that they use dependency injection in order to retrieve the current cObject instance from the configurationManager [+BUGFIX] Fluid (ViewHelpers): Fixed form ViewHelper to respect configured pluginNamespace in field name prefixes [+BUGFIX] Fluid (ViewHelpers): link.widget/uri.widget ViewHelpers now create correct URIs [+BUGFIX] Fluid (ViewHelpers): replaced @inject annotation by injectController method in AutocompleteViewHelper. (Bastian Waidelich)
2010-11-14  2fd0675                  Changed back version to 1.2-dev (Xavier Perseguers)
2010-11-14  6da27af                  Updated dependency (Xavier Perseguers)
2010-11-14  08d97b0                  Updated checksums (Xavier Perseguers)
2010-11-14  a732cb5                  Set version to 1.2.0beta1 (Xavier Perseguers)
2010-11-14  9cd21c6                  Added feature #15755: Allow DBAL to interact with EM to configure remapping (Xavier Perseguers)
2010-11-13  138f3c4                  [!!!][+TASK] Extbase (MVC): The UriBuilder now uses the current cObject instead of creating a new instance in the constructor. This is a breaking change if you instantiated the UriBuilder in your code. Please use the Extbase ObjectManager or inject the ConfigurationManager manually. [+BUGFIX] Extbase (Reflection): ReflectionService now uses a cacheIdentifier per Extension. Besides the Bootstrap now resets the ReflectionService after dispatching a request. This resolves #10146 [+TASK] Extbase (Configuration): The ConfigurationManager now holds the current cObject. You can retrieve it via ConfigurationManagerInterface::getContentObject() [+BUGFIX] Extbase (Configuration): When loading configuration of other plugins, the context specific configuration (e.g. flexform settings) are no longer merged with the frameworkConfiguration [+BUGFIX] Extbase (MVC): Controllers are no Singletons by default. If a controller contains stateful fields (e.g. $this->settings) this breaks multiple plugins on one page [+TASK] Extbase (Persistence): QuerySettings now also store the storage page id(s). This is required for the upcoming Ajax Widgets (Bastian Waidelich)
2010-11-12  1b6f3f4                  Fixed issue: #10763: The mailtemplate setting should have a default setting (Tolleiv Nietsch)
2010-11-12  3b0573c                  CGL adjustments / non functional changes (Tolleiv Nietsch)
2010-11-12  c9cbe57                  CGL adjustments / non functional changes (Tolleiv Nietsch)
2010-11-12  1ea9184                  Fixed issue: #10598 - "Check links" button must be hideable with TS - renamed noUpdateButton to showUpdateButton, manual updated (Tolleiv Nietsch)
2010-11-12  411f367                  Updated ChangeLog to reflect Michaels changes (Tolleiv Nietsch)
2010-11-12  1833eb7                  Cleanup: Fixed undefined variables and added PHPdoc comments (Oliver Hader)
2010-11-12  318751d                  Cleanup: Remover superfluous quotes (Oliver Hader)
2010-11-12  7430a03                  Cleanup: Defined fixed width of ExtJS components (Oliver Hader)
2010-11-12  e7dc901                  Cleanup: Added language label for swap workspace column (Oliver Hader)
2010-11-12  c860b10                  Cleanup: Fixed formatting and configuration in the ExtJS part (Oliver Hader)
2010-11-12  ea15f52                  Cleanup: Defined svn:eol-style property (Oliver Hader)
2010-11-12  af56dd5                  Fixed bug: Missing fields in SQL definition reviewers, stagechg_notification (Oliver Hader)
2010-11-12  82e574a                  Fixed bug: Typing error and superfluous labels in locallang file (Oliver Hader)
2010-11-12  f0001a2                  Cleanup: Added ChangeLog (Oliver Hader)
2010-11-12  0d44fe3                  Feature #10740: news field added in the table tx_linkvalidator_links, 2 new index in locallang.xml for the header of the new column and the format of the string in the column, news column added in tx_linkvalidator_modfunc1 and time() saved in the new field added to the table tx_linkvalidator_links (michael.miousse)
2010-11-12  f98af29                  Feature #10737:  news mod tsconfig added to remove the check link button. mod.linkvalidator.noUpdateButton = 0 (michael.miousse)
2010-11-12  4d2e423                  Feature #10739 : Button added in tx_linkvalidator_modfunc1, news index in the locallang file, new marquer in the template mod_template.html and new css (michael.miousse)
2010-11-12  49448f4                  Feature #10736: automatic refresh on changing selection of depth level has been removed (michael.miousse)
2010-11-11  d3387f0                  Cleanup: Fixed ext_emconf.php (Oliver Hader)
2010-11-11  96c1bb2                  Cleanup: Fixed copyright notices (Oliver Hader)
2010-11-11  aca187e                  Cleanup: Fixed formatting issues (Oliver Hader)
2010-11-11  461bd7a                  Cleanup: Added PHPdoc comments and some formatting changes (Oliver Hader)
2010-11-11  19462ec                  Imported workspaces system extension from GitHub repository after commit f1cd6371d96faa8a8d35 (Oliver Hader)
2010-11-11  09e85a9                  Cleaned workspaces system extension (Oliver Hader)
2010-11-11  fa11f88                  Imported workspaces system extension from GitHub repository after commit f1cd6371d96faa8a8d35 (Oliver Hader)
2010-11-11  ab43cfc                  Created structure for workspaces and version system extension (Oliver Hader)
2010-11-11  3f59ea7                  Created structure for workspaces and version system extension (Oliver Hader)
2010-11-10  2c9dfa0                  [+BUGFIX] Extbase: fixed php warning in Tx_Extbase_Persistence_LazyLoadingProxy when loading the real instance would return NULL. Resolves #10683 (Marc Bastian Heinrichs)
2010-11-10  885cf0d                  [+BUGFIX] Extbase: use 3rd parameter = TRUE of t3lib_div::trimExplode to split switchableControllerActionParts from flexform. Thanks to Georg Ringer. Resolves #10688 (Marc Bastian Heinrichs)
2010-11-10  d63983f                  [+TASK] Extbase: Replaced "public static" by "static public" in various places to be CGL conform [+TASK] Extbase: Marked Utitlity_Extension camelCase/underscore helper functions deprecated [+TASK] Extbase: Removed obsolete FIXME comments, whitespace fixes (Bastian Waidelich)
2010-11-10  330c6c7                  [!!!] Extbase: Reintegrating branch "dispatcher" to trunk. Resolves: #10605 (Bastian Waidelich)
2010-11-09  24f682e                  Bug #10643: modification of the line 166, add of is_array check before doing a array_search (michael.miousse)
2010-11-07  d5cf84c                  [!!!][+BUGFIX] Extbase: fixed typo in getter and setter of Tx_Extbase_Domain_Model_FrontendUser::lastlogin . Thanks to Christian Schwan. Resolves #9345 (Marc Bastian Heinrichs)
2010-11-05  df8a85a                  [+FEATURE] First step of "Fluid widget" backport (Bastian Waidelich)
2010-11-03  e41cef1                  Fixed issue: #10598 - extend tx_linkvalidator_checkbase API a bit (Tolleiv Nietsch)
2010-11-02  4aff372                  [!!!][+BUGFIX] Fluid (View): Adjust fluid to recent resolveView() backport (Bastian Waidelich)
2010-11-02  21a0771  #8990           [+FEATURE] Extbase (MVC): Backport possibility to change the view object class name more easily (Bastian Waidelich)
2010-11-02  35ce434  #10566          [+BUGFIX] Extbase: Some smaller tweaks and fixes [!!!][+FEATURE] Extbase (Persistence): Backport QueryResult from FLOW3 (Bastian Waidelich)
2010-11-02  3a19439                  [+BUGFIX] Extbase (Object): Minor fix in ObjectManager to make it compatible with PHP 5.2.x (Bastian Waidelich)
2010-11-02  902aa6b                  [+BUGFIX] Fluid: Adjust Fluid to Dependency Injection changes (Sebastian Kurfürst)
2010-11-02  be7751b  #10585,#10564   [+BUGFIX] Extbase (Object): Refactor Object Manager (Sebastian Kurfürst)
2010-11-02  b4f6706                  * Cleaned up Persistence Backend (Sebastian Kurfürst)
2010-11-02  63bf028                  * Cleaned up QOM Factory (Sebastian Kurfürst)
2010-11-02  8f4d14b  #10562,#10585   [+BUGFIX] Extbase (MVC): Fix arguments object (Sebastian Kurfürst)
2010-11-01  a824e43                  [+FEATURE] Extbase (DI): merging DI into trunk. (resolves #10558) (Felix Oertel)
2010-11-01  79e7ce3  #10570          [+TASK] Extbase: Undefined identifier in Tx_Extbase_Persistence_Storage_Typo3DbBackend::removeRow (Xavier Perseguers)
2010-11-01  f2dc4ec  #8959           [+TASK] Extbase: $query->contains generate incomplete SQL (Xavier Perseguers)
2010-10-30  a2ce038                  Fixed bug #16179: 1-2-3 install tool wizard does not let DBAL load early enough (Xavier Perseguers)
2010-10-30  c78d208                  Fixed bug #15941: Log deprecated functions (and adjust comments) (Xavier Perseguers)
2010-10-30  64a346b                  Fixed bug #15960: Misleading error message in ux_t3lib_DB->cacheFieldInfo() (thanks to Martin Kuster) (Xavier Perseguers)
2010-10-30  40fa12a                  Fixed bug #16120: UPDATE queries fails for ['TYPO3_DB']->sql_query (thanks to Alan Oguzhan) (Xavier Perseguers)
2010-10-30  df99e0d                  Fixed case (Xavier Perseguers)
2010-10-29  745fed9                  * Updated version to 1.3.0alpha3. (Sebastian Kurfürst)
2010-10-26  d172402                  [+TASK] Fluid (ViewHelpers): Minor tweak in CObject ViewHelper (Bastian Waidelich)
2010-10-26  5362c07                  [+FEATURE] Fluid (View): Fluid Standalone view (Bastian Waidelich)
2010-10-20  48450e3                  initial upload (Steffen Kamper)
2010-10-20  2c95ea0                  Initializing project linkvalidator (4/4) (WWW)
2010-10-19  e7790e8                  [+BUGFIX] Extbase (Persistence): Removed method createQuery from the QOMFactory. It is neither part of the API nor is it used by Extbase. (Jochen Rau)
2010-10-19  a70059e                  Backported character set update for all TYPO3 core files (Xavier Perseguers)
2010-10-19  8f80939                  Set back version to 1.2-dev (Xavier Perseguers)
2010-10-19  d8abd60                  Updated checksums (Xavier Perseguers)
2010-10-19  f24037d                  Set version to 1.2.0alpha3 (Xavier Perseguers)
2010-10-18  73e2a92  #5887           [+BUGFIX] Extbase (Property): Minor fix in PHP doc comment (Bastian Waidelich)
2010-10-14  cd224a6                  [+BUGFIX] Fluid (ViewHelpers): ImageViewHelper supports additionalAttributes argument (Bastian Waidelich)
2010-09-28  e083b31                  Added feature #15075: [Install] make a pre-check for required php-extensions (Thanks to Jigal van Hemert) (Xavier Perseguers)
2010-09-27  30a99a0                  [~CONFIGURATION] Extbase (MVC): Changed default value for automatic target page determination (Jochen Rau)
2010-09-26  f0f23fa                  [TASK] Extbase: moved Release Notes to ChangeLog.txt. (Sebastian Kurfürst)
2010-09-23  2ab9cfc  #9121           [+FEATURE] Extbase (MVC): Automatic target page determination (Bastian Waidelich)
2010-09-23  8b133f1  #8365           [+FEATURE] Extbase (MVC): Configurable plugin namespace (Bastian Waidelich)
2010-09-22  520e166                  * Fixed typo in ChangeLog. (Sebastian Kurfürst)
2010-09-22  92c243d                  * Raised version number to 1.3.0alpha2 and updated ChangeLog. (Sebastian Kurfürst)
2010-09-22  3fdc54f                  * Raised version number to 1.3.0alpha2 and updated ChangeLog. (Sebastian Kurfürst)
2010-09-22  85a0b64                  [+BUGFIX] Fluid (ViewHelpers): RenderViewHelper works with TYPO3 (Sebastian Kurfürst)
2010-09-22  dc77ba6                  [+FEATURE] Fluid (Core): {settings} is available in Partials (Sebastian Kurfürst)
2010-09-22  78c7878                  [-API] Fluid (Core): Remove getTemplateParser() method. (Sebastian Kurfürst)
2010-09-22  6ed71af  #9515           [+BUGFIX] Fluid (ViewHelpers): Fix bug in Form ViewHelper (Sebastian Kurfürst)
2010-09-22  5ff9e6e                  * Documentation Cleanup (Sebastian Kurfürst)
2010-09-21  3d4556f                  Do not die anymore when memcached cannot be reached to store a query (Xavier Perseguers)
2010-09-21  0274096                  Set back version to 1.2-dev (Xavier Perseguers)
2010-09-21  1972154                  Updated checksums (Xavier Perseguers)
2010-09-21  a3c2dc8                  Set version to 1.2.0alpha2 (Xavier Perseguers)
2010-09-20  dfdcdf5                  Merged branch QueryCache to trunk (Xavier Perseguers)
2010-09-20  f9a55bd                  [+FEATURE] Fluid (ViewHelpers): Backported ifAuthenticated & ifHasRole security ViewHelpers (Bastian Waidelich)
2010-09-20  6c05db5                  [!!!][+BUGFIX] Extbase: Fix Extbase Caching Bug (thanks to Bastian Waidelich) (Jochen Rau)
2010-09-20  b65af84                  Fixed bug #15751: dbal does not parse setDBinit correctly (thanks to Tamer Erdogan) (Xavier Perseguers)
2010-09-20  3a591bd                  [-TASK] Extbase (MVC): removed fallback to current page in AbstractController::redirect() as that's already done within the UriBuilder if $targetPageUid is NULL (Bastian Waidelich)
2010-08-30  ed4a8ec                  Fixed bug #15582: Call to deprecated function template::middle() (Xavier Perseguers)
2010-08-26  1fbaa5e                  [TASK] Fluid (Core): Regular Expression performance improvements (Sebastian Kurfürst)
2010-08-26  cf264e4                  [TASK] Fluid (Core): Formatted Regular Expressions more nicely (Sebastian Kurfürst)
2010-08-26  1285d50                  [+BUGFIX] Fluid (Core): Boolean expressions can now contain negative numbers. Resolves #9434. (Sebastian Kurfürst)
2010-08-24  cf99420                  * Added ChangeLog * Raised Version to 1.3.0alpha1 (Sebastian Kurfürst)
2010-08-24  cfea0a2                  * Fixed version number. Sorry! (Sebastian Kurfürst)
2010-08-24  7d7eff0                  * Added ChangeLog * Increased Version to 1.3.0-alpha1 (Sebastian Kurfürst)
2010-08-23  aa17abd                  Changed back version to 1.2-dev (Xavier Perseguers)
2010-08-23  101dbeb                  Updated checksums (Xavier Perseguers)
2010-08-23  9c1454e                  Fixed bug #15535: Error: No pages are found on the rootlevel! in Frontend when using Oracle (Xavier Perseguers)
2010-08-23  2fb6ada                  Updated ADOdb version dependency (Xavier Perseguers)
2010-08-23  7e18c1c                  Changed back version to 1.2-dev (Xavier Perseguers)
2010-08-23  21a5dc2                  Updated checksums (Xavier Perseguers)
2010-08-23  9030d1e                  Set version to 1.2.0alpha1 (Xavier Perseguers)
2010-08-19  aa9304c                  Added unit test for feature #15457 (Xavier Perseguers)
2010-08-19  a9a3fa8                  Follow-up of revision 36983: Fixed query precompilation (Xavier Perseguers)
2010-08-19  6a0b2fc                  Added feature #15457: Add support for prepared queries (Xavier Perseguers)
2010-08-14  7448420                  Code cleanup with useless blank spaces at end of line (Xavier Perseguers)
2010-08-14  bb07624                  Code cleanup with useless blank spaces at end of line (Xavier Perseguers)
2010-08-08  6697355                  Added unit test for bug #15253 (Xavier Perseguers)
2010-08-08  e4d5201                  Fixed bug #12535: DAM-related: Element browser crashes as where-clause cannot be parsed (Xavier Perseguers)
2010-08-06  d5c9f0f                  [~TASK] Fluid: Changed version of Extbase dependency from '1.2.0-1.2.999' to '1.3.0.devel' to reflect the version scheme defined in the wiki. Relates to #9152. (Bastian Waidelich)
2010-08-06  329f715                  [~TASK] Extbase: Raised version number to 1.3.0-devel to reflect the version scheme defined in the wiki. Resolves #9152. Thanks Xavier for pointing to it. (Franz Koch)
2010-08-04  8161572                  [+BUGFIX] Fluid (View): AbstractTemplateView now correctly implements F3\FLOW3\MVC\View\ViewInterface and assign() and assignMultiple() will return an instance of $this to allow chaining again like $this->view->assign()->assign()... This fixes #9090 (backported from Fluid package r4931) (Bastian Waidelich)
2010-08-04  3b0fef1                  [+TASK] Extbase (MVC): cleaned up View implementations and added assign() and assignMultiple() methods to ViewInterface. This resolves #9137 (Bastian Waidelich)
2010-07-27  ed46a63                  [+BUGFIX] Extbase: Fixed a small typo in extension description. (Jochen Rau)
2010-07-27  1eee4f6                  Fixed bug #15160: Queries should only be parsed once (Xavier Perseguers)
2010-07-26  ac250c4                  [~TASK] Fluid (Tests): committing modified AbstractFormFieldViewHelperTest that I forgot to add in previous commit [+TASK] Fluid (ViewHelpers): Small performance improvement in ForViewHelper: Objects will only be converted to arrays if reverse is TRUE. Relates to #8732 (backported from Fluid package r4907) [+TASK] Fluid (View): Added getter for template parser to AbstractTemplateView. This is useful if you want to use the parser from within your custom ViewHelper (creating a new instance would skip interceptor registration) (backported from Fluid package r4907) (Bastian Waidelich)
2010-07-26  72d2d6e                  [~TASK] Fluid (ViewHelpers): Added argument "objectName" to form ViewHelper. This is now the recommended way to specify the name of the object that is bound to a form! If objectName is not specified, the name attribute will be used as object name for backwards-compatibility reasons. This resolves #6521 (backported from Fluid package r4905) (Bastian Waidelich)
2010-07-26  74285d6                  * Raised Fluid version in trunk to 1.3.0-devel (Sebastian Kurfürst)
2010-07-26  489e894                  [+BUGFIX] Fluid (ViewHelpers): Fixed a possible security issue where the content inside the Fluid a is not properly HTML escaped. (Sebastian Kurfürst)
2010-07-26  50071e3                  [+FEATURE] Fluid (ViewHelpers): Added iteration information to for ViewHelper. Thanks to all the contributors for your input and patches! This resolves #6149 (backported from Fluid package r4904) (Bastian Waidelich)
2010-07-22  ef7d355                  [~TASK] Fluid (ViewHelpers): Fresh backport from Fluid package r4899 (Mostly fixed typos. slightly improved count ViewHelper) (Bastian Waidelich)
2010-07-22  308ba17                  [~TASK] Fluid (ViewHelpers): Replaced custom convertToArray() method by PHPs iterator_to_array() function in cycle, for and groupedFor ViewHelpers. This resolves #8732. (backport from Fluid package r4898) (Bastian Waidelich)
2010-07-21  de5a442                  [+BUGFIX] Extbase (Persistence): DataMapper now mapps NULL into a property on non-existing related object instead of FALSE. Resolves #8973. (Felix Oertel)
2010-07-21  77555c9                  [+BUGFIX] Extbase (Reflection): getParentClass() in Tx_Extbase_Reflection_ClassReflection no longer causes a fatal error if no parent class exists. Resolves #8800. (Jochen Rau)
2010-07-20  0cf9b6d                  [+BUGFIX] Extbase (Utility): Improved performance of TypoScript::convertTypoScriptArrayToPlainArray. Thanks to Timo Schmidt. Resolves #8857. (Jochen Rau)
2010-07-20  b6789bc                  [~TASK] Extbase: Changed state to 'stable'. Resolves #8768. (Jochen Rau)
2010-07-20  6fe5536                  [+BUGFIX] Extbase: Fixed EOL and encoding of several files. Resolves #8876. (Jochen Rau)
2010-07-19  c987bb6                  [+BUGFIX] Fluid (ViewHelpers): Now, it is possible to "unselect" checkboxes and multiselect fields in editing forms. This fixes #5638. This fixes #8535. This fixes #6897 (improved forward-backport from Fluid package r4874) (Bastian Waidelich)
2010-07-19  85ec328                  [+TASK] Fluid (Tests): Backported FormViewHelperTest from Fluid package [+BUGFIX] Fluid (ViewHelpers): FormViewHelper wraps hidden fields with a div tag to create XHTML valid output. This fixes #5512 (backported from Fluid package) (Bastian Waidelich)
2010-07-19  7c4adb4                  [~TASK] Fluid (ViewHelpers): Fixed BE support of the ViewHelpers cObject, format.crop, uri.resource. Relates to #8947 [~TASK] Fluid (ViewHelpers): Added BE support in the ViewHelpers format.html and image. Relates to #8947 (Bastian Waidelich)
2010-07-18  68ae732                  Follow-up of changeset 35742: Enhanced readability (Xavier Perseguers)
2010-07-17  f12a5e5                  Updated PHP documentation (Xavier Perseguers)
2010-07-16  bba24d2                  Removed useless line of code (Xavier Perseguers)
2010-07-16  4f56295                  Follow-up of changeset 35742: Do not remove deprecated methods (yet) (Xavier Perseguers)
2010-07-16  d9c2ed4                  Added unit test for bug #14818: t3lib_db->listQuery() performance (Xavier Perseguers)
2010-07-16  c571705                  Fixed bug #14985: FIND_IN_SET should be used isntead of complicated LIKE where clause (Xavier Perseguers)
2010-07-15  69f1505                  [!!!][+TASK] Fluid (ViewHelpers): The value argument is required again in form.checkbox and form.radio ViewHelpers. This is a breaking change, as the value argument has not been mandatory for a while. But it probably won't break existing templates as omitting the value makes no sense at all. Relates to #8852 (backported from Fluid package r4864) [+FEATURE] Fluid (Core): implemented overrideArgument() method in AbstractViewHelper to be able to override previously registered arguments in subclasses. This resolves #8852 (backported from Fluid package r4864) [+BUGFIX] Fluid (Core): Negative numeric values are properly converted to FALSE when used in boolean ViewHelper arguments. This resolves #8893 (backported from Fluid package r4864) (Bastian Waidelich)
2010-07-15  3a0f5e5                  [+BUGFIX] Fluid (ViewHelpers): Reversed the rendering order of header and childNodes in be.container ViewHelper to enable child nodes to modify the pageRenderer. This resolves #8880 (thanks to Andreas Wolf) (Bastian Waidelich)
2010-07-13  fc3cac5                  [+BUGFIX] Fluid: Removed leading slash from @var annotations that were backported by mistake (Bastian Waidelich)
2010-07-13  2bd9f56                  [+BUGFIX] Fluid: Replaced SplObjectStorage by Tx_Extbase_Persistence_ObjectStorage to be PHP 5.2-compatible (which ships with a broken implementation of SplObjectStorage) [!!!][~TASK] Fluid (Core): Renamed ConditionViewHelper and TagBasedViewHelper to Abstract*ViewHelper as per CGL. (backported from Fluid package r4840). To be backwards-compatible, TagBasedViewHelper.php still exists and will write an entry to TYPO3s deprecation log if used. Please adapt your custom ViewHelpers and inherit from AbstractTagBasedViewHelper instead of TagBasedViewHelper. This resolves #8834 [~TASK] Fluid: Marked vfs unit tests to be skipped, as vfs is not part of v4 (yet) (Bastian Waidelich)
2010-07-13  1d36de6                  [-TASK] Fluid: Removed @package/@subpackage annotations from all Fluid classes. They have already been removed in FLOW3 packages in r2813. (Bastian Waidelich)
2010-07-13  186bdae                  [-TASK] Fluid: Removed @version annotation from all Fluid classes to ease the backporting process. Relates to #8835 (backported from Fluid package) (Bastian Waidelich)
2010-07-13  57b9c68                  [+BUGFIX] Fluid (View): fixed method signature of AbstractTemplateView:getTemplateSource() that was different from the concrete implementation (backported from Fluid package) (Bastian Waidelich)
2010-07-12  ed19fe9                  Fluid in v5 and v4 are now synchronized again! (Sebastian Kurfürst)
2010-07-12  9100dbf                  [+FEATURE] Fluid (ViewHelpers): format.crop ViewHelper now supports all features in Backend mode. Relates to #8648 (Bastian Waidelich)
2010-07-11  8b4eae1                  Fixed bug #15045: Trailing newlines after php closing tag (Xavier Perseguers)
2010-07-05  c136ef4                  [+BUGFIX] Extbase (MVC): Fixed a problem where a non-required action argument throwed Exception if it was not found in the Backend. Thanks to Marc Bastian Heinrichs. Resolves #7277. (Jochen Rau)
2010-07-01  8d9d97a                  [!!!][+BUGFIX] Extbase (Persistence): All methods trying to find an object by uid now ignores the storagePid. This changes the behavior of argument mapping and the way extbase fetches 1:1 relations. Resolves #5631. (Jochen Rau)
2010-07-01  54998f6                  [+BUGFIX] Extbase (Persistence): Fixed a problem where localized objects inside an aggregate are not translated. Resolves #8555. (Jochen Rau)
2010-07-01  d496605                  [~TASK] Extbase: Removed new lines at the end of php files. (Jochen Rau)
2010-06-27  4259ad1                  Synchronized @deprecated annotations with Core (Xavier Perseguers)
2010-06-25  b9520cc                  [+TASK] Fluid: Set dependency to Extbase 1.2.x in ext_emconf.php to avoid confusions when working with different versions (Bastian Waidelich)
2010-06-24  c461321                  [+TASK] Fluid: Backported recent changes from Fluid package:   [+FEATURE] Fluid (ViewHelpers): added "selectAllByDefault" argument to form.select ViewHelper. Resolves #4984   [~TASK] Fluid (Parser): Got rid of the constructor in Parser\Configuration. (Bastian Waidelich)
2010-06-24  06b0d9e                  [+FEATURE] Fluid (ViewHelpers): Added uri.image ViewHelper. This resolves #8233 [+FEATURE] Fluid (ViewHelpers): Added URI options noCache, noCacheHash, section, format, additionalParams, absolute, addQueryString & argumentsToBeExcludedFromQueryString to FormViewHelper. Resolves #8247 [+BUGFIX] Fluid: Removed a leading backslash in ViewHelperBaseTestcase that led to an error with PHP < 5.3 (Bastian Waidelich)
2010-06-22  a8d66da                  Backported changesets 8033, 8036 and 8042 from TYPO3_4-4: Fixed bug #14814 (Xavier Perseguers)
2010-06-22  63e65f9                  Raised Fluid version number to 1.2.0 (Sebastian Kurfürst)
2010-06-22  8f018dc                  [~TASK] Extbase: Raised version number to 1.2.0. (Jochen Rau)
2010-06-22  3921f75                  [~TASK] Extbase: Raised version number to 1.2.0RC2 (Jochen Rau)
2010-06-21  7086a79                  [+BUGFIX] Followup for #6130. SplObjectStorages don't have a method _memorizeCleanState. So better call it in function mapResultToPropertyValue, also in order to fix the initial issue on all places where mapResultToPropertyValue is called (it's 3 times for now). (Franz Koch)
2010-06-21  71d9920                  use existing method to check for lazyLoaded properties instead of repeating the detection code (Franz Koch)
2010-06-21  e3fd8a0                  Some cosmetics and cleanups - fixed doc comment (we no longer have a Tx_Extbase_Persistence_RowInterface) - use foreach instead of a while/list construct (is supposed to be faster) - in ClassLoader require files only once (just in case) (Franz Koch)
2010-06-20  da2a046                  [+TASK[+BUGFIX] Extbase (Persistence): Lazy loading of objects no longer triggers unneeded database update of related objects. Thanks to Franz-Xaver Koch. Resolves #6130.] Extbase (Persistence): Fixed a bug where extbase got into a recursion during persistence. (Jochen Rau)
2010-06-20  31040a2                  [+BUGFIX] Extbase (Persistence): Changes made to a domain object sitting at a "dirty" property get persisted now. Resolves #8244. (Jochen Rau)
2010-06-20  297f2e6                  [+BUGFIX] Extbase (Persistence): Fixed processing of one-to-one relations with intermediate table. Resolves #8362. (Jochen Rau)
2010-06-20  76afa71                  [+BUGFIX] Extbase (Persistence): Follow-up to r2371. Fixed NULL initialization and documentation. Related to #8320. (Jochen Rau)
2010-06-19  1f4e136                  [+BUGFIX] Extbase (Persistence): Fixed a problem where the third argument was mandatory, when calling Query->statement. Resolves #8320. (Jochen Rau)
2010-06-19  0fe5f1b                  Fixed bug #3855: Log number of returned or affected rows (Xavier Perseguers)
2010-06-19  5bbd4b6                  Updated copyright year in manual (Xavier Perseguers)
2010-06-19  7348ba0                  Backported changeset 34566 from DBAL_1-0: Minor cleanup (Xavier Perseguers)
2010-06-18  eee6aa1                  [+BUGFIX] Extbase (MVC): Using TypoScript configuration option "forceAbsoluteUrl" instead of prepending the current BaseUri when creating absolute URIs. This resolves #8260. This relates to #5248. Thanks to Thomas Deinhamer and Benni Mack for your feedback! (Bastian Waidelich)
2010-06-18  8cbb2b8                  Raising version number to 1.2.0RC1 (Sebastian Kurfürst)
2010-06-18  93a0c6c                  Raising version number to 1.2.0RC1 (Sebastian Kurfürst)
2010-06-18  b961a87                  [+BUGFIX] Fluid: Removed some debug code introduced with the latest commit. Sorry for this. (Bastian Waidelich)
2010-06-18  39b578b                  [!!!][+TASK] Fluid: Template filenames are expected to be UpperCamelCased from now on. For a grace period there is still a fallback mechanism, so that your old template filenames will still work. But you should rename your templates from "myaction.html" to "MyAction.html" to make sure, that it still works in upcoming versions of Fluid! Resolves #7243 (Bastian Waidelich)
2010-06-18  db8f2c1                  [+TASK] Extbase (MVC): Backported changes in Request. Request::getControllerActionName() now returns the case sensitive name of the action method. Related to #7243. [~TASK] Extbase (MVC): Some comment tweaks (Bastian Waidelich)
2010-06-18  73120f5                  [+BUGFIX] Fluid (Core): Putting form fields in partial now works as expected. Resolves #4277. (Sebastian Kurfürst)
2010-06-18  28e4de1                  [+BUGFIX] Fluid (Core): AbstractViewHelper does not flood the syslog anymore. Resolves #5783. (Sebastian Kurfürst)
2010-06-17  6856907                  [TASK] Fluid: Replaced some RuntimeExceptions by Tx_Fluid_Core_ViewHelper_Exception_InvalidVariableExceptions in ViewHelperVariableContainer to get green unit tests again [TASK] Fluid: Added new Exception classes to ext_autoload.php (Bastian Waidelich)
2010-06-17  5555422                  [TASK] Fluid: Automatic backport from Fluid package. Mostly comment fixes and smaller tweaks (Bastian Waidelich)
2010-06-15  2e80158                  [~BUGFIX] Fluid (ViewHelpers): Fixed a half-finished documentation. Related to #5638. (Sebastian Kurfürst)
2010-06-15  5c58789                  [+BUGFIX] Fluid (Core): Now, it is possible to "unselect" checkboxes in editing forms; also with multiselect checkboxes. Resolves #5638 (Sebastian Kurfürst)
2010-06-15  1226e45                  [+BUGFIX] Fluid (Core): Now, it is possible to "unselect" checkboxes in editing forms; also with multiselect checkboxes. Resolves #5638 (Sebastian Kurfürst)
2010-06-15  a961105                  [+BUGFIX] Extbase (MVC): The headers added by Response::setHeader() are sent now independent from the status code. Resolves #7914. Related to #5247. (Jochen Rau)
2010-06-15  bda6109                  [~TASK] Extbase (Persistence): Exchanged "+" oprator with array_merge. (Jochen Rau)
2010-06-15  1f79540                  [+TASK] Extbase (Persistence): Minor fix of debug code. (Jochen Rau)
2010-06-15  b35afd8                  [-TASK] Extbase (Persistence): Removed unused property. (Jochen Rau)
2010-06-15  8b201fb                  [+BUGFIX] Fluid (Core): Fixed misleading exception. Resolves #7417. (Sebastian Kurfürst)
2010-06-15  f39b4b8                  [+BUGFIX] Extbase (Persistence): Updated description of Exception to make it more readable. (Sebastian Kurfürst)
2010-06-15  cd7e2cc                  [+BUGFIX] Extbase (Persistence): Added exception if a data map is built with an unknown class name. Resolves #8139. (Sebastian Kurfürst)
2010-06-15  6f3b976                  [+BUGFIX] Extbase (Localization): Enabled support for overriding Locallang-Files with "locallangXMLOverride" configuration. Resolves #8165. (Sebastian Kurfürst)
2010-06-14  deeb326                  [+BUGFIX] Extbase (Security): Made Request Hash checking a little less strict, to allow submitting the empty array. Relates to #5638. (Sebastian Kurfürst)
2010-06-12  8217767                  Fixed bug #13431: Include BE:forceCharset config option (thanks to Armin Guenther) (Xavier Perseguers)
2010-06-11  2b19d32                  Fixed bug #14405: Rename the test cases from *_testcase to *Test (Xavier Perseguers)
2010-06-03  e956ce9                  Fixed bug #14479: Speed up Oracle layer by not defaulting to dbms_lob.instr for LIKE query (thanks to Michiel Roos) (Xavier Perseguers)
2010-06-01  96ca102                  [+BUGFIX] Fluid (ViewHelpers): added auto-detection of string-format and propper cropping of HTML. Resolves #7743 (Felix Oertel)
2010-06-01  c20fdda                  [~BUGFIX] Extbase (Configuration): Made cache frontend configurable and with that detectable from the outside. Resolves #7968 (Felix Oertel)
2010-06-01  03c1ded                  [+FEATURE] Extbase (Persistence): broken SQL queries are now displayed in the exception. Resolves #7984. (Sebastian Kurfürst)
2010-05-31  2907956                  [+TASK] Extbase (Persistence): Fixed a problem where additional WHERE clauses were not applied for m:n relations. Related to #7274. (Jochen Rau)
2010-05-31  0744128                  [+TASK] Extbase (Persistence): Added missing initialization of the lazyObjectStroage for toArray(). (Jochen Rau)
2010-05-28  84b7610                  Fixed bug #7015: t3lib_DB displays wrong SQL in error case (Xavier Perseguers)
2010-05-28  52f6562                  [+FEATURE] Extbase (MVC): Created isCached property for the request (Resolves #7937) (Sebastian Kurfürst)
2010-05-27  fb54e2c                  Fixed bug #14496: SQL parser does not handle ALTER TABLE with character set operation (Xavier Perseguers)
2010-05-27  c3eba33                  Fixed bug #14456: SQL parser doesn't accept ALTER TABLE statement without CHANGE, DROP or ADD keyword (Xavier Perseguers)
2010-05-27  b0168f5                  Fixed bug #14457: 1-2-3 Install Process breaks with PostgreSQL (Xavier Perseguers)
2010-05-27  e69b199                  [~TASK] Extbase: Raised version to 1.2.0beta2. Set dependency to TYPO3 4.4.0. This will change back to 4.3.0 after the patch for backend modules was applied to the 4_3 branch. (Jochen Rau)
2010-05-27  43b595a                  [+BUGFIX] Extbase: Concept of registering extBase BE modules caused massive php warnings on php version 5.3.x. Thanks to Marc Bastian Heinrichs who provided both, the extbase and core patch. See also http://bugs.typo3.org/view.php?id=13604. Resolves #7180. (Jochen Rau)
2010-05-25  3f52a8b                  [+BUGFIX] Extbase (Persistence): Follow-up to r2287 after which PHP <5.3.x complained about an interface violation. Related to #6105. (Jochen Rau)
2010-05-25  c1d9c3d                  [~API][+FEATURE] Extbase (Persistence): findByUid($uid) does now allow strings as paramater. Resolves #7432. (Jochen Rau)
2010-05-25  962d2cc                  [+BUGFIX] Extbase (Persistence): Building an mm-query from the opposite didn't work correctly. Thanks to Marc Bastian Heinrichs. Resolves #7431. (Jochen Rau)
2010-05-25  029bb34                  [~TASK] Extbase: Improved exception messages in getPlainValue(). (Jochen Rau)
2010-05-25  3cf8613                  [+BUGFIX] Extbase (Dispatcher): Fixed broken TYPO3 user settings module. Thanks to Rens Admiraal who provided the patch. Resolves #7615. (Jochen Rau)
2010-05-25  24d89a4                  [+BUGFIX] Extbase (Persistence): Added check for array before calling current() in the method mapResultToPropertyValue(). Thanks to Marc Bastian Heinrichs. Resolves#7428. (Jochen Rau)
2010-05-25  ad308b6                  [+TASK] Extbase (Tests): Fixed call to missing data providers. (Jochen Rau)
2010-05-25  e098e16                  [+BUGFIX] Extbase (Persistence): Fixed a regression introduced in r2208 where the data of new ValueObjects was not persisted. Resolves #7766. (Jochen Rau)
2010-05-25  65376c1                  [+BUGFIX] Extbase (Persistence): Fixed a problem where already existing records that are attached to a new parent were not persisted correctly. Resolves #4650, #6068. (Jochen Rau)
2010-05-25  38ffac2                  [+TASK] Extbase: The ReflectionService is now injected to the DataMapFactory in the Dispatcher. (Jochen Rau)
2010-05-25  4fe6a55                  [+BUGFIX] Extbase (Persistence): Fixed wrong doxygen documentation. Thanks to Bernhard Kraft. Resolves #7527. (Jochen Rau)
2010-05-25  5eed09d                  [+TASK] Extbase (Persistence): Whether the relation is multivalue or singlevalue is now determined by the property annotation instead of the TCA definition 'maxitems'. Thanks to Felix Oertel who provided the initial patch. (Jochen Rau)
2010-05-25  a84d7c9                  [!!!][+BUGFIX] Extbase (Persistence): Revised ObjectStorage to be compatible to SplObjectStorage. You can add information to an object as described in http://www.php.net/manual/de/class.splobjectstorage.php. It's currently not possible to (un)serialize Objectstorage. Adapted unit tests. Resolves #6105. (Jochen Rau)
2010-05-23  2d75a09                  Fixed null MySQL handler that made some unit tests fail (Xavier Perseguers)
2010-05-21  e8b4369                  Fixed bug #14372: Mapping does not work with table alias (Xavier Perseguers)
2010-05-21  a96eda6                  Follow-up of changeset 32847: DBAL cannot be loaded if typo3conf/ is not writable (Xavier Perseguers)
2010-05-03  c7de5f1                  Backported changeset 32870 from trunk (Xavier Perseguers)
2010-05-02  b83a9ad                  * Raised version to 1.2.0beta1 (Sebastian Kurfürst)
2010-05-02  68f3893                  [~TASK] Extbase: Raised version number to 1.2.0beta1. (Jochen Rau)
2010-05-02  855e650                  [~TASK] Extbase (Persistence): Added comment to build process of a DataMap. Removed debug code. (Jochen Rau)
2010-05-02  001081f                  [-FEATURE] Extbase: Removed the possibility to set the context extbase extensions are running in. This was introduced in r2144 and will be reintroduced in another form. Related to #6840. (Jochen Rau)
2010-05-02  4f47dbf                  [+TASK] Extbase (Persistence): Improved build process of a DataMap. You only have to define a property mapping at the class where it is implemented (and not in the subclasses). [+TASK] Extbase (Persistence): The Reflection Service is now injected to the DataMapFactory and the DataMapper. (Jochen Rau)
2010-05-02  aa6b113                  [-TASK] Extbase (DomainObject): Removed unnecessary instanciation of DataMapper. (Jochen Rau)
2010-05-02  84cf3e1                  [+BUGFIX] Extbase (Persistence): LazyLoadingProxy now triggers also the magic toString function of the proxied object correctly. Thanks to Balisky Christophe. Relsoves #7558. (Jochen Rau)
2010-05-01  e57efab                  Fixed bug #14274: Some exception are not caught when trying to install DBAL in 1-2-3 Install Tool process (Xavier Perseguers)
2010-05-01  2606e5c                  Fixed bug #2186: Error installing static_info_tables (Xavier Perseguers)
2010-05-01  a86e24d                  Fixed bug #14265: Driver dropdown in install tool should be hidden when only MySQL is available (Xavier Perseguers)
2010-04-30  cf531d9                  Fixed a logical bug when PHP modules should be ORed instead of ANDed (Xavier Perseguers)
2010-04-30  9a20cdf                  Combined MySQL and MySQLi drivers in the dropdown list (Xavier Perseguers)
2010-04-30  3adec81                  Prevented writing dumb DBAL configuration when using MySQL (Xavier Perseguers)
2010-04-30  d80441f                  Using latest change in Core to prevent DBAL config to be written again and again in localconf.php (Xavier Perseguers)
2010-04-30  26b7250                  Fixed wizard when using driver mssql (Xavier Perseguers)
2010-04-30  3d009bb                  - Added code to deactivate DBAL if not needed - Reflected change in hook names in Install Tool (Xavier Perseguers)
2010-04-30  ed917c1                  Fixed invalid form when falling back on a MySQL driver (Xavier Perseguers)
2010-04-30  79aefff                  Retrieved current step of the Install Tool (Xavier Perseguers)
2010-04-29  8c44ca3                  Refactored Install Tool hooks to be more readable (Xavier Perseguers)
2010-04-29  ab11e22                  Fixed naming flaw with the Install Tool hook class (Xavier Perseguers)
2010-04-29  d5676c9                  Added autoloader for Install Tool (Xavier Perseguers)
2010-04-29  2aad93c                  Oracle configuration was not written when using new Install Tool (as it jumped directly to step 4) (Xavier Perseguers)
2010-04-29  e5f01b1                  [-TASK] Extbase: Reverted a change introduced in r2245 ("Improved error message for missing objects"). Thanks to Marc Bastian Heinrichs for pointing to the issue. (Jochen Rau)
2010-04-29  e3651ff                  [+TASK] Extbase: Fixed a problem where the AbstractController raised an exception if the settings are NULL. (Jochen Rau)
2010-04-29  d26292e                  [+TASK] Extbase: Fixed typo in the property definition. (Jochen Rau)
2010-04-28  1f45966                  Added step 2 (tested with native MSSQL driver selected) (Xavier Perseguers)
2010-04-25  03bb0a4                  Writing DBAL configuration (needs http://forge.typo3.org/attachments/2868/hooks.diff to be committed to install tool) (Xavier Perseguers)
2010-04-25  465154e                  Fixed form when using MySQL driver (Xavier Perseguers)
2010-04-25  ecdd36f                  Added 1st implementation of the installer hook (Xavier Perseguers)
2010-04-22  fd5f595                  Fixed bug #14182: Multiple join conditions are not supported (Xavier Perseguers)
2010-04-21  91c6a17                  [~FEATURE] Extbase (MVC): Implemented reverse type mapping for arguments. You can now use a superclass (eg. Tx_MyExt_Domain_Model_Person) as type in arguments. The according subclass is determined by the record type. Related to #7402. [~TASK] Extbase: Improved error message for missing objects (former "... but was of type NULL"). (Jochen Rau)
2010-04-21  1df7c3a                  [!!!][~TASK] Extbase (Persistence): Changed the default behavior of the record type handling. If you want to use the type field yo have to specify a recordType now. It is recommended to use the class name (this was the former default). Related to #5833. (Jochen Rau)
2010-04-21  fdfd9c6                  [~TASK] Extbase (Property): Replaced deprecated function withUid(). (Jochen Rau)
2010-04-21  5b82186                  [~TASK] Extbase (Property): Small refactoring. (Jochen Rau)
2010-04-16  90b38f3                  [+TASK] Extbase (DomainModel): Extbase now adds a field "tx_extbase_type" to "fe_users" and "fe_groups" to keep track of the type of the generic domain models FrontendUser, FrontendUserGroup, and their subclasses. Please reinstall the extension "extbase". Related to #5883. (Jochen Rau)
2010-04-16  86fabf1                  [+BUGFIX] Fluid (ViewHelpers): escapeViewHelper now takes encoding of resulting web page into account. Resolves #7292. (Sebastian Kurfürst)
2010-04-16  bad1181                  [~API] Extbase (MVC): Renamed flashMessages to flashMessageContainer in AbstractController and ControllerContext to synchronize with FLOW3 again. using flashMessages is now DEPRECATED, but will still work. Instead you should use flashMessageContainer (Sebastian Kurfürst)
2010-04-15  0a62e62                  [!!!][+FEATURE] Extbase (Persistence): Implemented Single Table Inheritance. Resolves to #5883.  * Implemented new option subclasses.  * Extbase doesn't ascend the class hierarchy anymore. You have to specify the table name explicity via "plugin.tx_myext.persistence.classes.[className].mapping.tableName = foo" if it is different from the lowercased class name.  * Implemented option recordType to map record types of existing tables (e.g. CType "text" in "tt_content"). (Jochen Rau)
2010-04-15  a1a9d49                  Fixed bug #14120: Add a method to check if database is connected (Xavier Perseguers)
2010-04-15  e2a2f49                  [~TASK] Extbase (Persistance): Fixed typo in php doc. (Jochen Rau)
2010-04-15  c851801                  [+BUGFIX] Extbase (Persistence): Querying for objects now takes the parent table name into account. Thanks to Alex Buchgeher for the initial patch. Resolves #7231. [~TASK] Extbase (Persistence): Refactored DataMapper. (Jochen Rau)
2010-04-15  3cd82e8                  [+BUGFIX] Extbase (Persistence): Fixed check for existence of a pid column in intermediate tables. Resolves #7270. [+TASK] Extbase (Tests): Refactored unit tests. (Jochen Rau)
2010-04-15  ba937da                  [+TASK] Extbase: Fixed regression introduced in the last commit. The uid of updated objects is now set. Thanks to Felix Oertel. Related to #6409. Resolves #7269. (Jochen Rau)
2010-04-14  2f401bd                  [+BUGFIX] Extbase: Fixed translation handling. You can now show and edit exiting Objects and their translation. Switching to another language should work as you expect (in TYPO3 v4). The uid of the Object stays the same for all languages. The uid of the translated record in the database is stored internally. If you create a new Object it will be available for "All Languages". This might change in future as it is planned to create a new record in the actual FE language (which is rather tricky without having an existing Object in default language). Related to #6409. (Jochen Rau)
2010-04-13  d1cfcc5                  Set version to 1.2-dev (Xavier Perseguers)
2010-04-13  a60d407                  Updated checksums (Xavier Perseguers)
2010-04-13  6a0a837                  Set version to 1.1.2 (Xavier Perseguers)
2010-04-12  11da6fa                  Added feature #13508: Use exec_TRUNCATEquery() instead of DELETE FROM throughout the core (Xavier Perseguers)
2010-04-08  5275d53                  [+TASK] Extbase: Raised version number to 1.1.0beta1. (Jochen Rau)
2010-04-08  f4414c7                  [+TASK] Extbase: Fixed unit test for maxitems=1. Thanks to Felix Oertel. Related to #7164. [+BUGFIX] Extbase (MVC): Fixed a regression, where the & was duplicated in additionalParams. Fixed related unit tests. Related to #7026. (Jochen Rau)
2010-04-08  d028414                  [+BUGFIX] Extbase (Persistence): Extbase respects the default value for maxitems=1 in TCA now. Resolves #7164. (Jochen Rau)
2010-04-08  0736983                  [+BUGFIX] Extbase (MVC): Fixed a problem where the UriBuilder urlencoded arguments twice. Resolves #7026. (Jochen Rau)
2010-04-08  3d04ff1                  [+TASK] Extbase: Added missing classes to ext_autoload.php. (Jochen Rau)
2010-04-08  2e67465                  [+TASK] Extbase (Persistence): Improved Type Handling of properties. Related to #7112. (Jochen Rau)
2010-04-08  a1d6668                  [+BUGFIX] Extbase (Persistence): Fixed generation of recursive storage pid list from flexform. Resolves #6945. (Jochen Rau)
2010-03-31  6e9a82a                  [+BUGFIX] Extbase: Environment variables (context) are now recognized with FCGI + Apache. Related to #6840, #6596. Resolves #7085. (Jochen Rau)
2010-03-30  d8e30a9                  [+TASK] Extbase (Persistence): The storage pid is now added to relation tables defined for some special IRRE setups. Related to #6899. (Jochen Rau)
2010-03-30  a8c1cb8                  [~TASK] Extbase (Persistence): Heavily refactored DataMap building process. Implemented DataMapFactory. Resolves #3772. [~TASK] Extbase (Reflection): Improved handling of array to be accessed via ObjectAccessors. (Jochen Rau)
2010-03-30  961770c                  [+BUGFIX] Extbase (Persistence): Fixed broken IRRE setups. The type of relation is now determined as follows: There is a relation only if there is a "foreign_table" defined. If there is a "MM" or "foreign_selector" defined, an intermediate table is/must be used to store the relation information. If there is a "foreign_field" defined, the relation information is stored in a field on the child side. If not, a CSV on the parent side is expected. (Jochen Rau)
2010-03-30  3af03d3                  [+TASK] Extbase (Persistence): Replaced get_class() by getRepositoryClassName(). Resolves #6760. (Jochen Rau)
2010-03-30  8169292                  [+BUGFIX] Extbase (Persistence): Removed deprecated code. Resolves #6850. (Jochen Rau)
2010-03-30  d7a2ad0                  [+TASK] Extbase (Persistence): Added type check before invoking count(). (Jochen Rau)
2010-03-30  1e1ea64                  [!!!][+FEATURE] Extbase: Implemented the possibility to set the context extbase extensions are running in. Default is "Production". You can set the context in the .htaccess file e.g. by "SetEnv EXTBASE_CONTEXT Development". If Extbase runs in "Production" context no exception messages are shown in FE but an empty plugin content. The message is logged by t3lib_div::sysLog(). In any other context the exception is catched an thrown again to be handled by the appropriate handler defined in the Install Tool. The next step is to be able to define different TS settings for different contexts. Resolves #6840. (Jochen Rau)
2010-03-30  03e855c                  [+BUGFIX] Extbase (Domain): Fixed unused constructor argument. Resolves #6896. (Jochen Rau)
2010-03-30  24e34db                  [-CONFIGURATION] Extbase: Removed obsolete and thus confusing configuration options. (Jochen Rau)
2010-03-27  8444a53                  Updated ext_autoload.php to match Backport in Rev 2043 (Steffen Ritter)
2010-03-19  6296089                  [+FEATURE] Fluid (ViewHelpers): The <f:form.error> ViewHelper now supports property paths for the "for"-Argument. Now, one can display only the errors of a given property of an object. Example: In the Blog Example, one could now write <f:form.errors for="blog.title">. (Sebastian Kurfürst)
2010-03-16  8ffc97e                  [+TASK] Fluid (ViewHelpers): Improved Documentation in *PageViewHelper. Thanks to Falk Kühnel for the suggestion! Resolves #6297. (Sebastian Kurfürst)
2010-03-16  dd3895a                  [+BUGFIX] Fluid (ViewHelpers): f:link.action can now be used inside f:form without breaking hmac verification. Resolves #6809, Resolves #6808, Resolves #6514. Thanks to Peter Niederlag for providing a patch! (Sebastian Kurfürst)
2010-03-16  2efa884                  * Raised version number to alpha2 (Sebastian Kurfürst)
2010-03-16  bdb0eed                  [+BUGFIX] Fluid (Core): Fixing a parse error in PHP 5.2.X in TemplateParser. Resolves #6870. (Sebastian Kurfürst)
2010-03-16  aa1fb6f                  [!!!][TASK] Fluid: Raised version number to 1.1.0. This  version needs Extbase 1.1.0 as well! [TASK] Fluid: Backported all changes from Fluid v5 again. This includes mostly some internal restructurings. [!!!][TASK] Fluid (ViewHelpers): The <f:base> ViewHelper now creates a self-closing tag instead of an opening/closing tag. This is standards-conformant, but will BREAK IE6!! (Sebastian Kurfürst)
2010-03-16  53cb36c                  [TASK] Extbase: Raised version to 1.1.0alpha1 [+FEATURE] Extbase (Tests): Added one more functionality to BaseTestCase [!!!][TASK] Extbase: Renamed viewData in AbstractView to "variables". This means you need to use Fluid Version 1.1.0alpha1 at least! (Sebastian Kurfürst)
2010-03-16  eb05635                  [+BUGFIX] Extbase (Persistence): For MM_match_fields the fieldname got prefixed twice. Resolves #6864. (Jochen Rau)
2010-03-16  76bd00e                  [+BUGFIX] Extbase (Persistence): Object access fails on arrays as subject. This must be fixed in FLOW3, too. Resolves #6862. (Jochen Rau)
2010-03-16  106de17                  * Re-adding tests (Sebastian Kurfürst)
2010-03-16  45103a0                  * Temporarily deleting tests. Will be re-added at next commit. (Sebastian Kurfürst)
2010-03-15  d64ba0c                  [+BUGFIX] Extbase (Reflection): Fixed a bug that would occur if an array with a non-existing key would be passed to ObjectAccess::getProperty(). Related to #6073. [+BUGFIX] Extbase (Reflection): ObjectAccess::getProperty() now throws an exception when a property does not exist, fixes #6005. [~TASK] Extbase (Persistence): Removed implodeAnd() and implodeOr(). You can pass an array of constraints as an argument to logicalAnd() and logicalOr(), or you can pass one or more constraints directly as reguments. Resolves #6735. [~TASK] Extbase (Persistence): The unions are now translated into LEFT JOIN instead of INNER JOIN. And there is no pid constraint added for (internal) unions anymore. Related to #6735. [~TASK] Extbase: Empty DateTime field values are now translated into NULL as property value (0->NULL). This is necessary because of the way TYPO3 4.x treats 0 as a "special" timestamp. The same is with incoming values which are not accepted as constructor argument of a DateTime object. (Jochen Rau)
2010-03-15  5753d51                  [+BUGFIX] Extbase (Persistence): The child class name is not determined by reverse mapping (table name -> class name) of the extbase persistence settings anymore. Only the annotation above the property definition is taken into account. Removed methods setChildClassName(), getChildClassName(), and determineChildClassName(). Resolves #6805. [TASK] Extbase (Persistence): Changed signature of DataMapper::getType($class, $propertyName) to getType($className, $propertyName). [+FEATURE] Extbase (Persistence): Property paths are now allowed as operand in orderings: $query->setOrderings(array('client.address.zip' => Tx_Extbase_Persistence_QueryInterface::ORDER_ASCENDING));. Ordering across multi-value properties is not implemented, yet. Resolves #6825. [TASK] Extbase (Persistence): The keyword DISTINCT is now added only if there are Joins. [TASK] Extbase (Persistence): Refactored the parsing of Joins. (Jochen Rau)
2010-03-10  e7a611c                  [+BUGFIX] Extbase (Persistence): Fixed a regression where objects were retrieved even if they were deleted. Related to #6755. (Jochen Rau)
2010-03-10  5ff24a3                  [+BUGFIX] Extbase (Persistence): Fixed a regression with contains(). Related to #6755. (Jochen Rau)
2010-03-10  1d028d0                  [+FEATURE] Extbase (Persistence): Implemented (still experimental) feature to be able to formulate constraints accessing the object graph. It is now possible to use the same object accessor syntax as in Fluid: $query->lessThanOrEqual('ageRange.minimumValue', $age). Resolves #6755. [-TASK] Extbase (Tests): Marked several tests as incomplete. (Jochen Rau)
2010-03-10  7a289bf                  [+BUGFIX] Extbase (Persistence): Replaced $dateTime->getTimestamp() with  $dateTime->format('U') to be compatible to PHP 5.2.x. Thanks to Dennis Ahrens. Resolves #6745. (Jochen Rau)
2010-03-09  3823318                  [+BUGFIX] Extbase (Persistence): Re-implemented support for $query->statement(). (Jochen Rau)
2010-03-09  5289ca5                  [~TASK] Extbase (Utility): Performance optimization: changed while(list() to foreach(). Thanks to Georg Ringer who provided the patch. Resolves #6709. (Jochen Rau)
2010-03-09  c3898f0                  [+BUGFIX] Extbase (Utility): Extbase uses the right BE charset now when forceCharset is not used. Thanks to Martin Kutschker who provided the patch. Resolves #6236. [+BUGFIX] Extbase (Utility): Fixed broken charset conversion in BE. Thanks to Martin Kutschker who provided the patch. Resolves #6385. [+BUGFIX] Extbase (Utility): FE translation now uses the right language when a BE session is active. Thanks to Martin Kutschker who provided the patch. Resolves #6725. (Jochen Rau)
2010-03-08  2e55128                  [-TASK] Extbase (Persistence): Removed unnecessary classes, code and empty interfaces. [!!!][~API] Extbase (Persistence): Marked Query::withUid() as deprecated. Will be removed with Extbase 3.0. [+TASK] Extbase (MVC): Fixed missing exception class. Resolves #6732. [+FEATURE] Extbase (Persistence): Implemented Query::implodeAnd(array) and Query::implodeOr(array). Please give Feedback on this Feature. This is not yet part of the API! Related to #6735. [+FEATURE] Extbase (Persistence): Query::logicalAnd() and Query::logicalOr() allow 2 or more Constraints as argument, now. This is not yet part of the API! Please give Feedback on this Feature. Related to #6735. [~TASK] Extbase (Pesistence): Some more code cleaqn-up and improved PHP doc. (Jochen Rau)
2010-03-08  ac8aad9                  [!!!][~API] Extbase (Persistence): $query->execute() now returns a plain array of row-arrays instead of an RowIterator. This is a breaking change if you use your own Query object in combination with $querySettings->getRawQueryResult = TRUE. [~TASK] Extbase (Persistence): Refactored persistence layer (part I). Dropped QueryObjectModel. The Query-Object is now passed directly to the StorageBackend. [+API] Extbase (Persistence): Implemented methods in() and contains() in the Query-Object. Resolves #6707. [+FEATURE] Extbase (Persistence): It is now possible to ask contains() for mm-relations, e.g. $query->contains('categories', $category). Resolves #4679. (Jochen Rau)
2010-03-07  5be60f8                  Fixed bug #4640: Backend login impossible with MSSQL via ODBC (thanks to Felix Eckhofer) (Xavier Perseguers)
2010-03-04  9c5dd73                  [+BUGFIX] Extbase (Persistence): RegisterObject only is called, if there was an object found. Thnaks to Dennis Ahrens who provided the patch. Rsolves #6455. (Jochen Rau)
2010-03-04  005267f                  [+API] Extbase (Domain): Add new fields to FrontendUser model. Thanks to Steffen Mueller who provided the patch. Resolves #6244. (Jochen Rau)
2010-03-04  a250c8a                  [+BUGFIX] Extbase (Validation): Validation doesnt stop on first error anymore. Thanks to Tobias Pinnekamp. Resolves #6470. (Jochen Rau)
2010-03-03  4abb2ca                  [+API] Extbase (Persistence): Added countAll() and countByProperty('foo') to the Persistence Repository. thanks to martin Kutschker who provided the patch. Resolves #6234. (Jochen Rau)
2010-03-02  e5e97dd                  [+TASK] Extbase (Persistence): Circular dependencies (Post1 retaled to Post2 related to Post1) are now handled correctly. You don't have to annotate the properties with @lazy anymore. Thanks to Frans van der Veen who provided the patch at T3BOARD10. (Jochen Rau)
2010-03-02  52673f1                  [~BUGFIX] Extbase (Property): The property mapper now doesn't map properties if the source is NULL and the target is an object. Resolves #6331. (Jochen Rau)
2010-03-02  e39852d                  [~BUGFIX] Extbase (Persistence): If a lazy loaded 1:n relation is empty, the property is filled with NULL instead of a LazyLoadingProxy. Related to #6263. (Jochen Rau)
2010-03-02  8d8bf59                  [-TASK] Extbase (Tests): Removed empty Repository testcase for now. (Jochen Rau)
2010-03-02  4adf097                  [+TASK] Extbase (DomainObject): Added a "private" property _localizationParentUid to the AbstractDomainObject which is set to the uid of the sys_language_parent. [+CONFIGURATION] Extbase (Persistence): Added a new flag respectSysLanguage to the Typoe3QuerySettings (TRUE by default). If it is set to true a "sys_language_uid IN (-1,0)" query part will be added if applicable. [~TASK] Extbase (Persistence): Refactored getRows() and countRows() to avoid unnecessary calls to doLanguageAndWorkspaceOverlay(). [!!!][+FEATURE] Extbase (Persistence): It's now possible to edit localized domain models in the FE. Changes will be stored to the correct database row. This changes the behavior of mapping the uid to DomainObjects. The uid is now the "real" uid of the localized database tuple instead of the sys_language_parent. This may influence the $_GET parameters of cached pages as the uid is often part of the URI. Resolves #4639. [~TASK] Extbase (Persistence): Added $query->getQuerySettings()->setRespectSysLanguage(FALSE); to all methods fetching an object "byUid". [~TASK] Extbase (Persistence): Changed method signatures to Tx_Extbase_DomainObject_DomainObjectInterface instead of Tx_Extbase_DomainObject_AbstractEnty. (Jochen Rau)
2010-02-26  dda936c                  [~BUGFIX] Extbase (Persistence): Fixed some broken MM settings for some IRRE setups. Related to #6233, #6232. (Jochen Rau)
2010-02-21  1a5e6e2                  Fixed bug #2367: No support for LIMIT [PostgreSQL] (Xavier Perseguers)
2010-02-21  6129b5d                  Fixed possible table2handlerKeys problem (Xavier Perseguers)
2010-02-19  51819eb                  [+BUGFIX] Extbase (Persistence): Fixed a bug where a field value was not properly converted to a RFC 2822 formatted date. Thanks to Alexandre Marinrez who reported this issue a few minutes ago. (Jochen Rau)
2010-02-18  6cf627f                  [+BUGFIX] Extbase (Persistence): Removed testing code accidentally committed to trunk causing SQL errors for tables not having a sys_language_uid field. Follow-up to r1864. Related to #6409, #6288. (Jochen Rau)
2010-02-18  1d86e24                  [+FEATURE] Extbase (Persistence): Implemented recursive starting point/storage page (thanks to Thomas Deinhamer who provided the initial patch). Resolves #6223. (Jochen Rau)
2010-02-18  69bbff6                  [+BUGFIX] Extbase: Updated ext_autoload.php (thanks to Stefan Galinski). Resolves #6418. (Jochen Rau)
2010-02-18  1bf6d3a                  [+FEATURE] Extbase (Persistence): Extbase respects type annotations of model parameters and gives them precedence (thanks to Franz-Xaver Koch). Resolves #6264. (Jochen Rau)
2010-02-18  3a2ba23                  [+BUGFIX] Extbase (Persistence): Fixed broken relation using IRRE with foreign_field and maxitems = 1 (thanks to Jan Matthiesen). Resolves #6277. (Jochen Rau)
2010-02-18  f1205de                  [+BUGFIX] Extbase (Persistence): Fixed language overlay (many thanks to Steffen Ritter). Resolves #6409, #6288. (Jochen Rau)
2010-02-18  576fc98                  [-TASK] Extbase (Reflection): Removed unnecessary item from RegEx. Already covered by Tx_[a-zA-Z0-9]. (Jochen Rau)
2010-02-18  cd40da2                  [+TASK] Extbase (Persistence): Fixed a bug where Value Objects with only NULL values are stored multiple times in the database. They should be stored not at all but we have to have at least one NULL value object due to technical reasons. (Jochen Rau)
2010-02-18  b2dc917                  [!!!][~TASK] Extbase (Property): Changed behavior of transforming a value coming from a form into a property value. An empty field (empty string) now results in NULL instead of a DateTime( "now") object. Please check the bahavior of your extensions. (Jochen Rau)
2010-02-14  89a2f8a                  Removed executable SVN property (Xavier Perseguers)
2010-02-14  d710ec6                  Set version back to 1.1-dev (Xavier Perseguers)
2010-02-14  693775d                  Set version to 1.1.1 (Xavier Perseguers)
2010-02-14  f3063e0                  Added unit test for #12829: ALTER TABLE is not able to parse length restriction in index creation (Xavier Perseguers)
2010-02-13  97a45b9                  Added unit tests for #4493: WHERE func(expr) IN (n,...m) is broken (Xavier Perseguers)
2010-02-13  3c9cc09                  Fixed bug #6196: IFNULL operator cannot be parsed (Xavier Perseguers)
2010-02-13  1e604d4                  Fixed bug #13528 (Xavier Perseguers)
2010-02-11  8416d71                  Follow-up of #13504: Using TRUNCATE instead of TRUNCATETABLE as public DB API (Xavier Perseguers)
2010-02-10  c3658d9                  Fixed bug #13504: Cannot parse TRUNCATE TABLE in install tool (Xavier Perseguers)
2010-02-10  eeeb598                  Added database patches for common extensions (Xavier Perseguers)
2010-02-09  ebe0e6e                  Added unit test for bug #13490: Where clause 0=0 cannot be parsed (Xavier Perseguers)
2010-02-07  92991cc                  Follow-up of changeset 29769: Using a real extended insert when dealing with 'native' driver (Xavier Perseguers)
2010-02-07  71324d5                  Added feature #12858: Provide an API to insert multiple rows at once (Xavier Perseguers)
2010-02-07  572b8ad                  Fixed bug #13453: Method compileINSERT of ux_t3lib_sqlparser should be protected (Xavier Perseguers)
2010-02-07  22759e5                  Added feature #13209: MySQL extended INSERT statements cannot be parsed (Xavier Perseguers)
2010-02-06  c879855                  Added unit tests for bug #13430: Cannot parse INSERT when VALUES has no space before left parenthesis (Xavier Perseguers)
2010-02-06  588ac43                  [+BUGFIX] Extbase (Persistence): Fixed typo in Identity Map (thanks to Martin Kutschker). [+BUGFIX] Extbase (Persistence): Added check for existing object before get_object_vars() is invoked. (Jochen Rau)
2010-02-05  2eb124a                  Fixed bug #13422: Invalid quoting of numeric column names (Xavier Perseguers)
2010-02-03  ad34bbf                  Added unit tests for bug #13412: BETWEEN operator is not supported (Xavier Perseguers)
2010-01-28  efaea02                  [+BUGFIX] Extbase (Persistence): Added relation table name to the match condition to avoid ambiguities. Resolves #6116. (Jochen Rau)
2010-01-28  1acbb7b                  [+BUGFIX] Extbase (Persistence): Fixed typo in the Query Settings which disabled chaining. Resolves #6230. (Jochen Rau)
2010-01-27  3372f8c                  [+FEATURE] Extbase (Persistence): Implemented removeAll() to the Persistence Repository. Related to #3852. Resolves #6248. (Jochen Rau)
2010-01-24  0975247                  Fixed bug #13090: version warning with CSS styled content (Xavier Perseguers)
2010-01-20  bc6cce5                  [+BUGFIX] Extbase (Persistence): Follow-up to revision 1795. Iterateor interface is also allowed. Related to r1795. (Jochen Rau)
2010-01-20  4dbd073                  [+BUGFIX] Extbase (Persistence): Fixed small typo in DataMap.php causes "call to undefined method...". Thanks to franz-Xaver Koch. Resolves #6128. (Jochen Rau)
2010-01-20  0b96970                  [+TASK] Extbase: Removed some obsolete comments. (Jochen Rau)
2010-01-20  e8a0af3                  [+FEATURE] Extbase (Persistence): Support for MM_match_fields and MM_match_table when persisting Objects. Thanks to Franz-Xaver Koch who provided the patch. Resolves #6116. (Jochen Rau)
2010-01-20  392ee22                  [+BUGFIX] Extbase (Persistence): Added check for array before calling foreach. Thanks to Franz-Xaver Koch. (Jochen Rau)
2010-01-20  4c26315                  [+BUGFIX] Extbase (MVC): UriBuilder created URIs with a leading slash. Thanks to Bastian Waidelich. Resolves #5248. (Jochen Rau)
2010-01-20  6dba5a3                  [-CONFIGURATION] Extbase: Removed default CSS for form errors. Moved the code to the BlogExample. Resolves #5504. (Jochen Rau)
2010-01-19  0028094                  [+BUGFIX] Extbase (Validation): EmailAddressValidator detects 'andreas@foerthner@example.com' now as invalid. Thanks to Peter Schuster. Resolves #5843. (Jochen Rau)
2010-01-19  06eadff                  [+BUGFIX] Extbase (Persistence): DataMapper::thawProperties() called getValue() twice. Thanks to Martin Kutschker. Resolves #5874. (Jochen Rau)
2010-01-18  b556453                  [+BUGFIX] Extbase: Fixed check for an underscore in the type name before class_exists() is invoked. Related to #5605. (Jochen Rau)
2010-01-18  110a03c                  [+TASK] Extbase: Merging back changes to trunk accidentally committed to tag/1.0.1. [+FEATURE] The Configuration Manager respects settings from plugin.tx_myext_pi1.settings , too. [+TASK] Extbase: Refactored dependencies between objects in persistence layer. [+BUGFIX] Extbase (DomainObject): Fixed a problem where internal fields (like _isClone) are returned by _getProperties(). [+BUGFIX] Extbase (Tests): Fixed Entity fixture. [~FEATURE] Extbase (MVC): Transient objects (uid === NULL) are now recursively converted into an array of properties if they are passed as GET/POST arguments (redirect). TODO: This might disclose protected properties. Related to #5769. [+BUGFIX] Extbase (MVC): The base URI is not added anymore if it is already in place. Thanks to Steffen Ritter who reported this issue. Resolves #5634. [+BUGFIX] Extbase: It's now checked at several places if there is an object or if an underscore exist in the type name before class_exists() is invoked. This prevents from flooding the syslog with error messages. A fix in Fluid is still pending. Thanks to Steffen Kamper for the initial patch. Resolves #5605. [~FEATURE] Extbase (MVC): Restricted conversion of DomainObjects into an array of properties if they are passed as GET/POST arguments (redirect) to ValueObjects. If the conversion fails, an Tx_Extbase_MVC_Exception_InvalidArgumentValue is thrown. Relates #5769. [+BUGFIX] Extbase (Tests): Fixed and refactored test of UriBuilder. We use an inline fixture now. [+BUGFIX] Extbase (Tests): Some more refactored tests. (Jochen Rau)
2010-01-16  49fc55c                  Fixed bug #13199: fileadminDir is hardcoded in several places (Thanks to Susanne Moog) (Xavier Perseguers)
2010-01-08  1b2753c                  Updated copyright year (Xavier Perseguers)
2010-01-05  ba4f817                  Added feature #13134: Support of SQL LOCATE function (Xavier Perseguers)
2010-01-05  ecab6c4                  Preparation of commit for feature #13134 (Xavier Perseguers)
2010-01-04  6176d0b                  Follow-up of changeset #28324: Quoting when part of CASE WHEN flow control (Xavier Perseguers)
